!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-10 21:24             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl3()
      coupl(nGC_5299) = coupl(nGC_3617) + coupl(nGC_74)*dZsL_QED2/2d0 + coupl( &
                        nGC_74)*dZsR_QED2/2d0
      coupl(nGC_3333) = (coupl(nGC_1352)*coupl(nGC_41)*coupl(nGC_81) + coupl(  &
                        nGC_22)*coupl(nGC_23)*coupl(nGC_84) + coupl(nGC_23)*   &
                        coupl(nGC_604)*coupl(nGC_83) + coupl(nGC_36)*coupl(    &
                        nGC_40)*coupl(nGC_81) + 8d0*coupl(nGC_36)*coupl(nGC_41 &
                        )*coupl(nGC_81) + coupl(nGC_4)**2d0*coupl(nGC_81))/(   &
                        32d0*pi**2d0)
      coupl(nGC_6412) = coupl(nGC_3674) + coupl(nGC_6406)
      coupl(nGC_9834) = -coupl(nGC_3316)
      coupl(nGC_5297) = coupl(nGC_3616) + coupl(nGC_74)*dZsL_QCD2/2d0 + coupl( &
                        nGC_74)*dZsR_QCD2/2d0
      coupl(nGC_3633) = coupl(nGC_3221)*dye_QED3
      coupl(nGC_3634) = coupl(nGC_3217)*dye_QED3
      coupl(nGC_3635) = coupl(nGC_3227)*dym_QED3
      coupl(nGC_3637) = coupl(nGC_3232)*dytau_QED3
      coupl(nGC_3639) = coupl(nGC_3220)*dye_QED3
      coupl(nGC_3414) = coupl(nGC_11)**2d0*coupl(nGC_38)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_6033) = coupl(nGC_3672) + coupl(nGC_6027)
      coupl(nGC_6034) = coupl(nGC_3673) + coupl(nGC_6028)
      coupl(nGC_3339) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_57) - coupl(  &
                        nGC_1)*coupl(nGC_214)*coupl(nGC_57) - coupl(nGC_1126)* &
                        coupl(nGC_23)*coupl(nGC_58) - coupl(nGC_1352)*coupl(   &
                        nGC_38)*coupl(nGC_57) - coupl(nGC_2)*coupl(nGC_4)*coupl&
                        (nGC_57) - coupl(nGC_21)*coupl(nGC_23)*coupl(nGC_59) + &
                        8d0*coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_57) - coupl( &
                        nGC_35)*coupl(nGC_40)*coupl(nGC_57) - coupl(nGC_58)*   &
                        coupl(nGC_73)*coupl(nGC_76) - coupl(nGC_59)*coupl(     &
                        nGC_73)*coupl(nGC_75))/(32d0*pi**2d0)
      coupl(nGC_3338) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_77) + coupl(  &
                        nGC_1)*coupl(nGC_4)*coupl(nGC_77) + coupl(nGC_1038)*   &
                        coupl(nGC_23)*coupl(nGC_79) + coupl(nGC_1352)*coupl(   &
                        nGC_35)*coupl(nGC_77) + coupl(nGC_2)*coupl(nGC_214)*   &
                        coupl(nGC_77) + coupl(nGC_22)*coupl(nGC_23)*coupl(     &
                        nGC_78) + 8d0*coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_77 &
                        ) + coupl(nGC_38)*coupl(nGC_40)*coupl(nGC_77) - coupl( &
                        nGC_53)*coupl(nGC_55)*coupl(nGC_79) - coupl(nGC_53)*   &
                        coupl(nGC_56)*coupl(nGC_78))/(32d0*pi**2d0)
      coupl(nGC_3337) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_53) + coupl(  &
                        nGC_1)*coupl(nGC_4)*coupl(nGC_53) + coupl(nGC_1126)*   &
                        coupl(nGC_23)*coupl(nGC_54) + coupl(nGC_1352)*coupl(   &
                        nGC_39)*coupl(nGC_53) + coupl(nGC_2)*coupl(nGC_214)*   &
                        coupl(nGC_53) + coupl(nGC_21)*coupl(nGC_23)*coupl(     &
                        nGC_55) + 8d0*coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_53 &
                        ) + coupl(nGC_34)*coupl(nGC_40)*coupl(nGC_53) - coupl( &
                        nGC_54)*coupl(nGC_77)*coupl(nGC_80) - coupl(nGC_55)*   &
                        coupl(nGC_77)*coupl(nGC_79))/(32d0*pi**2d0)
      coupl(nGC_3336) = (2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_53   &
                        ) - 2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_53&
                        ) - 2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_53&
                        ) + 2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_57&
                        ) - 2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_57&
                        ) - 2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_57&
                        ) + 2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_61&
                        ) - 2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_61&
                        ) - 2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_61&
                        ) + 2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_73&
                        ) - 2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_73&
                        ) - 2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_73&
                        ) + 2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_77&
                        ) - 2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_77&
                        ) - 2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_77&
                        ) + 2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_85&
                        ) - 2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_85&
                        ) - 2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_85&
                        ) + 2d0*cME*coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_65   &
                        ) - 2d0*cME*coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_65   &
                        ) - 2d0*cME*coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_65   &
                        ) + 2d0*cMM*coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_69   &
                        ) - 2d0*cMM*coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_69   &
                        ) - 2d0*cMM*coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_69   &
                        ) + 2d0*cMTA*coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_81  &
                        ) - 2d0*cMTA*coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_81  &
                        ) - 2d0*cMTA*coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_81  &
                        ) + 4d0*cima*coupl(nGC_19)*coupl(nGC_47) + 4d0*cima*   &
                        coupl(nGC_230)*coupl(nGC_51) - coupl(nGC_1038)*coupl(  &
                        nGC_320)*coupl(nGC_52) - coupl(nGC_21)*coupl(nGC_320)* &
                        coupl(nGC_50) + 6d0*coupl(nGC_25)*coupl(nGC_320)*coupl(&
                        nGC_47) - coupl(nGC_25)*coupl(nGC_40)*coupl(nGC_47) +  &
                        6d0*coupl(nGC_3)*coupl(nGC_320)*coupl(nGC_51) - coupl( &
                        nGC_3)*coupl(nGC_4)*coupl(nGC_47))/(32d0*pi**2d0)
      coupl(nGC_3331) = (-coupl(nGC_1126)*coupl(nGC_23)*coupl(nGC_68) - coupl( &
                        nGC_1352)*coupl(nGC_36)*coupl(nGC_65) - coupl(nGC_20)* &
                        coupl(nGC_23)*coupl(nGC_67) - coupl(nGC_214)*coupl(    &
                        nGC_4)*coupl(nGC_65) + 8d0*coupl(nGC_36)*coupl(nGC_41)*&
                        coupl(nGC_65) - coupl(nGC_40)*coupl(nGC_41)*coupl(     &
                        nGC_65))/(32d0*pi**2d0)
      coupl(nGC_3330) = coupl(nGC_11)**2d0*coupl(nGC_85)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_5425) = coupl(nGC_25)*dZZ_QED2/2d0 + coupl(nGC_3)*dZAZ_QED2/2d0&
                         + coupl(nGC_3552)
      coupl(nGC_3332) = (-coupl(nGC_1126)*coupl(nGC_23)*coupl(nGC_72) - coupl( &
                        nGC_1352)*coupl(nGC_36)*coupl(nGC_69) - coupl(nGC_20)* &
                        coupl(nGC_23)*coupl(nGC_71) - coupl(nGC_214)*coupl(    &
                        nGC_4)*coupl(nGC_69) + 8d0*coupl(nGC_36)*coupl(nGC_41)*&
                        coupl(nGC_69) - coupl(nGC_40)*coupl(nGC_41)*coupl(     &
                        nGC_69))/(32d0*pi**2d0)
      coupl(nGC_3443) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_35) + 4d0*coupl(nGC_35&
                        )**3d0 + coupl(nGC_38)*coupl(nGC_85)**2d0 + coupl(     &
                        nGC_39)*coupl(nGC_86)*coupl(nGC_88) + coupl(nGC_39)*   &
                        coupl(nGC_87)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3442) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_39) + 4d0*coupl(nGC_23&
                        )**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23)**2d0*coupl(   &
                        nGC_38) + coupl(nGC_34)*coupl(nGC_61)**2d0 + coupl(    &
                        nGC_35)*coupl(nGC_86)*coupl(nGC_88) + coupl(nGC_35)*   &
                        coupl(nGC_87)**2d0 + 4d0*coupl(nGC_39)**3d0)/(32d0*pi**&
                        2d0)
      coupl(nGC_3446) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(&
                        nGC_23)**2d0 - 4d0*coupl(nGC_38)**2d0 - coupl(nGC_54)* &
                        coupl(nGC_56) - coupl(nGC_55)**2d0 - coupl(nGC_77)**2d0&
                        )/(64d0*pi**2d0)
      coupl(nGC_3444) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl( &
                        nGC_23)**2d0 + 4d0*coupl(nGC_38)**2d0 + coupl(nGC_54)* &
                        coupl(nGC_56) + coupl(nGC_55)**2d0 + coupl(nGC_77)**2d0&
                        )/(64d0*pi**2d0*Nc)
      coupl(nGC_3449) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl( &
                        nGC_34)**2d0 + coupl(nGC_61)**2d0 + coupl(nGC_62)*coupl&
                        (nGC_64) + coupl(nGC_63)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_3448) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl( &
                        nGC_23)**2d0 + 4d0*coupl(nGC_38)**2d0 + coupl(nGC_62)* &
                        coupl(nGC_64) + coupl(nGC_63)**2d0 + coupl(nGC_85)**2d0&
                        )/(64d0*pi**2d0*Nc)
      coupl(nGC_7350) = coupl(nGC_MTA)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/2d0
      coupl(nGC_3681) = coupl(nGC_148)*dMW2_QED2
      coupl(nGC_3529) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_34) -     &
                        coupl(nGC_35) - coupl(nGC_38) - coupl(nGC_39))/(64d0*pi&
                        **2d0*Nc)
      coupl(nGC_3298) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_34 &
                        )**2d0 + coupl(nGC_1)*coupl(nGC_62)*coupl(nGC_64) +    &
                        coupl(nGC_1)*coupl(nGC_63)**2d0 + coupl(nGC_2)*coupl(  &
                        nGC_61)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3299) = coupl(nGC_4)*(4d0*coupl(nGC_36)**2d0 + 4d0*coupl(nGC_4 &
                        )**2d0 + coupl(nGC_66)*coupl(nGC_68) + coupl(nGC_67)** &
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_3294) = (4d0*coupl(nGC_1)*coupl(nGC_23)**2d0 + coupl(nGC_1)*   &
                        coupl(nGC_73)**2d0 + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(&
                        nGC_2)*coupl(nGC_39)**2d0 + coupl(nGC_2)*coupl(nGC_58)*&
                        coupl(nGC_60) + coupl(nGC_2)*coupl(nGC_59)**2d0 + 4d0* &
                        coupl(nGC_23)**2d0*coupl(nGC_3))/(32d0*pi**2d0)
      coupl(nGC_3295) = (coupl(nGC_1)*coupl(nGC_57)**2d0 + 4d0*coupl(nGC_2)**  &
                        3d0 + 4d0*coupl(nGC_2)*coupl(nGC_35)**2d0 + coupl(nGC_2&
                        )*coupl(nGC_58)*coupl(nGC_60) + coupl(nGC_2)*coupl(    &
                        nGC_59)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3520) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_55)**2d0 + &
                        coupl(nGC_59)**2d0 + coupl(nGC_63)**2d0 + coupl(nGC_75 &
                        )**2d0 + coupl(nGC_79)**2d0 + coupl(nGC_87)**2d0)/(16d0&
                        *pi**2d0*Nc)
      coupl(nGC_3521) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_55)**2d0  &
                         - coupl(nGC_59)**2d0 - coupl(nGC_63)**2d0 - coupl(    &
                        nGC_75)**2d0 - coupl(nGC_79)**2d0 - coupl(nGC_87)**2d0 &
                        )/(16d0*pi**2d0)
      coupl(nGC_3290) = (4d0*Nc*coupl(nGC_1)*coupl(nGC_53)**2d0 + 4d0*Nc*coupl(&
                        nGC_1)*coupl(nGC_57)**2d0 + 4d0*Nc*coupl(nGC_1)*coupl( &
                        nGC_61)**2d0 + 4d0*Nc*coupl(nGC_1)*coupl(nGC_73)**2d0  &
                         + 4d0*Nc*coupl(nGC_1)*coupl(nGC_77)**2d0 + 4d0*Nc*    &
                        coupl(nGC_1)*coupl(nGC_85)**2d0 - 4d0*Nc*coupl(nGC_2)* &
                        coupl(nGC_53)**2d0 - 4d0*Nc*coupl(nGC_2)*coupl(nGC_57  &
                        )**2d0 - 4d0*Nc*coupl(nGC_2)*coupl(nGC_61)**2d0 - 4d0* &
                        Nc*coupl(nGC_2)*coupl(nGC_73)**2d0 - 4d0*Nc*coupl(nGC_2&
                        )*coupl(nGC_77)**2d0 - 4d0*Nc*coupl(nGC_2)*coupl(nGC_85&
                        )**2d0 - 6d0*coupl(nGC_1038)*coupl(nGC_20)*coupl(nGC_3 &
                        ) - 6d0*coupl(nGC_1126)*coupl(nGC_22)*coupl(nGC_3) +   &
                        coupl(nGC_1352)**2d0*coupl(nGC_4) + coupl(nGC_214)**2d0&
                        *coupl(nGC_4) + 4d0*coupl(nGC_4)*coupl(nGC_65)**2d0 +  &
                        4d0*coupl(nGC_4)*coupl(nGC_69)**2d0 + 4d0*coupl(nGC_4)*&
                        coupl(nGC_81)**2d0)/(96d0*pi**2d0)
      coupl(nGC_5140) = coupl(nGC_3604) + coupl(nGC_57)*dZcR_QCD2/2d0 + coupl( &
                        nGC_57)*dZsL_QCD2/2d0
      coupl(nGC_5141) = coupl(nGC_3606) + coupl(nGC_73)*dZcL_QCD2/2d0 + coupl( &
                        nGC_73)*dZsR_QCD2/2d0
      coupl(nGC_5142) = coupl(nGC_3605) + coupl(nGC_57)*dZcR_QED2/2d0 + coupl( &
                        nGC_57)*dZsL_QED2/2d0
      coupl(nGC_5143) = coupl(nGC_3607) + coupl(nGC_73)*dZcL_QED2/2d0 + coupl( &
                        nGC_73)*dZsR_QED2/2d0
      coupl(nGC_5061) = coupl(nGC_28)*dZA_QED2/2d0 + coupl(nGC_28)*            &
                        dZWMinus_QED2/2d0 + coupl(nGC_3571) + coupl(nGC_9)*    &
                        dZZA_QED2/2d0
      coupl(nGC_5067) = coupl(nGC_29)*dZA_QED2/2d0 + coupl(nGC_29)*            &
                        dZWMinus_QED2 + coupl(nGC_29)*dZZ_QED2/2d0 + coupl(    &
                        nGC_3554)
      coupl(nGC_3528) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_34) + coupl&
                        (nGC_35) + coupl(nGC_38) + coupl(nGC_39))/(32d0*pi**2d0&
                        *Nc**2d0)
      coupl(nGC_5632) = coupl(nGC_3621) + coupl(nGC_54)*dZbL_QED2/2d0 + coupl( &
                        nGC_54)*dZbR_QED2/2d0
      coupl(nGC_5631) = coupl(nGC_3623) + coupl(nGC_56)*dZbL_QED2/2d0 + coupl( &
                        nGC_56)*dZbR_QED2/2d0
      coupl(nGC_5038) = coupl(nGC_87)*(dZuL_QED2 + dZuR_QED2)/2d0
      coupl(nGC_6546) = coupl(nGC_67)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
      coupl(nGC_3526) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_34)**2d0  &
                         - coupl(nGC_35)**2d0 - coupl(nGC_38)**2d0 - coupl(    &
                        nGC_39)**2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_3591) = coupl(nGC_3095)*dZee_QED2
      coupl(nGC_3590) = coupl(nGC_3093)*dZee_QED2
      coupl(nGC_3527) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_34)**2d0 + &
                        coupl(nGC_35)**2d0 + coupl(nGC_38)**2d0 + coupl(nGC_39 &
                        )**2d0)/(32d0*pi**2d0)
      coupl(nGC_3594) = coupl(nGC_3143)*dZee_QED2 + coupl(nGC_3144)*dsw_QED2 + &
                        coupl(nGC_3145)*dcw_QED2
      coupl(nGC_3599) = coupl(nGC_3158)*dZee_QED2 + coupl(nGC_3159)*dsw_QED2 + &
                        coupl(nGC_3160)*dcw_QED2
      coupl(nGC_3522) = (3d0*Nc*cima*coupl(nGC_34)**4d0 + 3d0*Nc*cima*coupl(   &
                        nGC_35)**4d0 + 3d0*Nc*cima*coupl(nGC_38)**4d0 + 3d0*Nc*&
                        cima*coupl(nGC_39)**4d0 + 3d0*cima*coupl(nGC_184)**2d0 &
                         - 10d0*cima*coupl(nGC_25)**4d0 - 10d0*cima*coupl(     &
                        nGC_320)**4d0 + 3d0*cima*coupl(nGC_36)**4d0 + 3d0*cima*&
                        coupl(nGC_40)**4d0 + 3d0*cima*coupl(nGC_41)**4d0 + 9d0*&
                        coupl(nGC_184)*coupl(nGC_25)**2d0 + 9d0*coupl(nGC_184)*&
                        coupl(nGC_320)**2d0 + 3d0*coupl(nGC_19)*coupl(nGC_25)**&
                        2d0 + 3d0*coupl(nGC_19)*coupl(nGC_320)**2d0)/(24d0*pi**&
                        2d0)
      coupl(nGC_5146) = coupl(nGC_3567) + coupl(nGC_GPGMGPGM)
      coupl(nGC_5553) = coupl(nGC_3608) + coupl(nGC_77)*dZbL_QCD2/2d0 + coupl( &
                        nGC_77)*dZtR_QCD2/2d0
      coupl(nGC_5552) = coupl(nGC_3610) + coupl(nGC_53)*dZbR_QCD2/2d0 + coupl( &
                        nGC_53)*dZtL_QCD2/2d0
      coupl(nGC_5498) = coupl(nGC_38)*dZdL_QCD2
      coupl(nGC_5555) = coupl(nGC_3609) + coupl(nGC_77)*dZbL_QED2/2d0 + coupl( &
                        nGC_77)*dZtR_QED2/2d0
      coupl(nGC_5554) = coupl(nGC_3611) + coupl(nGC_53)*dZbR_QED2/2d0 + coupl( &
                        nGC_53)*dZtL_QED2/2d0
      coupl(nGC_5559) = coupl(nGC_11)*dZcL_QCD2
      coupl(nGC_5193) = coupl(nGC_3628) + coupl(nGC_5192)
      coupl(nGC_5434) = coupl(nGC_36)*dZZA_QED2/2d0 + coupl(nGC_4)*            &
                        dZtauMinusR_QED2
      coupl(nGC_5194) = coupl(nGC_3629) + coupl(nGC_55)*dZH_QED2/2d0
      coupl(nGC_6774) = -coupl(nGC_6773)
      coupl(nGC_3620) = coupl(nGC_3206)*dyb_QED1_QCD2
      coupl(nGC_3627) = coupl(nGC_3225)*dys_QED3
      coupl(nGC_3540) = (-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 12d0*Nc*   &
                        cima*coupl(nGC_12)*coupl(nGC_566) + 12d0*Nc*coupl(     &
                        nGC_10)**2d0*coupl(nGC_12)*sq2**2d0 - 9d0*Nc*coupl(    &
                        nGC_10)**2d0*coupl(nGC_566)*sq2**2d0 + 18d0*cima*coupl(&
                        nGC_11)**4d0*sq2**4d0)/(384d0*pi**2d0)
      coupl(nGC_3560) = coupl(nGC_3179)*dsw_QED2 + coupl(nGC_3180)*dMW2_QED2 + &
                        coupl(nGC_3181)*dZee_QED2 + coupl(nGC_3182)*dcw_QED2
      coupl(nGC_3561) = coupl(nGC_3123)*dZee_QED2 + coupl(nGC_3124)*dsw_QED2 + &
                        coupl(nGC_3125)*dcw_QED2
      coupl(nGC_3562) = coupl(nGC_3149)*dsw_QED2 + coupl(nGC_3150)*dMW2_QED2 + &
                        coupl(nGC_3151)*dZee_QED2
      coupl(nGC_3564) = coupl(nGC_3186)*dZee_QED2 + coupl(nGC_3187)*dsw_QED2 + &
                        coupl(nGC_3188)*dMZ2_QED2 + coupl(nGC_3189)*dcw_QED2
      coupl(nGC_3565) = coupl(nGC_3109)*dlam_QED4
      coupl(nGC_3566) = coupl(nGC_3106)*dlam_QED4
      coupl(nGC_3568) = coupl(nGC_3193)*dlam_QED4 + coupl(nGC_3194)*dvev_QED1
      coupl(nGC_3569) = coupl(nGC_3198)*dlam_QED4 + coupl(nGC_3199)*dvev_QED1
      coupl(nGC_3649) = coupl(nGC_3211)*dyc_QED3
      coupl(nGC_3648) = coupl(nGC_3211)*dyc_QED1_QCD2
      coupl(nGC_3399) = (-coupl(nGC_1296)*coupl(nGC_39)*coupl(nGC_78) + 8d0*   &
                        coupl(nGC_2)**2d0*coupl(nGC_79) - coupl(nGC_23)*coupl( &
                        nGC_604)*coupl(nGC_77) - coupl(nGC_35)*coupl(nGC_37)*  &
                        coupl(nGC_78) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl( &
                        nGC_79) - coupl(nGC_53)*coupl(nGC_55)*coupl(nGC_77) -  &
                        coupl(nGC_78)**2d0*coupl(nGC_79) - coupl(nGC_79)**3d0  &
                        )/(32d0*pi**2d0)
      coupl(nGC_3641) = coupl(nGC_3233)*dytau_QED3
      coupl(nGC_3640) = coupl(nGC_3226)*dym_QED3
      coupl(nGC_3391) = (coupl(nGC_1296)*coupl(nGC_36)*coupl(nGC_68) + coupl(  &
                        nGC_21)*coupl(nGC_23)*coupl(nGC_65) + 8d0*coupl(nGC_36 &
                        )*coupl(nGC_40)*coupl(nGC_67) + coupl(nGC_37)*coupl(   &
                        nGC_40)*coupl(nGC_68) + 8d0*coupl(nGC_4)**2d0*coupl(   &
                        nGC_67) - coupl(nGC_67)**3d0 - coupl(nGC_67)*coupl(    &
                        nGC_68)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3390) = (coupl(nGC_1296)*coupl(nGC_40)*coupl(nGC_66) + coupl(  &
                        nGC_23)*coupl(nGC_604)*coupl(nGC_65) + coupl(nGC_36)*  &
                        coupl(nGC_37)*coupl(nGC_66) + 8d0*coupl(nGC_36)*coupl( &
                        nGC_40)*coupl(nGC_67) + 8d0*coupl(nGC_4)**2d0*coupl(   &
                        nGC_67) - coupl(nGC_66)**2d0*coupl(nGC_67) - coupl(    &
                        nGC_67)**3d0)/(32d0*pi**2d0)
      coupl(nGC_3397) = coupl(nGC_11)**2d0*sq2**2d0*(cMB*coupl(nGC_55) + cMC*  &
                        coupl(nGC_59) + cMD*coupl(nGC_63) + cMS*coupl(nGC_75   &
                        ) + cMT*coupl(nGC_79) + cMU*coupl(nGC_87))/(16d0*pi**  &
                        2d0*Nc)
      coupl(nGC_3644) = coupl(nGC_3236)*dyup_QED1_QCD2
      coupl(nGC_3395) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_75) - coupl(nGC_1296)*&
                        coupl(nGC_34)*coupl(nGC_74) - coupl(nGC_20)*coupl(     &
                        nGC_23)*coupl(nGC_73) + 8d0*coupl(nGC_34)*coupl(nGC_38 &
                        )*coupl(nGC_75) - coupl(nGC_37)*coupl(nGC_38)*coupl(   &
                        nGC_74) - coupl(nGC_57)*coupl(nGC_59)*coupl(nGC_73) -  &
                        coupl(nGC_74)**2d0*coupl(nGC_75) - coupl(nGC_75)**3d0  &
                        )/(32d0*pi**2d0)
      coupl(nGC_3394) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_75) - coupl(nGC_1038)*&
                        coupl(nGC_23)*coupl(nGC_73) - coupl(nGC_1296)*coupl(   &
                        nGC_38)*coupl(nGC_76) - coupl(nGC_34)*coupl(nGC_37)*   &
                        coupl(nGC_76) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl( &
                        nGC_75) - coupl(nGC_57)*coupl(nGC_59)*coupl(nGC_73) -  &
                        coupl(nGC_75)**3d0 - coupl(nGC_75)*coupl(nGC_76)**2d0  &
                        )/(32d0*pi**2d0)
      coupl(nGC_5109) = coupl(nGC_27)*dZA_QED2/2d0 + coupl(nGC_27)*dZH_QED2/2d0&
                         + coupl(nGC_27)*dZWMinus_QED2/2d0 + coupl(nGC_3572) + &
                        coupl(nGC_8)*dZZA_QED2/2d0
      coupl(nGC_5100) = coupl(nGC_3626) + coupl(nGC_5099)
      coupl(nGC_5101) = coupl(nGC_3627) + coupl(nGC_75)*dZH_QED2/2d0
      coupl(nGC_5678) = coupl(nGC_24)*dZZ_QED2/2d0 + coupl(nGC_3561) + coupl(  &
                        nGC_4)*dZAZ_QED2/2d0
      coupl(nGC_5679) = -coupl(nGC_5678)
      coupl(nGC_5474) = coupl(nGC_3656) + coupl(nGC_5473)
      coupl(nGC_5475) = coupl(nGC_3657) + coupl(nGC_59)*dZH_QED2/2d0
      coupl(nGC_3364) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_76) - coupl(nGC_1296)*&
                        coupl(nGC_34)*coupl(nGC_75) - coupl(nGC_22)*coupl(     &
                        nGC_23)*coupl(nGC_73) + 8d0*coupl(nGC_34)*coupl(nGC_38 &
                        )*coupl(nGC_76) - coupl(nGC_37)*coupl(nGC_38)*coupl(   &
                        nGC_75) - coupl(nGC_57)*coupl(nGC_60)*coupl(nGC_73) -  &
                        coupl(nGC_74)*coupl(nGC_75)**2d0 - coupl(nGC_74)*coupl(&
                        nGC_76)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3362) = (coupl(nGC_1296)*coupl(nGC_36)*coupl(nGC_71) + coupl(  &
                        nGC_22)*coupl(nGC_23)*coupl(nGC_69) + 8d0*coupl(nGC_36 &
                        )*coupl(nGC_40)*coupl(nGC_70) + coupl(nGC_37)*coupl(   &
                        nGC_40)*coupl(nGC_71) + 8d0*coupl(nGC_4)**2d0*coupl(   &
                        nGC_70) - coupl(nGC_70)**2d0*coupl(nGC_72) - coupl(    &
                        nGC_71)**2d0*coupl(nGC_72))/(32d0*pi**2d0)
      coupl(nGC_3363) = (coupl(nGC_1126)*coupl(nGC_23)*coupl(nGC_69) + coupl(  &
                        nGC_1296)*coupl(nGC_40)*coupl(nGC_71) + coupl(nGC_36)* &
                        coupl(nGC_37)*coupl(nGC_71) + 8d0*coupl(nGC_36)*coupl( &
                        nGC_40)*coupl(nGC_72) + 8d0*coupl(nGC_4)**2d0*coupl(   &
                        nGC_72) - coupl(nGC_70)*coupl(nGC_71)**2d0 - coupl(    &
                        nGC_70)*coupl(nGC_72)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3360) = (coupl(nGC_1296)*coupl(nGC_36)*coupl(nGC_67) + coupl(  &
                        nGC_22)*coupl(nGC_23)*coupl(nGC_65) + 8d0*coupl(nGC_36 &
                        )*coupl(nGC_40)*coupl(nGC_66) + coupl(nGC_37)*coupl(   &
                        nGC_40)*coupl(nGC_67) + 8d0*coupl(nGC_4)**2d0*coupl(   &
                        nGC_66) - coupl(nGC_66)**2d0*coupl(nGC_68) - coupl(    &
                        nGC_67)**2d0*coupl(nGC_68))/(32d0*pi**2d0)
      coupl(nGC_3361) = (coupl(nGC_1126)*coupl(nGC_23)*coupl(nGC_65) + coupl(  &
                        nGC_1296)*coupl(nGC_40)*coupl(nGC_67) + coupl(nGC_36)* &
                        coupl(nGC_37)*coupl(nGC_67) + 8d0*coupl(nGC_36)*coupl( &
                        nGC_40)*coupl(nGC_68) + 8d0*coupl(nGC_4)**2d0*coupl(   &
                        nGC_68) - coupl(nGC_66)*coupl(nGC_67)**2d0 - coupl(    &
                        nGC_66)*coupl(nGC_68)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3247) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_34)*coupl(    &
                        nGC_38))/(8d0*pi**2d0)
      coupl(nGC_5770) = coupl(nGC_3634) + coupl(nGC_66)*dZeMinusL_QED2/2d0 +   &
                        coupl(nGC_66)*dZeMinusR_QED2/2d0
      coupl(nGC_3241) = (-8d0*Nc*cMB**2d0*cima*coupl(nGC_54)*coupl(nGC_56) -   &
                        8d0*Nc*cMC**2d0*cima*coupl(nGC_58)*coupl(nGC_60) - 8d0*&
                        Nc*cMD**2d0*cima*coupl(nGC_62)*coupl(nGC_64) - 8d0*Nc* &
                        cMS**2d0*cima*coupl(nGC_74)*coupl(nGC_76) - 8d0*Nc*cMT &
                        **2d0*cima*coupl(nGC_78)*coupl(nGC_80) - 8d0*Nc*cMU**  &
                        2d0*cima*coupl(nGC_86)*coupl(nGC_88) - 8d0*cME**2d0*   &
                        cima*coupl(nGC_66)*coupl(nGC_68) - cMH**2d0*cima*coupl(&
                        nGC_1296)*coupl(nGC_37) - 8d0*cMM**2d0*cima*coupl(     &
                        nGC_70)*coupl(nGC_72) - 8d0*cMTA**2d0*cima*coupl(nGC_82&
                        )*coupl(nGC_84) - 4d0*cMW**2d0*cima*coupl(nGC_1126)*   &
                        coupl(nGC_22) - 4d0*cMW**2d0*coupl(nGC_17) - cMZ**2d0* &
                        cima*coupl(nGC_1296)*coupl(nGC_37) - 2d0*cMZ**2d0*coupl&
                        (nGC_46))/(32d0*pi**2d0)
      coupl(nGC_3240) = cima*(4d0*Nc*coupl(nGC_54)*coupl(nGC_56) + 4d0*Nc*coupl&
                        (nGC_58)*coupl(nGC_60) + 4d0*Nc*coupl(nGC_62)*coupl(   &
                        nGC_64) + 4d0*Nc*coupl(nGC_74)*coupl(nGC_76) + 4d0*Nc* &
                        coupl(nGC_78)*coupl(nGC_80) + 4d0*Nc*coupl(nGC_86)*    &
                        coupl(nGC_88) + 2d0*coupl(nGC_1126)*coupl(nGC_22) +    &
                        coupl(nGC_1296)*coupl(nGC_37) + 4d0*coupl(nGC_66)*coupl&
                        (nGC_68) + 4d0*coupl(nGC_70)*coupl(nGC_72) + 4d0*coupl(&
                        nGC_82)*coupl(nGC_84))/(96d0*pi**2d0)
      coupl(nGC_3369) = coupl(nGC_11)**2d0*coupl(nGC_78)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_5476) = coupl(nGC_5472) + coupl(nGC_5475)
      coupl(nGC_3418) = coupl(nGC_11)**2d0*coupl(nGC_39)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_6427) = coupl(nGC_35)*dZtR_QCD2
      coupl(nGC_3415) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_34) + 4d0*coupl(nGC_34&
                        )**3d0 + coupl(nGC_38)*coupl(nGC_54)*coupl(nGC_56) +   &
                        coupl(nGC_38)*coupl(nGC_55)**2d0 + coupl(nGC_39)*coupl(&
                        nGC_53)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3417) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_39) + 4d0*coupl(nGC_23&
                        )**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23)**2d0*coupl(   &
                        nGC_38) + coupl(nGC_34)*coupl(nGC_73)**2d0 + coupl(    &
                        nGC_35)*coupl(nGC_58)*coupl(nGC_60) + coupl(nGC_35)*   &
                        coupl(nGC_59)**2d0 + 4d0*coupl(nGC_39)**3d0)/(32d0*pi**&
                        2d0)
      coupl(nGC_3412) = coupl(nGC_23)*(-coupl(nGC_25)*coupl(nGC_40) - coupl(   &
                        nGC_3)*coupl(nGC_4) - coupl(nGC_320)*coupl(nGC_41) +   &
                        coupl(nGC_40)*coupl(nGC_41))/(8d0*pi**2d0)
      coupl(nGC_3413) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_38) + 4d0*coupl(nGC_23&
                        )**2d0*coupl(nGC_320) + 4d0*coupl(nGC_23)**2d0*coupl(  &
                        nGC_39) + coupl(nGC_34)*coupl(nGC_54)*coupl(nGC_56) +  &
                        coupl(nGC_34)*coupl(nGC_55)**2d0 + coupl(nGC_35)*coupl(&
                        nGC_77)**2d0 + 4d0*coupl(nGC_38)**3d0)/(32d0*pi**2d0)
      coupl(nGC_5030) = coupl(nGC_3644) + coupl(nGC_88)*dZuL_QCD2/2d0 + coupl( &
                        nGC_88)*dZuR_QCD2/2d0
      coupl(nGC_3419) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_35) + 4d0*coupl(nGC_35&
                        )**3d0 + coupl(nGC_38)*coupl(nGC_57)**2d0 + coupl(     &
                        nGC_39)*coupl(nGC_58)*coupl(nGC_60) + coupl(nGC_39)*   &
                        coupl(nGC_59)**2d0)/(32d0*pi**2d0)
      coupl(nGC_5039) = coupl(nGC_87)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_6392) = coupl(nGC_25)*dZZA_QED2/2d0 + coupl(nGC_3)*dZA_QED2/2d0&
                         + coupl(nGC_3)*dZWMinus_QED2 + coupl(nGC_3550)
      coupl(nGC_3612) = coupl(nGC_3218)*dydo_QED1_QCD2
      coupl(nGC_3345) = (-coupl(nGC_1038)*coupl(nGC_23)*coupl(nGC_83) - coupl( &
                        nGC_1352)*coupl(nGC_36)*coupl(nGC_81) - coupl(nGC_214)*&
                        coupl(nGC_4)*coupl(nGC_81) - coupl(nGC_22)*coupl(nGC_23&
                        )*coupl(nGC_82) + 8d0*coupl(nGC_36)*coupl(nGC_41)*coupl&
                        (nGC_81) - coupl(nGC_40)*coupl(nGC_41)*coupl(nGC_81))/(&
                        32d0*pi**2d0)
      coupl(nGC_5609) = coupl(nGC_3612) + coupl(nGC_64)*dZdL_QCD2/2d0 + coupl( &
                        nGC_64)*dZdR_QCD2/2d0
      coupl(nGC_3276) = cima*(-coupl(nGC_23)**2d0 - coupl(nGC_41)**2d0)/(16d0* &
                        pi**2d0)
      coupl(nGC_10579) = -coupl(nGC_3347)
      coupl(nGC_3258) = cima*(coupl(nGC_25)**2d0 + coupl(nGC_320)**2d0)/(48d0* &
                        pi**2d0)
      coupl(nGC_3614) = coupl(nGC_3210)*dydo_QED1_QCD2
      coupl(nGC_5216) = coupl(nGC_3581) + coupl(nGC_37)*dZH_QED2/2d0 + coupl(  &
                        nGC_37)*dZZ_QED2/2d0
      coupl(nGC_3615) = coupl(nGC_3210)*dydo_QED3
      coupl(nGC_9545) = 3d0*coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_3548)
      coupl(nGC_5352) = coupl(nGC_3573) + coupl(nGC_47)*dZZA_QED2/2d0 + coupl( &
                        nGC_51)*dZA_QED2/2d0 + coupl(nGC_51)*dZWMinus_QED2/2d0
      coupl(nGC_6547) = coupl(nGC_3639) + coupl(nGC_67)*dZH_QED2/2d0
      coupl(nGC_7239) = 2d0*coupl(nGC_15)*dZH_QED2 + coupl(nGC_3565) + coupl(  &
                        nGC_HHHH)
      coupl(nGC_5929) = coupl(nGC_2)*dZuL_QED2 + coupl(nGC_39)*dZZA_QED2/2d0
      coupl(nGC_6732) = coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_3548)
      coupl(nGC_6733) = -coupl(nGC_6732)
      coupl(nGC_6190) = coupl(nGC_25)*dZWMinus_QED2 + coupl(nGC_25)*dZZ_QED2/  &
                        2d0 + coupl(nGC_3)*dZAZ_QED2/2d0 + coupl(nGC_3552)
      coupl(nGC_4991) = coupl(nGC_25)*dZZA_QED2/2d0 + coupl(nGC_3)*dZA_QED2/2d0&
                         + coupl(nGC_3550)
      coupl(nGC_4992) = -coupl(nGC_4991)
      coupl(nGC_5503) = coupl(nGC_3596) + coupl(nGC_38)*dZZ_QED2/2d0 + coupl(  &
                        nGC_38)*dZdL_QED2
      coupl(nGC_3549) = coupl(nGC_3105)*dZgs_QCD2
      coupl(nGC_3303) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_23&
                        )**2d0*coupl(nGC_4) + coupl(nGC_4)*coupl(nGC_65)**2d0  &
                        )/(32d0*pi**2d0)
      coupl(nGC_3359) = coupl(nGC_11)**2d0*coupl(nGC_62)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3358) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_62) - coupl(nGC_1126)*&
                        coupl(nGC_23)*coupl(nGC_61) - coupl(nGC_1296)*coupl(   &
                        nGC_38)*coupl(nGC_63) - coupl(nGC_34)*coupl(nGC_37)*   &
                        coupl(nGC_63) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl( &
                        nGC_62) - coupl(nGC_61)*coupl(nGC_85)*coupl(nGC_86) -  &
                        coupl(nGC_62)**2d0*coupl(nGC_64) - coupl(nGC_63)**2d0* &
                        coupl(nGC_64))/(32d0*pi**2d0)
      coupl(nGC_3357) = coupl(nGC_11)**2d0*coupl(nGC_64)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3356) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_64) - coupl(nGC_1296)*&
                        coupl(nGC_34)*coupl(nGC_63) - coupl(nGC_22)*coupl(     &
                        nGC_23)*coupl(nGC_61) + 8d0*coupl(nGC_34)*coupl(nGC_38 &
                        )*coupl(nGC_64) - coupl(nGC_37)*coupl(nGC_38)*coupl(   &
                        nGC_63) - coupl(nGC_61)*coupl(nGC_85)*coupl(nGC_88) -  &
                        coupl(nGC_62)*coupl(nGC_63)**2d0 - coupl(nGC_62)*coupl(&
                        nGC_64)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3355) = coupl(nGC_11)**2d0*coupl(nGC_60)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3354) = (-coupl(nGC_1126)*coupl(nGC_23)*coupl(nGC_57) - coupl( &
                        nGC_1296)*coupl(nGC_39)*coupl(nGC_59) + 8d0*coupl(nGC_2&
                        )**2d0*coupl(nGC_60) - coupl(nGC_35)*coupl(nGC_37)*    &
                        coupl(nGC_59) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl( &
                        nGC_60) - coupl(nGC_57)*coupl(nGC_73)*coupl(nGC_76) -  &
                        coupl(nGC_58)*coupl(nGC_59)**2d0 - coupl(nGC_58)*coupl(&
                        nGC_60)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3353) = coupl(nGC_11)**2d0*coupl(nGC_58)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3352) = (-coupl(nGC_1296)*coupl(nGC_35)*coupl(nGC_59) + 8d0*   &
                        coupl(nGC_2)**2d0*coupl(nGC_58) - coupl(nGC_22)*coupl( &
                        nGC_23)*coupl(nGC_57) + 8d0*coupl(nGC_35)*coupl(nGC_39 &
                        )*coupl(nGC_58) - coupl(nGC_37)*coupl(nGC_39)*coupl(   &
                        nGC_59) - coupl(nGC_57)*coupl(nGC_73)*coupl(nGC_74) -  &
                        coupl(nGC_58)**2d0*coupl(nGC_60) - coupl(nGC_59)**2d0* &
                        coupl(nGC_60))/(32d0*pi**2d0)
      coupl(nGC_6025) = coupl(nGC_MI)*dZdL_QED2
      coupl(nGC_5102) = coupl(nGC_5098) + coupl(nGC_5101)
      coupl(nGC_3328) = coupl(nGC_11)**2d0*coupl(nGC_61)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3329) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_85) - coupl(  &
                        nGC_1)*coupl(nGC_214)*coupl(nGC_85) - coupl(nGC_1352)* &
                        coupl(nGC_38)*coupl(nGC_85) - coupl(nGC_2)*coupl(nGC_4 &
                        )*coupl(nGC_85) - coupl(nGC_22)*coupl(nGC_23)*coupl(   &
                        nGC_88) - coupl(nGC_23)*coupl(nGC_604)*coupl(nGC_87) + &
                        8d0*coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_85) - coupl( &
                        nGC_35)*coupl(nGC_40)*coupl(nGC_85) - coupl(nGC_61)*   &
                        coupl(nGC_62)*coupl(nGC_88) - coupl(nGC_61)*coupl(     &
                        nGC_63)*coupl(nGC_87))/(32d0*pi**2d0)
      coupl(nGC_3598) = coupl(nGC_3176)*dZee_QED2 + coupl(nGC_3177)*dsw_QED2 + &
                        coupl(nGC_3178)*dcw_QED2
      coupl(nGC_3323) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_57) + coupl(  &
                        nGC_1)*coupl(nGC_4)*coupl(nGC_57) + coupl(nGC_1126)*   &
                        coupl(nGC_23)*coupl(nGC_60) + coupl(nGC_1352)*coupl(   &
                        nGC_35)*coupl(nGC_57) + coupl(nGC_2)*coupl(nGC_214)*   &
                        coupl(nGC_57) + coupl(nGC_20)*coupl(nGC_23)*coupl(     &
                        nGC_59) + 8d0*coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_57 &
                        ) + coupl(nGC_38)*coupl(nGC_40)*coupl(nGC_57) - coupl( &
                        nGC_59)*coupl(nGC_73)*coupl(nGC_75) - coupl(nGC_60)*   &
                        coupl(nGC_73)*coupl(nGC_74))/(32d0*pi**2d0)
      coupl(nGC_3321) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_77) - coupl(  &
                        nGC_1)*coupl(nGC_214)*coupl(nGC_77) - coupl(nGC_1352)* &
                        coupl(nGC_38)*coupl(nGC_77) - coupl(nGC_2)*coupl(nGC_4 &
                        )*coupl(nGC_77) - coupl(nGC_22)*coupl(nGC_23)*coupl(   &
                        nGC_80) - coupl(nGC_23)*coupl(nGC_604)*coupl(nGC_79) + &
                        8d0*coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_77) - coupl( &
                        nGC_35)*coupl(nGC_40)*coupl(nGC_77) - coupl(nGC_53)*   &
                        coupl(nGC_54)*coupl(nGC_80) - coupl(nGC_53)*coupl(     &
                        nGC_55)*coupl(nGC_79))/(32d0*pi**2d0)
      coupl(nGC_3645) = coupl(nGC_3236)*dyup_QED3
      coupl(nGC_3325) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_73) + coupl(  &
                        nGC_1)*coupl(nGC_4)*coupl(nGC_73) + coupl(nGC_1352)*   &
                        coupl(nGC_39)*coupl(nGC_73) + coupl(nGC_2)*coupl(      &
                        nGC_214)*coupl(nGC_73) + coupl(nGC_22)*coupl(nGC_23)*  &
                        coupl(nGC_76) + coupl(nGC_23)*coupl(nGC_604)*coupl(    &
                        nGC_75) + 8d0*coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_73 &
                        ) + coupl(nGC_34)*coupl(nGC_40)*coupl(nGC_73) - coupl( &
                        nGC_57)*coupl(nGC_58)*coupl(nGC_76) - coupl(nGC_57)*   &
                        coupl(nGC_59)*coupl(nGC_75))/(32d0*pi**2d0)
      coupl(nGC_3450) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(&
                        nGC_23)**2d0 - 4d0*coupl(nGC_38)**2d0 - coupl(nGC_62)* &
                        coupl(nGC_64) - coupl(nGC_63)**2d0 - coupl(nGC_85)**2d0&
                        )/(64d0*pi**2d0)
      coupl(nGC_3451) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(&
                        nGC_34)**2d0 - coupl(nGC_61)**2d0 - coupl(nGC_62)*coupl&
                        (nGC_64) - coupl(nGC_63)**2d0)/(64d0*pi**2d0)
      coupl(nGC_3454) = coupl(nGC_11)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_10 &
                        ) + coupl(nGC_11))/(64d0*pi**2d0*Nc**2d0)
      coupl(nGC_3457) = coupl(nGC_11)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_10&
                        ) - coupl(nGC_11))/(64d0*pi**2d0*Nc)
      coupl(nGC_3458) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl( &
                        nGC_23)**2d0 - 4d0*coupl(nGC_39)**2d0 - coupl(nGC_53)**&
                        2d0 - coupl(nGC_78)*coupl(nGC_80) - coupl(nGC_79)**2d0 &
                        )/(64d0*pi**2d0*Nc)
      coupl(nGC_3459) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl( &
                        nGC_35)**2d0 - coupl(nGC_77)**2d0 - coupl(nGC_78)*coupl&
                        (nGC_80) - coupl(nGC_79)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_6432) = coupl(nGC_3595) + coupl(nGC_39)*dZZ_QED2/2d0 + coupl(  &
                        nGC_39)*dZtL_QED2
      coupl(nGC_3519) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_54)*coupl(&
                        nGC_56) - coupl(nGC_58)*coupl(nGC_60) - coupl(nGC_62)* &
                        coupl(nGC_64) - coupl(nGC_74)*coupl(nGC_76) - coupl(   &
                        nGC_78)*coupl(nGC_80) - coupl(nGC_86)*coupl(nGC_88))/( &
                        16d0*pi**2d0)
      coupl(nGC_3518) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_54)*coupl( &
                        nGC_56) + coupl(nGC_58)*coupl(nGC_60) + coupl(nGC_62)* &
                        coupl(nGC_64) + coupl(nGC_74)*coupl(nGC_76) + coupl(   &
                        nGC_78)*coupl(nGC_80) + coupl(nGC_86)*coupl(nGC_88))/( &
                        16d0*pi**2d0*Nc)
      coupl(nGC_3514) = cima*coupl(nGC_11)**2d0*coupl(nGC_23)**2d0*sq2**2d0/(  &
                        32d0*pi**2d0)
      coupl(nGC_5175) = coupl(nGC_3570) + coupl(nGC_42)*dZZA_QED2 + coupl(nGC_6&
                        )*dZA_QED2
      coupl(nGC_9116) = coupl(nGC_3569) + 3d0*coupl(nGC_49)*dZH_QED2/2d0 +     &
                        coupl(nGC_HHH)
      coupl(nGC_5720) = coupl(nGC_3637) + coupl(nGC_82)*dZtauMinusL_QED2/2d0 + &
                        coupl(nGC_82)*dZtauMinusR_QED2/2d0
      coupl(nGC_3302) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_4&
                        )**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_40)**2d0 + coupl(  &
                        nGC_4)*coupl(nGC_70)*coupl(nGC_72) + coupl(nGC_4)*coupl&
                        (nGC_71)**2d0)/(32d0*pi**2d0)
      coupl(nGC_5319) = coupl(nGC_3599) + coupl(nGC_36)*dZZ_QED2/2d0 + coupl(  &
                        nGC_36)*dZtauMinusR_QED2
      coupl(nGC_5313) = coupl(nGC_22)*dZWMinus_QED2/2d0 + coupl(nGC_3574)
      coupl(nGC_3589) = coupl(nGC_3212)*dsw_QED2 + coupl(nGC_3213)*dZee_QED2 + &
                        coupl(nGC_3214)*dcw_QED2 + coupl(nGC_3215)*dvev_QED1
      coupl(nGC_3586) = coupl(nGC_3100)*dZee_QED2 + coupl(nGC_3101)*dcw_QED2
      coupl(nGC_3587) = coupl(nGC_3195)*dZee_QED2 + coupl(nGC_3196)*dsw_QED2 + &
                        coupl(nGC_3197)*dcw_QED2
      coupl(nGC_3584) = coupl(nGC_3103)*dZee_QED2 + coupl(nGC_3104)*dcw_QED2
      coupl(nGC_3585) = coupl(nGC_3190)*dZee_QED2 + coupl(nGC_3191)*dcw_QED2 + &
                        coupl(nGC_3192)*dvev_QED1
      coupl(nGC_3582) = coupl(nGC_3173)*dZee_QED2 + coupl(nGC_3174)*dsw_QED2 + &
                        coupl(nGC_3175)*dcw_QED2
      coupl(nGC_3583) = coupl(nGC_3097)*dZee_QED2 + coupl(nGC_3098)*dcw_QED2
      coupl(nGC_3539) = (-10d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 6d0*cima*    &
                        coupl(nGC_568)**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(    &
                        nGC_562)*sq2**2d0 + 18d0*coupl(nGC_10)**2d0*coupl(     &
                        nGC_568)*sq2**2d0)/(192d0*pi**2d0)
      coupl(nGC_5829) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_3591)
      coupl(nGC_3538) = (-10d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 6d0*cima*    &
                        coupl(nGC_568)**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(    &
                        nGC_12)*sq2**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_566&
                        )*sq2**2d0 + 15d0*coupl(nGC_10)**2d0*coupl(nGC_568)*sq2&
                        **2d0)/(192d0*pi**2d0)
      coupl(nGC_3289) = (-4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_55   &
                        ) - 4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_55 &
                        ) - 4d0*Nc*cMC*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_59 &
                        ) - 4d0*Nc*cMC*coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_59 &
                        ) - 4d0*Nc*cMD*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_63 &
                        ) - 4d0*Nc*cMD*coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_63 &
                        ) - 4d0*Nc*cMS*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_75 &
                        ) - 4d0*Nc*cMS*coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_75 &
                        ) - 4d0*Nc*cMT*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_79 &
                        ) - 4d0*Nc*cMT*coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_79 &
                        ) - 4d0*Nc*cMU*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_87 &
                        ) - 4d0*Nc*cMU*coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_87 &
                        ) - 4d0*cME*coupl(nGC_36)*coupl(nGC_4)*coupl(nGC_67) - &
                        4d0*cME*coupl(nGC_4)*coupl(nGC_40)*coupl(nGC_67) - 4d0*&
                        cMM*coupl(nGC_36)*coupl(nGC_4)*coupl(nGC_71) - 4d0*cMM*&
                        coupl(nGC_4)*coupl(nGC_40)*coupl(nGC_71) - 4d0*cMTA*   &
                        coupl(nGC_36)*coupl(nGC_4)*coupl(nGC_83) - 4d0*cMTA*   &
                        coupl(nGC_4)*coupl(nGC_40)*coupl(nGC_83) + 4d0*cima*   &
                        coupl(nGC_29)*coupl(nGC_50) - coupl(nGC_1038)*coupl(   &
                        nGC_242)*coupl(nGC_47) - coupl(nGC_20)*coupl(nGC_320)* &
                        coupl(nGC_51) - coupl(nGC_21)*coupl(nGC_25)*coupl(     &
                        nGC_51) + 6d0*coupl(nGC_242)*coupl(nGC_320)*coupl(     &
                        nGC_50) + 6d0*coupl(nGC_25)*coupl(nGC_3)*coupl(nGC_50  &
                        ) - coupl(nGC_3)*coupl(nGC_47)*coupl(nGC_604))/(32d0*pi&
                        **2d0)
      coupl(nGC_3653) = coupl(nGC_3230)*dyt_QED3
      coupl(nGC_5980) = coupl(nGC_3651) + coupl(nGC_80)*dZtL_QED2/2d0 + coupl( &
                        nGC_80)*dZtR_QED2/2d0
      coupl(nGC_3469) = (-12d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_23)**2d0 +  &
                        36d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_23)** &
                        2d0 - 12d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_23)**2d0&
                         - 12d0*cima*coupl(nGC_23)**2d0*coupl(nGC_4)**2d0 +    &
                        12d0*cima*coupl(nGC_230)**2d0 - 8d0*cima*coupl(nGC_242 &
                        )**2d0*coupl(nGC_25)**2d0 - 24d0*cima*coupl(nGC_242)** &
                        2d0*coupl(nGC_3)**2d0 - 16d0*cima*coupl(nGC_3)**2d0*   &
                        coupl(nGC_320)**2d0 + 12d0*cima*coupl(nGC_5)**2d0 + 3d0&
                        *coupl(nGC_18)*coupl(nGC_3)**2d0 + 36d0*coupl(nGC_230)*&
                        coupl(nGC_3)*coupl(nGC_320) + 3d0*coupl(nGC_242)**2d0* &
                        coupl(nGC_5) + 3d0*coupl(nGC_242)**2d0*coupl(nGC_634   &
                        ) + 6d0*coupl(nGC_242)*coupl(nGC_25)*coupl(nGC_29) +   &
                        6d0*coupl(nGC_242)*coupl(nGC_3)*coupl(nGC_314) + 36d0* &
                        coupl(nGC_242)*coupl(nGC_3)*coupl(nGC_5) + 3d0*coupl(  &
                        nGC_320)**2d0*coupl(nGC_5))/(96d0*pi**2d0)
      coupl(nGC_3503) = (20d0*Nc*cima*coupl(nGC_54)**2d0*coupl(nGC_56)**2d0 +  &
                        20d0*Nc*cima*coupl(nGC_58)**2d0*coupl(nGC_60)**2d0 +   &
                        20d0*Nc*cima*coupl(nGC_62)**2d0*coupl(nGC_64)**2d0 +   &
                        20d0*Nc*cima*coupl(nGC_74)**2d0*coupl(nGC_76)**2d0 +   &
                        20d0*Nc*cima*coupl(nGC_78)**2d0*coupl(nGC_80)**2d0 +   &
                        20d0*Nc*cima*coupl(nGC_86)**2d0*coupl(nGC_88)**2d0 -   &
                        10d0*cima*coupl(nGC_1126)**2d0*coupl(nGC_22)**2d0 - 5d0&
                        *cima*coupl(nGC_1296)**2d0*coupl(nGC_37)**2d0 + 6d0*   &
                        cima*coupl(nGC_17)**2d0 + 3d0*cima*coupl(nGC_46)**2d0  &
                         + 20d0*cima*coupl(nGC_66)**2d0*coupl(nGC_68)**2d0 +   &
                        20d0*cima*coupl(nGC_70)**2d0*coupl(nGC_72)**2d0 + 20d0*&
                        cima*coupl(nGC_82)**2d0*coupl(nGC_84)**2d0 + 6d0*coupl(&
                        nGC_1126)*coupl(nGC_13)*coupl(nGC_22) - 6d0*coupl(     &
                        nGC_1126)*coupl(nGC_17)*coupl(nGC_22) + 3d0*coupl(     &
                        nGC_1296)*coupl(nGC_13)*coupl(nGC_37) - 3d0*coupl(     &
                        nGC_1296)*coupl(nGC_37)*coupl(nGC_46))/(16d0*pi**2d0)
      coupl(nGC_5268) = coupl(nGC_3598) + coupl(nGC_41)*dZZ_QED2/2d0 + coupl(  &
                        nGC_41)*dZnu_tauL_QED2
      coupl(nGC_3541) = (-8d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*Nc*   &
                        cima*coupl(nGC_12)**2d0 + 12d0*Nc*cima*coupl(nGC_566)**&
                        2d0 + 39d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_12)*sq2**2d0&
                         - 3d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_566)*sq2**2d0 + &
                        36d0*cima*coupl(nGC_11)**4d0*sq2**4d0)/(768d0*pi**2d0)
      coupl(nGC_8086) = coupl(nGC_3664) + coupl(nGC_8084)
      coupl(nGC_5263) = coupl(nGC_3599) + coupl(nGC_36)*dZZ_QED2/2d0 + coupl(  &
                        nGC_36)*dZeMinusR_QED2
      coupl(nGC_5262) = coupl(nGC_3582) + coupl(nGC_40)*dZZ_QED2/2d0 + coupl(  &
                        nGC_40)*dZeMinusL_QED2
      coupl(nGC_5265) = coupl(nGC_5261) + coupl(nGC_5262)
      coupl(nGC_5264) = coupl(nGC_5261) + coupl(nGC_5263)
      coupl(nGC_3531) = sq2**2d0*(-2d0*Nc*cima*coupl(nGC_10)**4d0*sq2**2d0 +   &
                        3d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_562) - 3d0*Nc*coupl&
                        (nGC_10)**2d0*coupl(nGC_568) - 30d0*cima*coupl(nGC_11  &
                        )**4d0*sq2**2d0)/(384d0*pi**2d0)
      coupl(nGC_6299) = coupl(nGC_4976) + coupl(nGC_6293)
      coupl(nGC_5180) = coupl(nGC_3640) + coupl(nGC_71)*dZH_QED2/2d0
      coupl(nGC_5181) = coupl(nGC_5179) + coupl(nGC_5180)
      coupl(nGC_6700) = coupl(nGC_3671) + coupl(nGC_6696)
      coupl(nGC_3509) = (-4d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_38)**2d0 +  &
                        12d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_38)*coupl(   &
                        nGC_39) - 4d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_39  &
                        )**2d0 + 4d0*cima*coupl(nGC_19)**2d0 - 4d0*cima*coupl( &
                        nGC_23)**2d0*coupl(nGC_40)**2d0 + 12d0*cima*coupl(     &
                        nGC_23)**2d0*coupl(nGC_40)*coupl(nGC_41) - 4d0*cima*   &
                        coupl(nGC_23)**2d0*coupl(nGC_41)**2d0 + 4d0*cima*coupl(&
                        nGC_230)**2d0 - 8d0*cima*coupl(nGC_242)**2d0*coupl(    &
                        nGC_25)**2d0 - 8d0*cima*coupl(nGC_25)**2d0*coupl(      &
                        nGC_320)**2d0 + coupl(nGC_18)*coupl(nGC_25)**2d0 + 2d0*&
                        coupl(nGC_184)*coupl(nGC_25)*coupl(nGC_320) + coupl(   &
                        nGC_19)*coupl(nGC_242)**2d0 + 12d0*coupl(nGC_19)*coupl(&
                        nGC_25)*coupl(nGC_320) + coupl(nGC_19)*coupl(nGC_320)**&
                        2d0 + 12d0*coupl(nGC_230)*coupl(nGC_242)*coupl(nGC_25  &
                        ) + 2d0*coupl(nGC_242)*coupl(nGC_25)*coupl(nGC_29) +   &
                        coupl(nGC_320)**2d0*coupl(nGC_634))/(32d0*pi**2d0)
      coupl(nGC_3680) = coupl(nGC_144)*dMW2_QED2
      coupl(nGC_4966) = coupl(nGC_3598) + coupl(nGC_41)*dZZ_QED2/2d0 + coupl(  &
                        nGC_41)*dZnu_eL_QED2
      coupl(nGC_4960) = coupl(nGC_3556) + coupl(nGC_4)*dZA_QED2/2d0
      coupl(nGC_4963) = coupl(nGC_4959) + coupl(nGC_4960)
      coupl(nGC_4962) = coupl(nGC_4960) + coupl(nGC_4961)
      coupl(nGC_4969) = coupl(nGC_17)*dZWMinus_QED2 + coupl(nGC_3578)
      coupl(nGC_6420) = -coupl(nGC_6392)
      coupl(nGC_6853) = -coupl(nGC_6190)
      coupl(nGC_5563) = coupl(nGC_4976) + coupl(nGC_5559)
      coupl(nGC_3410) = coupl(nGC_23)*(coupl(nGC_1)*coupl(nGC_2) - coupl(nGC_1 &
                        )*coupl(nGC_3) - coupl(nGC_2)*coupl(nGC_242) - coupl(  &
                        nGC_25)*coupl(nGC_38) - coupl(nGC_320)*coupl(nGC_39) + &
                        coupl(nGC_38)*coupl(nGC_39))/(8d0*pi**2d0)
      coupl(nGC_3411) = coupl(nGC_23)*(coupl(nGC_242)*coupl(nGC_4) + coupl(    &
                        nGC_25)*coupl(nGC_41) + coupl(nGC_320)*coupl(nGC_40) + &
                        coupl(nGC_40)*coupl(nGC_41))/(8d0*pi**2d0)
      coupl(nGC_5199) = coupl(nGC_13)*dZH_QED2 + coupl(nGC_3566) + coupl(      &
                        nGC_HHGG)
      coupl(nGC_3494) = (20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_53 &
                        )*coupl(nGC_54) + 20d0*Nc*cima*coupl(nGC_23)*coupl(    &
                        nGC_34)*coupl(nGC_61)*coupl(nGC_62) + 20d0*Nc*cima*    &
                        coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_73)*coupl(nGC_74 &
                        ) + 20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_35)*coupl(    &
                        nGC_57)*coupl(nGC_58) + 20d0*Nc*cima*coupl(nGC_23)*    &
                        coupl(nGC_35)*coupl(nGC_77)*coupl(nGC_78) + 20d0*Nc*   &
                        cima*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_85)*coupl(  &
                        nGC_86) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_38)*    &
                        coupl(nGC_53)*coupl(nGC_54) - 16d0*Nc*cima*coupl(nGC_23&
                        )*coupl(nGC_38)*coupl(nGC_57)*coupl(nGC_58) - 16d0*Nc* &
                        cima*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_61)*coupl(  &
                        nGC_62) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_38)*    &
                        coupl(nGC_73)*coupl(nGC_74) - 16d0*Nc*cima*coupl(nGC_23&
                        )*coupl(nGC_38)*coupl(nGC_77)*coupl(nGC_78) - 16d0*Nc* &
                        cima*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_85)*coupl(  &
                        nGC_86) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_39)*    &
                        coupl(nGC_53)*coupl(nGC_54) - 16d0*Nc*cima*coupl(nGC_23&
                        )*coupl(nGC_39)*coupl(nGC_57)*coupl(nGC_58) - 16d0*Nc* &
                        cima*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_61)*coupl(  &
                        nGC_62) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_39)*    &
                        coupl(nGC_73)*coupl(nGC_74) - 16d0*Nc*cima*coupl(nGC_23&
                        )*coupl(nGC_39)*coupl(nGC_77)*coupl(nGC_78) - 16d0*Nc* &
                        cima*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_85)*coupl(  &
                        nGC_86) + 4d0*cima*coupl(nGC_1126)*coupl(nGC_1352)*    &
                        coupl(nGC_37)**2d0 + 9d0*cima*coupl(nGC_1126)*coupl(   &
                        nGC_25)*coupl(nGC_320)*coupl(nGC_40) + 9d0*cima*coupl( &
                        nGC_1126)*coupl(nGC_3)*coupl(nGC_320)*coupl(nGC_4) +   &
                        9d0*cima*coupl(nGC_1296)*coupl(nGC_20)*coupl(nGC_25)*  &
                        coupl(nGC_320) + 4d0*cima*coupl(nGC_1296)*coupl(nGC_22 &
                        )**2d0*coupl(nGC_604) + 4d0*cima*coupl(nGC_1352)*coupl(&
                        nGC_20)*coupl(nGC_37)*coupl(nGC_40) + 4d0*cima*coupl(  &
                        nGC_1352)*coupl(nGC_22)**3d0 + 4d0*cima*coupl(nGC_1352 &
                        )*coupl(nGC_22)*coupl(nGC_604)**2d0 + 24d0*cima*coupl( &
                        nGC_19)*coupl(nGC_7) + 4d0*cima*coupl(nGC_22)**2d0*    &
                        coupl(nGC_37)*coupl(nGC_604) + 20d0*cima*coupl(nGC_23)*&
                        coupl(nGC_36)*coupl(nGC_65)*coupl(nGC_66) + 20d0*cima* &
                        coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_69)*coupl(nGC_70 &
                        ) + 20d0*cima*coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_81 &
                        )*coupl(nGC_82) - 16d0*cima*coupl(nGC_23)*coupl(nGC_40 &
                        )*coupl(nGC_65)*coupl(nGC_66) - 16d0*cima*coupl(nGC_23 &
                        )*coupl(nGC_40)*coupl(nGC_69)*coupl(nGC_70) - 16d0*cima&
                        *coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_81)*coupl(nGC_82&
                        ) - 16d0*cima*coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_65 &
                        )*coupl(nGC_66) - 16d0*cima*coupl(nGC_23)*coupl(nGC_41 &
                        )*coupl(nGC_69)*coupl(nGC_70) - 16d0*cima*coupl(nGC_23 &
                        )*coupl(nGC_41)*coupl(nGC_81)*coupl(nGC_82) + 24d0*cima&
                        *coupl(nGC_230)*coupl(nGC_26) - 6d0*coupl(nGC_1126)*   &
                        coupl(nGC_17)*coupl(nGC_25) - 6d0*coupl(nGC_1126)*coupl&
                        (nGC_17)*coupl(nGC_320) - 6d0*coupl(nGC_1126)*coupl(   &
                        nGC_19)*coupl(nGC_40) - 6d0*coupl(nGC_1126)*coupl(     &
                        nGC_230)*coupl(nGC_4) - 6d0*coupl(nGC_1126)*coupl(     &
                        nGC_25)*coupl(nGC_45) - 6d0*coupl(nGC_1126)*coupl(nGC_3&
                        )*coupl(nGC_42) - 6d0*coupl(nGC_1126)*coupl(nGC_320)*  &
                        coupl(nGC_46) - 6d0*coupl(nGC_1296)*coupl(nGC_19)*coupl&
                        (nGC_20) - 6d0*coupl(nGC_1296)*coupl(nGC_320)*coupl(   &
                        nGC_8) + 6d0*coupl(nGC_1352)*coupl(nGC_37)*coupl(nGC_8 &
                        ) + 6d0*coupl(nGC_22)**2d0*coupl(nGC_7) + 6d0*coupl(   &
                        nGC_22)*coupl(nGC_604)*coupl(nGC_8) + 36d0*coupl(      &
                        nGC_242)*coupl(nGC_25)*coupl(nGC_26) + 36d0*coupl(     &
                        nGC_25)*coupl(nGC_320)*coupl(nGC_7) - 6d0*coupl(nGC_25 &
                        )*coupl(nGC_40)*coupl(nGC_7) - 6d0*coupl(nGC_3)*coupl( &
                        nGC_4)*coupl(nGC_7))/(192d0*pi**2d0)
      coupl(nGC_3495) = (20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_53 &
                        )*coupl(nGC_55) + 20d0*Nc*cima*coupl(nGC_23)*coupl(    &
                        nGC_34)*coupl(nGC_61)*coupl(nGC_63) + 20d0*Nc*cima*    &
                        coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_73)*coupl(nGC_75 &
                        ) + 20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_35)*coupl(    &
                        nGC_57)*coupl(nGC_59) + 20d0*Nc*cima*coupl(nGC_23)*    &
                        coupl(nGC_35)*coupl(nGC_77)*coupl(nGC_79) + 20d0*Nc*   &
                        cima*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_85)*coupl(  &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_38)*    &
                        coupl(nGC_53)*coupl(nGC_55) - 16d0*Nc*cima*coupl(nGC_23&
                        )*coupl(nGC_38)*coupl(nGC_57)*coupl(nGC_59) - 16d0*Nc* &
                        cima*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_61)*coupl(  &
                        nGC_63) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_38)*    &
                        coupl(nGC_73)*coupl(nGC_75) - 16d0*Nc*cima*coupl(nGC_23&
                        )*coupl(nGC_38)*coupl(nGC_77)*coupl(nGC_79) - 16d0*Nc* &
                        cima*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_85)*coupl(  &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_39)*    &
                        coupl(nGC_53)*coupl(nGC_55) - 16d0*Nc*cima*coupl(nGC_23&
                        )*coupl(nGC_39)*coupl(nGC_57)*coupl(nGC_59) - 16d0*Nc* &
                        cima*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_61)*coupl(  &
                        nGC_63) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_39)*    &
                        coupl(nGC_73)*coupl(nGC_75) - 16d0*Nc*cima*coupl(nGC_23&
                        )*coupl(nGC_39)*coupl(nGC_77)*coupl(nGC_79) - 16d0*Nc* &
                        cima*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_85)*coupl(  &
                        nGC_87) + 4d0*cima*coupl(nGC_1038)*coupl(nGC_1296)*    &
                        coupl(nGC_22)*coupl(nGC_604) + 4d0*cima*coupl(nGC_1038 &
                        )*coupl(nGC_1352)*coupl(nGC_22)**2d0 + 4d0*cima*coupl( &
                        nGC_1038)*coupl(nGC_1352)*coupl(nGC_604)**2d0 + 4d0*   &
                        cima*coupl(nGC_1038)*coupl(nGC_22)*coupl(nGC_37)*coupl(&
                        nGC_604) + 4d0*cima*coupl(nGC_1126)*coupl(nGC_1296)*   &
                        coupl(nGC_1352)*coupl(nGC_40) + 9d0*cima*coupl(nGC_1126&
                        )*coupl(nGC_25)*coupl(nGC_320)*coupl(nGC_37) + 4d0*cima&
                        *coupl(nGC_1296)**2d0*coupl(nGC_1352)*coupl(nGC_20) +  &
                        24d0*cima*coupl(nGC_19)*coupl(nGC_8) + 9d0*cima*coupl( &
                        nGC_20)*coupl(nGC_25)*coupl(nGC_320)*coupl(nGC_40) +   &
                        9d0*cima*coupl(nGC_20)*coupl(nGC_3)*coupl(nGC_320)*    &
                        coupl(nGC_4) + 20d0*cima*coupl(nGC_23)*coupl(nGC_36)*  &
                        coupl(nGC_65)*coupl(nGC_67) + 20d0*cima*coupl(nGC_23)* &
                        coupl(nGC_36)*coupl(nGC_69)*coupl(nGC_71) + 20d0*cima* &
                        coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_81)*coupl(nGC_83 &
                        ) - 16d0*cima*coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_65 &
                        )*coupl(nGC_67) - 16d0*cima*coupl(nGC_23)*coupl(nGC_40 &
                        )*coupl(nGC_69)*coupl(nGC_71) - 16d0*cima*coupl(nGC_23 &
                        )*coupl(nGC_40)*coupl(nGC_81)*coupl(nGC_83) - 16d0*cima&
                        *coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_65)*coupl(nGC_67&
                        ) - 16d0*cima*coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_69 &
                        )*coupl(nGC_71) - 16d0*cima*coupl(nGC_23)*coupl(nGC_41 &
                        )*coupl(nGC_81)*coupl(nGC_83) + 24d0*cima*coupl(nGC_230&
                        )*coupl(nGC_27) + 6d0*coupl(nGC_1038)*coupl(nGC_22)*   &
                        coupl(nGC_7) + 6d0*coupl(nGC_1038)*coupl(nGC_604)*coupl&
                        (nGC_8) - 6d0*coupl(nGC_1126)*coupl(nGC_19)*coupl(     &
                        nGC_37) + 6d0*coupl(nGC_1296)*coupl(nGC_1352)*coupl(   &
                        nGC_7) - 6d0*coupl(nGC_17)*coupl(nGC_20)*coupl(nGC_25  &
                        ) - 6d0*coupl(nGC_17)*coupl(nGC_20)*coupl(nGC_320) -   &
                        6d0*coupl(nGC_19)*coupl(nGC_20)*coupl(nGC_40) - 6d0*   &
                        coupl(nGC_20)*coupl(nGC_230)*coupl(nGC_4) - 6d0*coupl( &
                        nGC_20)*coupl(nGC_25)*coupl(nGC_45) - 6d0*coupl(nGC_20 &
                        )*coupl(nGC_3)*coupl(nGC_42) - 6d0*coupl(nGC_20)*coupl(&
                        nGC_320)*coupl(nGC_46) + 36d0*coupl(nGC_242)*coupl(    &
                        nGC_25)*coupl(nGC_27) + 36d0*coupl(nGC_25)*coupl(      &
                        nGC_320)*coupl(nGC_8) - 6d0*coupl(nGC_25)*coupl(nGC_40 &
                        )*coupl(nGC_8) - 6d0*coupl(nGC_3)*coupl(nGC_4)*coupl(  &
                        nGC_8) - 6d0*coupl(nGC_320)*coupl(nGC_37)*coupl(nGC_7  &
                        ))/(192d0*pi**2d0)
      coupl(nGC_3491) = (-16d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_53)**2d0 - &
                        16d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_57)**2d0 -   &
                        16d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_61)**2d0 -   &
                        16d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_73)**2d0 -   &
                        16d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_77)**2d0 -   &
                        16d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_85)**2d0 +   &
                        4d0*cima*coupl(nGC_1038)*coupl(nGC_1126)**2d0*coupl(   &
                        nGC_604) + 4d0*cima*coupl(nGC_1038)*coupl(nGC_1352)**  &
                        2d0*coupl(nGC_20) + 4d0*cima*coupl(nGC_1038)*coupl(    &
                        nGC_20)*coupl(nGC_21)*coupl(nGC_604) + 4d0*cima*coupl( &
                        nGC_1038)*coupl(nGC_20)*coupl(nGC_214)**2d0 + 9d0*cima*&
                        coupl(nGC_1038)*coupl(nGC_20)*coupl(nGC_242)**2d0 + 9d0&
                        *cima*coupl(nGC_1038)*coupl(nGC_20)*coupl(nGC_320)**2d0&
                         + 8d0*cima*coupl(nGC_1126)**2d0*coupl(nGC_22)**2d0 +  &
                        4d0*cima*coupl(nGC_1126)**2d0*coupl(nGC_604)**2d0 + 4d0&
                        *cima*coupl(nGC_1126)*coupl(nGC_1352)**2d0*coupl(nGC_22&
                        ) + 4d0*cima*coupl(nGC_1126)*coupl(nGC_214)**2d0*coupl(&
                        nGC_22) + 9d0*cima*coupl(nGC_1126)*coupl(nGC_22)*coupl(&
                        nGC_242)**2d0 + 9d0*cima*coupl(nGC_1126)*coupl(nGC_22)*&
                        coupl(nGC_320)**2d0 + 24d0*cima*coupl(nGC_17)*coupl(   &
                        nGC_18) + 12d0*cima*coupl(nGC_184)*coupl(nGC_45) + 4d0*&
                        cima*coupl(nGC_20)*coupl(nGC_21)*coupl(nGC_22)**2d0 +  &
                        4d0*cima*coupl(nGC_21)**2d0*coupl(nGC_22)**2d0 + 4d0*  &
                        cima*coupl(nGC_21)**2d0*coupl(nGC_604)**2d0 - 16d0*cima&
                        *coupl(nGC_23)**2d0*coupl(nGC_65)**2d0 - 16d0*cima*    &
                        coupl(nGC_23)**2d0*coupl(nGC_69)**2d0 - 16d0*cima*coupl&
                        (nGC_23)**2d0*coupl(nGC_81)**2d0 + 9d0*cima*coupl(     &
                        nGC_242)**2d0*coupl(nGC_4)**2d0 + 18d0*cima*coupl(     &
                        nGC_242)*coupl(nGC_320)*coupl(nGC_4)*coupl(nGC_40) +   &
                        9d0*cima*coupl(nGC_25)**2d0*coupl(nGC_40)**2d0 + 18d0* &
                        cima*coupl(nGC_25)*coupl(nGC_3)*coupl(nGC_4)*coupl(    &
                        nGC_40) + 24d0*cima*coupl(nGC_29)*coupl(nGC_42) + 9d0* &
                        cima*coupl(nGC_3)**2d0*coupl(nGC_4)**2d0 + 12d0*cima*  &
                        coupl(nGC_314)*coupl(nGC_6) + 9d0*cima*coupl(nGC_320)**&
                        2d0*coupl(nGC_40)**2d0 - 6d0*coupl(nGC_1038)*coupl(    &
                        nGC_18)*coupl(nGC_20) - 6d0*coupl(nGC_1038)*coupl(     &
                        nGC_242)*coupl(nGC_27) - 6d0*coupl(nGC_1038)*coupl(    &
                        nGC_320)*coupl(nGC_8) + 6d0*coupl(nGC_1126)*coupl(     &
                        nGC_17)*coupl(nGC_22) - 6d0*coupl(nGC_1126)*coupl(     &
                        nGC_18)*coupl(nGC_22) - 6d0*coupl(nGC_1126)*coupl(     &
                        nGC_242)*coupl(nGC_28) - 6d0*coupl(nGC_1126)*coupl(    &
                        nGC_320)*coupl(nGC_9) + 6d0*coupl(nGC_1352)**2d0*coupl(&
                        nGC_17) + 6d0*coupl(nGC_17)*coupl(nGC_21)*coupl(nGC_604&
                        ) + 6d0*coupl(nGC_17)*coupl(nGC_214)**2d0 + 36d0*coupl(&
                        nGC_17)*coupl(nGC_242)**2d0 - 12d0*coupl(nGC_17)*coupl(&
                        nGC_242)*coupl(nGC_4) - 12d0*coupl(nGC_17)*coupl(nGC_25&
                        )*coupl(nGC_40) - 12d0*coupl(nGC_17)*coupl(nGC_3)*coupl&
                        (nGC_4) + 36d0*coupl(nGC_17)*coupl(nGC_320)**2d0 - 12d0&
                        *coupl(nGC_17)*coupl(nGC_320)*coupl(nGC_40) - 6d0*coupl&
                        (nGC_184)*coupl(nGC_40)**2d0 - 6d0*coupl(nGC_20)*coupl(&
                        nGC_242)*coupl(nGC_27) - 6d0*coupl(nGC_20)*coupl(      &
                        nGC_320)*coupl(nGC_8) - 6d0*coupl(nGC_22)*coupl(nGC_242&
                        )*coupl(nGC_26) - 6d0*coupl(nGC_22)*coupl(nGC_320)*    &
                        coupl(nGC_7) + 36d0*coupl(nGC_25)**2d0*coupl(nGC_45) + &
                        72d0*coupl(nGC_25)*coupl(nGC_3)*coupl(nGC_42) - 12d0*  &
                        coupl(nGC_29)*coupl(nGC_4)*coupl(nGC_40) + 36d0*coupl( &
                        nGC_3)**2d0*coupl(nGC_6) - 6d0*coupl(nGC_314)*coupl(   &
                        nGC_4)**2d0)/(192d0*pi**2d0)
      coupl(nGC_7751) = coupl(nGC_20)*dZH_QED2/2d0 + coupl(nGC_20)*            &
                        dZWMinus_QED2/2d0 + coupl(nGC_3577)
      coupl(nGC_3493) = (6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_34)**3d0 + 6d0*Nc* &
                        cima*coupl(nGC_1)*coupl(nGC_38)**3d0 + 6d0*Nc*cima*    &
                        coupl(nGC_2)*coupl(nGC_35)**3d0 + 6d0*Nc*cima*coupl(   &
                        nGC_2)*coupl(nGC_39)**3d0 + 6d0*cima*coupl(nGC_184)*   &
                        coupl(nGC_29) - 20d0*cima*coupl(nGC_242)*coupl(nGC_320 &
                        )**3d0 - 20d0*cima*coupl(nGC_25)**3d0*coupl(nGC_3) +   &
                        6d0*cima*coupl(nGC_36)**3d0*coupl(nGC_4) + 6d0*cima*   &
                        coupl(nGC_4)*coupl(nGC_40)**3d0 + 9d0*coupl(nGC_184)*  &
                        coupl(nGC_242)*coupl(nGC_320) + 9d0*coupl(nGC_184)*    &
                        coupl(nGC_25)*coupl(nGC_3) + 3d0*coupl(nGC_19)*coupl(  &
                        nGC_242)*coupl(nGC_320) + 3d0*coupl(nGC_19)*coupl(     &
                        nGC_25)*coupl(nGC_3) + 3d0*coupl(nGC_230)*coupl(nGC_25 &
                        )**2d0 + 3d0*coupl(nGC_230)*coupl(nGC_320)**2d0 + 9d0* &
                        coupl(nGC_25)**2d0*coupl(nGC_29) + 9d0*coupl(nGC_29)*  &
                        coupl(nGC_320)**2d0)/(48d0*pi**2d0)
      coupl(nGC_3498) = (20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_53 &
                        )*coupl(nGC_56) + 20d0*Nc*cima*coupl(nGC_23)*coupl(    &
                        nGC_34)*coupl(nGC_61)*coupl(nGC_64) + 20d0*Nc*cima*    &
                        coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_73)*coupl(nGC_76 &
                        ) + 20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_35)*coupl(    &
                        nGC_57)*coupl(nGC_60) + 20d0*Nc*cima*coupl(nGC_23)*    &
                        coupl(nGC_35)*coupl(nGC_77)*coupl(nGC_80) + 20d0*Nc*   &
                        cima*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_85)*coupl(  &
                        nGC_88) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_38)*    &
                        coupl(nGC_53)*coupl(nGC_56) - 16d0*Nc*cima*coupl(nGC_23&
                        )*coupl(nGC_38)*coupl(nGC_57)*coupl(nGC_60) - 16d0*Nc* &
                        cima*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_61)*coupl(  &
                        nGC_64) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_38)*    &
                        coupl(nGC_73)*coupl(nGC_76) - 16d0*Nc*cima*coupl(nGC_23&
                        )*coupl(nGC_38)*coupl(nGC_77)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_85)*coupl(  &
                        nGC_88) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_39)*    &
                        coupl(nGC_53)*coupl(nGC_56) - 16d0*Nc*cima*coupl(nGC_23&
                        )*coupl(nGC_39)*coupl(nGC_57)*coupl(nGC_60) - 16d0*Nc* &
                        cima*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_61)*coupl(  &
                        nGC_64) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_39)*    &
                        coupl(nGC_73)*coupl(nGC_76) - 16d0*Nc*cima*coupl(nGC_23&
                        )*coupl(nGC_39)*coupl(nGC_77)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_85)*coupl(  &
                        nGC_88) + 4d0*cima*coupl(nGC_1038)**2d0*coupl(nGC_22)* &
                        coupl(nGC_40) + 4d0*cima*coupl(nGC_1038)*coupl(nGC_1296&
                        )*coupl(nGC_22)**2d0 + 4d0*cima*coupl(nGC_1038)*coupl( &
                        nGC_22)**2d0*coupl(nGC_37) + 9d0*cima*coupl(nGC_1126)* &
                        coupl(nGC_1352)*coupl(nGC_25)*coupl(nGC_320) + 9d0*cima&
                        *coupl(nGC_1126)*coupl(nGC_214)*coupl(nGC_242)*coupl(  &
                        nGC_25) + 4d0*cima*coupl(nGC_1126)*coupl(nGC_37)**2d0* &
                        coupl(nGC_40) + 9d0*cima*coupl(nGC_1296)*coupl(nGC_21)*&
                        coupl(nGC_25)*coupl(nGC_320) + 4d0*cima*coupl(nGC_1352 &
                        )*coupl(nGC_21)*coupl(nGC_37)*coupl(nGC_40) + 24d0*cima&
                        *coupl(nGC_19)*coupl(nGC_9) + 4d0*cima*coupl(nGC_22)** &
                        3d0*coupl(nGC_40) + 20d0*cima*coupl(nGC_23)*coupl(     &
                        nGC_36)*coupl(nGC_65)*coupl(nGC_68) + 20d0*cima*coupl( &
                        nGC_23)*coupl(nGC_36)*coupl(nGC_69)*coupl(nGC_72) +    &
                        20d0*cima*coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_81)*   &
                        coupl(nGC_84) - 16d0*cima*coupl(nGC_23)*coupl(nGC_40)* &
                        coupl(nGC_65)*coupl(nGC_68) - 16d0*cima*coupl(nGC_23)* &
                        coupl(nGC_40)*coupl(nGC_69)*coupl(nGC_72) - 16d0*cima* &
                        coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_81)*coupl(nGC_84 &
                        ) - 16d0*cima*coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_65 &
                        )*coupl(nGC_68) - 16d0*cima*coupl(nGC_23)*coupl(nGC_41 &
                        )*coupl(nGC_69)*coupl(nGC_72) - 16d0*cima*coupl(nGC_23 &
                        )*coupl(nGC_41)*coupl(nGC_81)*coupl(nGC_84) + 24d0*cima&
                        *coupl(nGC_230)*coupl(nGC_28) + 6d0*coupl(nGC_1038)*   &
                        coupl(nGC_22)*coupl(nGC_8) - 6d0*coupl(nGC_1126)*coupl(&
                        nGC_1352)*coupl(nGC_19) - 6d0*coupl(nGC_1126)*coupl(   &
                        nGC_17)*coupl(nGC_25) - 6d0*coupl(nGC_1126)*coupl(     &
                        nGC_17)*coupl(nGC_320) - 6d0*coupl(nGC_1126)*coupl(    &
                        nGC_214)*coupl(nGC_230) - 6d0*coupl(nGC_1126)*coupl(   &
                        nGC_242)*coupl(nGC_42) - 6d0*coupl(nGC_1126)*coupl(    &
                        nGC_25)*coupl(nGC_46) - 6d0*coupl(nGC_1126)*coupl(     &
                        nGC_320)*coupl(nGC_45) - 6d0*coupl(nGC_1296)*coupl(    &
                        nGC_19)*coupl(nGC_21) - 6d0*coupl(nGC_1296)*coupl(     &
                        nGC_25)*coupl(nGC_8) - 6d0*coupl(nGC_1352)*coupl(      &
                        nGC_320)*coupl(nGC_9) - 6d0*coupl(nGC_214)*coupl(      &
                        nGC_242)*coupl(nGC_9) + 6d0*coupl(nGC_22)**2d0*coupl(  &
                        nGC_9) + 36d0*coupl(nGC_25)*coupl(nGC_320)*coupl(nGC_9 &
                        ) + 36d0*coupl(nGC_28)*coupl(nGC_3)*coupl(nGC_320) +   &
                        6d0*coupl(nGC_37)*coupl(nGC_40)*coupl(nGC_8))/(192d0*pi&
                        **2d0)
      coupl(nGC_3499) = (20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_53 &
                        )*coupl(nGC_55) + 20d0*Nc*cima*coupl(nGC_23)*coupl(    &
                        nGC_34)*coupl(nGC_61)*coupl(nGC_63) + 20d0*Nc*cima*    &
                        coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_73)*coupl(nGC_75 &
                        ) + 20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_35)*coupl(    &
                        nGC_57)*coupl(nGC_59) + 20d0*Nc*cima*coupl(nGC_23)*    &
                        coupl(nGC_35)*coupl(nGC_77)*coupl(nGC_79) + 20d0*Nc*   &
                        cima*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_85)*coupl(  &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_38)*    &
                        coupl(nGC_53)*coupl(nGC_55) - 16d0*Nc*cima*coupl(nGC_23&
                        )*coupl(nGC_38)*coupl(nGC_57)*coupl(nGC_59) - 16d0*Nc* &
                        cima*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_61)*coupl(  &
                        nGC_63) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_38)*    &
                        coupl(nGC_73)*coupl(nGC_75) - 16d0*Nc*cima*coupl(nGC_23&
                        )*coupl(nGC_38)*coupl(nGC_77)*coupl(nGC_79) - 16d0*Nc* &
                        cima*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_85)*coupl(  &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_39)*    &
                        coupl(nGC_53)*coupl(nGC_55) - 16d0*Nc*cima*coupl(nGC_23&
                        )*coupl(nGC_39)*coupl(nGC_57)*coupl(nGC_59) - 16d0*Nc* &
                        cima*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_61)*coupl(  &
                        nGC_63) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_39)*    &
                        coupl(nGC_73)*coupl(nGC_75) - 16d0*Nc*cima*coupl(nGC_23&
                        )*coupl(nGC_39)*coupl(nGC_77)*coupl(nGC_79) - 16d0*Nc* &
                        cima*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_85)*coupl(  &
                        nGC_87) + 4d0*cima*coupl(nGC_1038)**2d0*coupl(nGC_40)* &
                        coupl(nGC_604) + 4d0*cima*coupl(nGC_1038)*coupl(       &
                        nGC_1296)*coupl(nGC_22)*coupl(nGC_604) + 4d0*cima*coupl&
                        (nGC_1038)*coupl(nGC_22)*coupl(nGC_37)*coupl(nGC_604   &
                        ) + 4d0*cima*coupl(nGC_1126)*coupl(nGC_1296)*coupl(    &
                        nGC_1352)*coupl(nGC_40) + 9d0*cima*coupl(nGC_1126)*    &
                        coupl(nGC_25)*coupl(nGC_320)*coupl(nGC_37) + 4d0*cima* &
                        coupl(nGC_1296)**2d0*coupl(nGC_21)*coupl(nGC_40) + 9d0*&
                        cima*coupl(nGC_1352)*coupl(nGC_21)*coupl(nGC_25)*coupl(&
                        nGC_320) + 24d0*cima*coupl(nGC_19)*coupl(nGC_8) + 9d0* &
                        cima*coupl(nGC_21)*coupl(nGC_214)*coupl(nGC_242)*coupl(&
                        nGC_25) + 4d0*cima*coupl(nGC_22)**2d0*coupl(nGC_40)*   &
                        coupl(nGC_604) + 20d0*cima*coupl(nGC_23)*coupl(nGC_36)*&
                        coupl(nGC_65)*coupl(nGC_67) + 20d0*cima*coupl(nGC_23)* &
                        coupl(nGC_36)*coupl(nGC_69)*coupl(nGC_71) + 20d0*cima* &
                        coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_81)*coupl(nGC_83 &
                        ) - 16d0*cima*coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_65 &
                        )*coupl(nGC_67) - 16d0*cima*coupl(nGC_23)*coupl(nGC_40 &
                        )*coupl(nGC_69)*coupl(nGC_71) - 16d0*cima*coupl(nGC_23 &
                        )*coupl(nGC_40)*coupl(nGC_81)*coupl(nGC_83) - 16d0*cima&
                        *coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_65)*coupl(nGC_67&
                        ) - 16d0*cima*coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_69 &
                        )*coupl(nGC_71) - 16d0*cima*coupl(nGC_23)*coupl(nGC_41 &
                        )*coupl(nGC_81)*coupl(nGC_83) + 24d0*cima*coupl(nGC_230&
                        )*coupl(nGC_27) + 6d0*coupl(nGC_1038)*coupl(nGC_604)*  &
                        coupl(nGC_8) - 6d0*coupl(nGC_1126)*coupl(nGC_19)*coupl(&
                        nGC_37) + 6d0*coupl(nGC_1296)*coupl(nGC_40)*coupl(nGC_9&
                        ) - 6d0*coupl(nGC_1352)*coupl(nGC_19)*coupl(nGC_21) -  &
                        6d0*coupl(nGC_1352)*coupl(nGC_320)*coupl(nGC_8) - 6d0* &
                        coupl(nGC_17)*coupl(nGC_21)*coupl(nGC_25) - 6d0*coupl( &
                        nGC_17)*coupl(nGC_21)*coupl(nGC_320) - 6d0*coupl(nGC_21&
                        )*coupl(nGC_214)*coupl(nGC_230) - 6d0*coupl(nGC_21)*   &
                        coupl(nGC_242)*coupl(nGC_42) - 6d0*coupl(nGC_21)*coupl(&
                        nGC_25)*coupl(nGC_46) - 6d0*coupl(nGC_21)*coupl(nGC_320&
                        )*coupl(nGC_45) - 6d0*coupl(nGC_214)*coupl(nGC_242)*   &
                        coupl(nGC_8) + 6d0*coupl(nGC_22)*coupl(nGC_604)*coupl( &
                        nGC_9) + 36d0*coupl(nGC_25)*coupl(nGC_320)*coupl(nGC_8 &
                        ) - 6d0*coupl(nGC_25)*coupl(nGC_37)*coupl(nGC_9) + 36d0&
                        *coupl(nGC_27)*coupl(nGC_3)*coupl(nGC_320))/(192d0*pi**&
                        2d0)
      coupl(nGC_5769) = coupl(nGC_3633) + coupl(nGC_68)*dZeMinusL_QED2/2d0 +   &
                        coupl(nGC_68)*dZeMinusR_QED2/2d0
      coupl(nGC_6790) = coupl(nGC_6784) + coupl(nGC_6789)
      coupl(nGC_6791) = coupl(nGC_3658) + coupl(nGC_6785)
      coupl(nGC_3318) = (2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_53   &
                        ) - 2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_53&
                        ) - 2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_53&
                        ) + 2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_57&
                        ) - 2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_57&
                        ) - 2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_57&
                        ) + 2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_61&
                        ) - 2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_61&
                        ) - 2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_61&
                        ) + 2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_73&
                        ) - 2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_73&
                        ) - 2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_73&
                        ) + 2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_77&
                        ) - 2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_77&
                        ) - 2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_77&
                        ) + 2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_85&
                        ) - 2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_85&
                        ) - 2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_85&
                        ) + 2d0*cME*coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_65   &
                        ) - 2d0*cME*coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_65   &
                        ) - 2d0*cME*coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_65   &
                        ) + 2d0*cMM*coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_69   &
                        ) - 2d0*cMM*coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_69   &
                        ) - 2d0*cMM*coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_69   &
                        ) + 2d0*cMTA*coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_81  &
                        ) - 2d0*cMTA*coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_81  &
                        ) - 2d0*cMTA*coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_81  &
                        ) + 4d0*cima*coupl(nGC_19)*coupl(nGC_47) + 4d0*cima*   &
                        coupl(nGC_230)*coupl(nGC_51) - coupl(nGC_1352)*coupl(  &
                        nGC_320)*coupl(nGC_47) - coupl(nGC_20)*coupl(nGC_25)*  &
                        coupl(nGC_50) - coupl(nGC_214)*coupl(nGC_242)*coupl(   &
                        nGC_47) + 6d0*coupl(nGC_242)*coupl(nGC_25)*coupl(nGC_51&
                        ) + 6d0*coupl(nGC_25)*coupl(nGC_320)*coupl(nGC_47) -   &
                        coupl(nGC_25)*coupl(nGC_52)*coupl(nGC_604))/(32d0*pi** &
                        2d0)
      coupl(nGC_3256) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_34) + 2d0*&
                        Nc*cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_38) + 2d0*Nc*  &
                        cMC**2d0*cima*coupl(nGC_2)*coupl(nGC_35) + 2d0*Nc*cMC**&
                        2d0*cima*coupl(nGC_2)*coupl(nGC_39) + 2d0*Nc*cMD**2d0* &
                        cima*coupl(nGC_1)*coupl(nGC_34) + 2d0*Nc*cMD**2d0*cima*&
                        coupl(nGC_1)*coupl(nGC_38) + 2d0*Nc*cMS**2d0*cima*coupl&
                        (nGC_1)*coupl(nGC_34) + 2d0*Nc*cMS**2d0*cima*coupl(    &
                        nGC_1)*coupl(nGC_38) + 2d0*Nc*cMT**2d0*cima*coupl(nGC_2&
                        )*coupl(nGC_35) + 2d0*Nc*cMT**2d0*cima*coupl(nGC_2)*   &
                        coupl(nGC_39) + 2d0*Nc*cMU**2d0*cima*coupl(nGC_2)*coupl&
                        (nGC_35) + 2d0*Nc*cMU**2d0*cima*coupl(nGC_2)*coupl(    &
                        nGC_39) + 2d0*cME**2d0*cima*coupl(nGC_36)*coupl(nGC_4  &
                        ) + 2d0*cME**2d0*cima*coupl(nGC_4)*coupl(nGC_40) + 2d0*&
                        cMM**2d0*cima*coupl(nGC_36)*coupl(nGC_4) + 2d0*cMM**2d0&
                        *cima*coupl(nGC_4)*coupl(nGC_40) + 2d0*cMTA**2d0*cima* &
                        coupl(nGC_36)*coupl(nGC_4) + 2d0*cMTA**2d0*cima*coupl( &
                        nGC_4)*coupl(nGC_40) + 3d0*cMW**2d0*cima*coupl(nGC_242 &
                        )*coupl(nGC_320) + 3d0*cMW**2d0*cima*coupl(nGC_25)*    &
                        coupl(nGC_3) - 2d0*cMW**2d0*coupl(nGC_29))/(16d0*pi**  &
                        2d0)
      coupl(nGC_3254) = cima*(-2d0*Nc*coupl(nGC_1)*coupl(nGC_34) - 2d0*Nc*coupl&
                        (nGC_1)*coupl(nGC_38) - 2d0*Nc*coupl(nGC_2)*coupl(     &
                        nGC_35) - 2d0*Nc*coupl(nGC_2)*coupl(nGC_39) - coupl(   &
                        nGC_242)*coupl(nGC_320) - coupl(nGC_25)*coupl(nGC_3) - &
                        2d0*coupl(nGC_36)*coupl(nGC_4) - 2d0*coupl(nGC_4)*coupl&
                        (nGC_40))/(32d0*pi**2d0)
      coupl(nGC_3255) = cima*(coupl(nGC_242)*coupl(nGC_320) + coupl(nGC_25)*   &
                        coupl(nGC_3))/(48d0*pi**2d0)
      coupl(nGC_7907) = coupl(nGC_3565) + coupl(nGC_HHHH)
      coupl(nGC_3238) = cima*(coupl(nGC_242)**2d0 + coupl(nGC_3)**2d0)/(48d0*pi&
                        **2d0)
      coupl(nGC_3239) = (4d0*Nc*cMB**2d0*cima*coupl(nGC_1)**2d0 + 4d0*Nc*cMC** &
                        2d0*cima*coupl(nGC_2)**2d0 + 4d0*Nc*cMD**2d0*cima*coupl&
                        (nGC_1)**2d0 + 4d0*Nc*cMS**2d0*cima*coupl(nGC_1)**2d0  &
                         + 4d0*Nc*cMT**2d0*cima*coupl(nGC_2)**2d0 + 4d0*Nc*cMU &
                        **2d0*cima*coupl(nGC_2)**2d0 + 4d0*cME**2d0*cima*coupl(&
                        nGC_4)**2d0 + 4d0*cMM**2d0*cima*coupl(nGC_4)**2d0 + 4d0&
                        *cMTA**2d0*cima*coupl(nGC_4)**2d0 + 3d0*cMW**2d0*cima* &
                        coupl(nGC_242)**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_3)** &
                        2d0 - 2d0*cMW**2d0*coupl(nGC_314))/(16d0*pi**2d0)
      coupl(nGC_3237) = cima*(-4d0*Nc*coupl(nGC_1)**2d0 - 4d0*Nc*coupl(nGC_2)**&
                        2d0 - coupl(nGC_242)**2d0 - coupl(nGC_3)**2d0 - 4d0*   &
                        coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_5088) = coupl(nGC_28)*dZAZ_QED2/2d0 + coupl(nGC_3583) + coupl( &
                        nGC_9)*dZWMinus_QED2/2d0 + coupl(nGC_9)*dZZ_QED2/2d0
      coupl(nGC_6729) = coupl(nGC_3635) + coupl(nGC_72)*dZmuMinusL_QED2/2d0 +  &
                        coupl(nGC_72)*dZmuMinusR_QED2/2d0
      coupl(nGC_3334) = (4d0*Nc*coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_56) - 4d0&
                        *Nc*coupl(nGC_23)*coupl(nGC_57)*coupl(nGC_60) + 4d0*Nc*&
                        coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_64) + 4d0*Nc*    &
                        coupl(nGC_23)*coupl(nGC_73)*coupl(nGC_76) - 4d0*Nc*    &
                        coupl(nGC_23)*coupl(nGC_77)*coupl(nGC_80) - 4d0*Nc*    &
                        coupl(nGC_23)*coupl(nGC_85)*coupl(nGC_88) + coupl(     &
                        nGC_1038)**2d0*coupl(nGC_22) - 6d0*coupl(nGC_1126)*    &
                        coupl(nGC_1352)*coupl(nGC_320) - 6d0*coupl(nGC_1126)*  &
                        coupl(nGC_214)*coupl(nGC_242) - 6d0*coupl(nGC_1296)*   &
                        coupl(nGC_21)*coupl(nGC_25) + coupl(nGC_21)*coupl(     &
                        nGC_37)*coupl(nGC_40) + coupl(nGC_22)**3d0 + 4d0*coupl(&
                        nGC_23)*coupl(nGC_65)*coupl(nGC_68) + 4d0*coupl(nGC_23 &
                        )*coupl(nGC_69)*coupl(nGC_72) + 4d0*coupl(nGC_23)*coupl&
                        (nGC_81)*coupl(nGC_84))/(96d0*pi**2d0)
      coupl(nGC_6721) = coupl(nGC_4960) + coupl(nGC_6718)
      coupl(nGC_6720) = coupl(nGC_4960) + coupl(nGC_6719)
      coupl(nGC_5698) = coupl(nGC_5691) + coupl(nGC_5695)
      coupl(nGC_6451) = coupl(nGC_5829) + coupl(nGC_6449)
      coupl(nGC_6450) = coupl(nGC_5829) + coupl(nGC_6448)
      coupl(nGC_5696) = coupl(nGC_35)*dZZ_QED2/2d0 + coupl(nGC_35)*dZuR_QED2 + &
                        coupl(nGC_3594)
      coupl(nGC_5697) = coupl(nGC_5691) + coupl(nGC_5696)
      coupl(nGC_5594) = coupl(nGC_3582) + coupl(nGC_40)*dZZ_QED2/2d0 + coupl(  &
                        nGC_40)*dZmuMinusL_QED2
      coupl(nGC_5610) = coupl(nGC_3615) + coupl(nGC_62)*dZdL_QED2/2d0 + coupl( &
                        nGC_62)*dZdR_QED2/2d0
      coupl(nGC_5611) = coupl(nGC_3613) + coupl(nGC_64)*dZdL_QED2/2d0 + coupl( &
                        nGC_64)*dZdR_QED2/2d0
      coupl(nGC_3306) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_38 &
                        )**2d0 + coupl(nGC_1)*coupl(nGC_74)*coupl(nGC_76) +    &
                        coupl(nGC_1)*coupl(nGC_75)**2d0 + 4d0*coupl(nGC_2)*    &
                        coupl(nGC_23)**2d0 + coupl(nGC_2)*coupl(nGC_57)**2d0 + &
                        4d0*coupl(nGC_23)**2d0*coupl(nGC_242))/(32d0*pi**2d0)
      coupl(nGC_3284) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_38 &
                        )**2d0 + coupl(nGC_1)*coupl(nGC_54)*coupl(nGC_56) +    &
                        coupl(nGC_1)*coupl(nGC_55)**2d0 + 4d0*coupl(nGC_2)*    &
                        coupl(nGC_23)**2d0 + coupl(nGC_2)*coupl(nGC_77)**2d0 + &
                        4d0*coupl(nGC_23)**2d0*coupl(nGC_242))/(32d0*pi**2d0)
      coupl(nGC_3287) = (-2d0*Nc*cMB*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_53   &
                        ) - 2d0*Nc*cMC*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_57 &
                        ) - 2d0*Nc*cMD*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_61 &
                        ) - 2d0*Nc*cMS*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_73 &
                        ) - 2d0*Nc*cMT*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_77 &
                        ) - 2d0*Nc*cMU*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_85 &
                        ) + 4d0*cima*coupl(nGC_230)*coupl(nGC_47) + 4d0*cima*  &
                        coupl(nGC_5)*coupl(nGC_51) - coupl(nGC_21)*coupl(      &
                        nGC_242)*coupl(nGC_50) + 6d0*coupl(nGC_242)*coupl(     &
                        nGC_25)*coupl(nGC_47) + 6d0*coupl(nGC_242)*coupl(nGC_3 &
                        )*coupl(nGC_51) - coupl(nGC_25)*coupl(nGC_40)*coupl(   &
                        nGC_51) - coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_51))/(   &
                        32d0*pi**2d0)
      coupl(nGC_3288) = (-2d0*Nc*cMB*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_53   &
                        ) - 2d0*Nc*cMC*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_57 &
                        ) - 2d0*Nc*cMD*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_61 &
                        ) - 2d0*Nc*cMS*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_73 &
                        ) - 2d0*Nc*cMT*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_77 &
                        ) - 2d0*Nc*cMU*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_85 &
                        ) + 4d0*cima*coupl(nGC_230)*coupl(nGC_47) + 4d0*cima*  &
                        coupl(nGC_5)*coupl(nGC_51) - coupl(nGC_1352)*coupl(    &
                        nGC_320)*coupl(nGC_51) - coupl(nGC_20)*coupl(nGC_3)*   &
                        coupl(nGC_50) - coupl(nGC_214)*coupl(nGC_242)*coupl(   &
                        nGC_51) + 6d0*coupl(nGC_242)*coupl(nGC_3)*coupl(nGC_51 &
                        ) + 6d0*coupl(nGC_3)*coupl(nGC_320)*coupl(nGC_47))/(   &
                        32d0*pi**2d0)
      coupl(nGC_5151) = coupl(nGC_3582) + coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_40)*dZZ_QED2/2d0
      coupl(nGC_5017) = coupl(nGC_27)*dZAZ_QED2/2d0 + coupl(nGC_3584) + coupl( &
                        nGC_8)*dZH_QED2/2d0 + coupl(nGC_8)*dZWMinus_QED2/2d0 + &
                        coupl(nGC_8)*dZZ_QED2/2d0
      coupl(nGC_5506) = coupl(nGC_5230) + coupl(nGC_5503)
      coupl(nGC_5013) = coupl(nGC_26)*dZA_QED2/2d0 + coupl(nGC_26)*            &
                        dZWMinus_QED2/2d0 + coupl(nGC_3576) + coupl(nGC_7)*    &
                        dZZA_QED2/2d0
    end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
