!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-10 21:24             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl4()
      coupl(nGC_5620) = coupl(nGC_3564) + coupl(nGC_44)*dZH_QED2/2d0
      coupl(nGC_3335) = (4d0*Nc*coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_55) - 4d0&
                        *Nc*coupl(nGC_23)*coupl(nGC_57)*coupl(nGC_59) + 4d0*Nc*&
                        coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_63) + 4d0*Nc*    &
                        coupl(nGC_23)*coupl(nGC_73)*coupl(nGC_75) - 4d0*Nc*    &
                        coupl(nGC_23)*coupl(nGC_77)*coupl(nGC_79) - 4d0*Nc*    &
                        coupl(nGC_23)*coupl(nGC_85)*coupl(nGC_87) + coupl(     &
                        nGC_1038)**2d0*coupl(nGC_604) + coupl(nGC_1126)*coupl( &
                        nGC_1296)*coupl(nGC_40) - 6d0*coupl(nGC_1126)*coupl(   &
                        nGC_25)*coupl(nGC_37) - 6d0*coupl(nGC_1352)*coupl(     &
                        nGC_21)*coupl(nGC_320) - 6d0*coupl(nGC_21)*coupl(      &
                        nGC_214)*coupl(nGC_242) + coupl(nGC_22)**2d0*coupl(    &
                        nGC_604) + 4d0*coupl(nGC_23)*coupl(nGC_65)*coupl(nGC_67&
                        ) + 4d0*coupl(nGC_23)*coupl(nGC_69)*coupl(nGC_71) + 4d0&
                        *coupl(nGC_23)*coupl(nGC_81)*coupl(nGC_83))/(96d0*pi** &
                        2d0)
      coupl(nGC_5593) = coupl(nGC_3599) + coupl(nGC_36)*dZZ_QED2/2d0 + coupl(  &
                        nGC_36)*dZmuMinusR_QED2
      coupl(nGC_5426) = -coupl(nGC_5425)
      coupl(nGC_5979) = coupl(nGC_3653) + coupl(nGC_78)*dZtL_QED2/2d0 + coupl( &
                        nGC_78)*dZtR_QED2/2d0
      coupl(nGC_7352) = coupl(nGC_3665) + coupl(nGC_7350)
      coupl(nGC_3297) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_38 &
                        )**2d0 + coupl(nGC_1)*coupl(nGC_62)*coupl(nGC_64) +    &
                        coupl(nGC_1)*coupl(nGC_63)**2d0 + 4d0*coupl(nGC_2)*    &
                        coupl(nGC_23)**2d0 + coupl(nGC_2)*coupl(nGC_85)**2d0 + &
                        4d0*coupl(nGC_23)**2d0*coupl(nGC_242))/(32d0*pi**2d0)
      coupl(nGC_3292) = (coupl(nGC_1038)*coupl(nGC_1126)*coupl(nGC_214) + coupl&
                        (nGC_1126)*coupl(nGC_4)*coupl(nGC_604) - 6d0*coupl(    &
                        nGC_20)*coupl(nGC_22)*coupl(nGC_242) - 6d0*coupl(nGC_21&
                        )*coupl(nGC_22)*coupl(nGC_3))/(96d0*pi**2d0)
      coupl(nGC_3293) = (-8d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_55) - 8d0*Nc* &
                        cMC*coupl(nGC_2)**2d0*coupl(nGC_59) - 8d0*Nc*cMD*coupl(&
                        nGC_1)**2d0*coupl(nGC_63) - 8d0*Nc*cMS*coupl(nGC_1)**  &
                        2d0*coupl(nGC_75) - 8d0*Nc*cMT*coupl(nGC_2)**2d0*coupl(&
                        nGC_79) - 8d0*Nc*cMU*coupl(nGC_2)**2d0*coupl(nGC_87) - &
                        8d0*cME*coupl(nGC_4)**2d0*coupl(nGC_67) - 8d0*cMM*coupl&
                        (nGC_4)**2d0*coupl(nGC_71) - 8d0*cMTA*coupl(nGC_4)**2d0&
                        *coupl(nGC_83) + 4d0*cima*coupl(nGC_314)*coupl(nGC_50  &
                        ) - coupl(nGC_1038)*coupl(nGC_242)*coupl(nGC_51) -     &
                        coupl(nGC_20)*coupl(nGC_242)*coupl(nGC_51) - coupl(    &
                        nGC_21)*coupl(nGC_3)*coupl(nGC_51) + 6d0*coupl(nGC_242 &
                        )**2d0*coupl(nGC_50) + 6d0*coupl(nGC_3)**2d0*coupl(    &
                        nGC_50) - coupl(nGC_3)*coupl(nGC_51)*coupl(nGC_604))/( &
                        32d0*pi**2d0)
      coupl(nGC_7752) = -coupl(nGC_7751)
      coupl(nGC_5069) = -2d0*coupl(nGC_5066) + coupl(nGC_5067)
      coupl(nGC_6472) = coupl(nGC_3579) + coupl(nGC_50)*dZH_QED2/2d0 + coupl(  &
                        nGC_50)*dZWMinus_QED2
      coupl(nGC_5032) = coupl(nGC_3645) + coupl(nGC_88)*dZuL_QED2/2d0 + coupl( &
                        nGC_88)*dZuR_QED2/2d0
      coupl(nGC_6744) = coupl(nGC_3587) + coupl(nGC_46)*dZZ_QED2
      coupl(nGC_5435) = coupl(nGC_4960) + coupl(nGC_5434)
      coupl(nGC_5630) = coupl(nGC_3620) + coupl(nGC_54)*dZbL_QCD2/2d0 + coupl( &
                        nGC_54)*dZbR_QCD2/2d0
      coupl(nGC_6898) = 2d0*coupl(nGC_12)*dZg_QCD2 + coupl(nGC_3549)
      coupl(nGC_5320) = coupl(nGC_3582) + coupl(nGC_40)*dZZ_QED2/2d0 + coupl(  &
                        nGC_40)*dZtauMinusL_QED2
      coupl(nGC_5321) = coupl(nGC_5261) + coupl(nGC_5319)
      coupl(nGC_5322) = coupl(nGC_5261) + coupl(nGC_5320)
      coupl(nGC_3511) = (-4d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_38)**2d0 +  &
                        12d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_38)*coupl(   &
                        nGC_39) - 4d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_39  &
                        )**2d0 + 4d0*cima*coupl(nGC_19)**2d0 - 4d0*cima*coupl( &
                        nGC_23)**2d0*coupl(nGC_40)**2d0 + 12d0*cima*coupl(     &
                        nGC_23)**2d0*coupl(nGC_40)*coupl(nGC_41) - 4d0*cima*   &
                        coupl(nGC_23)**2d0*coupl(nGC_41)**2d0 + 4d0*cima*coupl(&
                        nGC_230)**2d0 - 8d0*cima*coupl(nGC_242)**2d0*coupl(    &
                        nGC_25)**2d0 - 8d0*cima*coupl(nGC_25)**2d0*coupl(      &
                        nGC_320)**2d0 + coupl(nGC_18)*coupl(nGC_320)**2d0 + 2d0&
                        *coupl(nGC_184)*coupl(nGC_25)*coupl(nGC_320) + coupl(  &
                        nGC_19)*coupl(nGC_242)**2d0 + 12d0*coupl(nGC_19)*coupl(&
                        nGC_25)*coupl(nGC_320) + coupl(nGC_19)*coupl(nGC_320)**&
                        2d0 + 12d0*coupl(nGC_230)*coupl(nGC_242)*coupl(nGC_25  &
                        ) + 2d0*coupl(nGC_242)*coupl(nGC_25)*coupl(nGC_29) +   &
                        coupl(nGC_25)**2d0*coupl(nGC_634))/(32d0*pi**2d0)
      coupl(nGC_3510) = (18d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_38)**2d0 -  &
                        30d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_38)*coupl(   &
                        nGC_39) + 18d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_39 &
                        )**2d0 + 6d0*cima*coupl(nGC_18)*coupl(nGC_184) + 18d0* &
                        cima*coupl(nGC_23)**2d0*coupl(nGC_40)**2d0 - 30d0*cima*&
                        coupl(nGC_23)**2d0*coupl(nGC_40)*coupl(nGC_41) + 18d0* &
                        cima*coupl(nGC_23)**2d0*coupl(nGC_41)**2d0 - 16d0*cima*&
                        coupl(nGC_242)**2d0*coupl(nGC_25)**2d0 - 16d0*cima*    &
                        coupl(nGC_25)**2d0*coupl(nGC_320)**2d0 + 9d0*coupl(    &
                        nGC_18)*coupl(nGC_25)**2d0 + 9d0*coupl(nGC_18)*coupl(  &
                        nGC_320)**2d0 + 9d0*coupl(nGC_184)*coupl(nGC_242)**2d0 &
                         + 9d0*coupl(nGC_184)*coupl(nGC_320)**2d0 + 6d0*coupl( &
                        nGC_19)*coupl(nGC_25)*coupl(nGC_320) + 6d0*coupl(      &
                        nGC_230)*coupl(nGC_242)*coupl(nGC_25))/(48d0*pi**2d0)
      coupl(nGC_6548) = coupl(nGC_6546) + coupl(nGC_6547)
      coupl(nGC_3517) = (36d0*Nc*cima*coupl(nGC_23)**4d0 + 12d0*cima*coupl(    &
                        nGC_18)**2d0 + 6d0*cima*coupl(nGC_184)**2d0 + 36d0*cima&
                        *coupl(nGC_23)**4d0 - 16d0*cima*coupl(nGC_242)**4d0 -  &
                        24d0*cima*coupl(nGC_242)**2d0*coupl(nGC_3)**2d0 - 32d0*&
                        cima*coupl(nGC_242)**2d0*coupl(nGC_320)**2d0 - 48d0*   &
                        cima*coupl(nGC_242)*coupl(nGC_25)*coupl(nGC_3)*coupl(  &
                        nGC_320) - 16d0*cima*coupl(nGC_25)**4d0 - 32d0*cima*   &
                        coupl(nGC_25)**2d0*coupl(nGC_3)**2d0 - 24d0*cima*coupl(&
                        nGC_25)**2d0*coupl(nGC_320)**2d0 + 12d0*cima*coupl(    &
                        nGC_29)**2d0 - 16d0*cima*coupl(nGC_3)**4d0 + 6d0*cima* &
                        coupl(nGC_314)**2d0 - 16d0*cima*coupl(nGC_320)**4d0 +  &
                        21d0*coupl(nGC_18)*coupl(nGC_242)**2d0 + 6d0*coupl(    &
                        nGC_18)*coupl(nGC_242)*coupl(nGC_3) + 21d0*coupl(nGC_18&
                        )*coupl(nGC_25)**2d0 + 6d0*coupl(nGC_18)*coupl(nGC_25)*&
                        coupl(nGC_320) + 21d0*coupl(nGC_18)*coupl(nGC_3)**2d0  &
                         + 21d0*coupl(nGC_18)*coupl(nGC_320)**2d0 + 18d0*coupl(&
                        nGC_184)*coupl(nGC_25)**2d0 + 18d0*coupl(nGC_184)*coupl&
                        (nGC_320)**2d0 + 3d0*coupl(nGC_19)*coupl(nGC_25)**2d0  &
                         + 3d0*coupl(nGC_19)*coupl(nGC_320)**2d0 + 6d0*coupl(  &
                        nGC_230)*coupl(nGC_242)*coupl(nGC_320) + 6d0*coupl(    &
                        nGC_230)*coupl(nGC_25)*coupl(nGC_3) + 18d0*coupl(      &
                        nGC_242)**2d0*coupl(nGC_314) + 3d0*coupl(nGC_242)**2d0*&
                        coupl(nGC_5) + 36d0*coupl(nGC_242)*coupl(nGC_29)*coupl(&
                        nGC_320) + 36d0*coupl(nGC_25)*coupl(nGC_29)*coupl(nGC_3&
                        ) + 18d0*coupl(nGC_3)**2d0*coupl(nGC_314) + 3d0*coupl( &
                        nGC_3)**2d0*coupl(nGC_5))/(96d0*pi**2d0)
      coupl(nGC_3516) = (-30d0*Nc*cima*coupl(nGC_23)**4d0 - 30d0*cima*coupl(   &
                        nGC_23)**4d0 - 4d0*cima*coupl(nGC_242)**4d0 - 16d0*cima&
                        *coupl(nGC_242)**2d0*coupl(nGC_3)**2d0 - 8d0*cima*coupl&
                        (nGC_242)**2d0*coupl(nGC_320)**2d0 - 32d0*cima*coupl(  &
                        nGC_242)*coupl(nGC_25)*coupl(nGC_3)*coupl(nGC_320) -   &
                        4d0*cima*coupl(nGC_25)**4d0 - 8d0*cima*coupl(nGC_25)** &
                        2d0*coupl(nGC_3)**2d0 - 16d0*cima*coupl(nGC_25)**2d0*  &
                        coupl(nGC_320)**2d0 - 4d0*cima*coupl(nGC_3)**4d0 - 4d0*&
                        cima*coupl(nGC_320)**4d0 + 3d0*cima*coupl(nGC_634)**2d0&
                         + 3d0*coupl(nGC_19)*coupl(nGC_25)**2d0 + 3d0*coupl(   &
                        nGC_19)*coupl(nGC_320)**2d0 + 6d0*coupl(nGC_230)*coupl(&
                        nGC_242)*coupl(nGC_320) + 6d0*coupl(nGC_230)*coupl(    &
                        nGC_25)*coupl(nGC_3) + 3d0*coupl(nGC_242)**2d0*coupl(  &
                        nGC_5) + 3d0*coupl(nGC_242)**2d0*coupl(nGC_634) + 18d0*&
                        coupl(nGC_242)*coupl(nGC_3)*coupl(nGC_634) + 3d0*coupl(&
                        nGC_25)**2d0*coupl(nGC_634) + 18d0*coupl(nGC_25)*coupl(&
                        nGC_320)*coupl(nGC_634) + 3d0*coupl(nGC_3)**2d0*coupl( &
                        nGC_5) + 3d0*coupl(nGC_3)**2d0*coupl(nGC_634) + 3d0*   &
                        coupl(nGC_320)**2d0*coupl(nGC_634))/(48d0*pi**2d0)
      coupl(nGC_5246) = -coupl(nGC_5243)/2d0 + coupl(nGC_5244)
      coupl(nGC_5245) = coupl(nGC_5243) - 2d0*coupl(nGC_5244)
      coupl(nGC_5408) = coupl(nGC_3587) + coupl(nGC_46)*dZH_QED2 + coupl(nGC_46&
                        )*dZZ_QED2
      coupl(nGC_4934) = -coupl(nGC_4933)
      coupl(nGC_3291) = (12d0*Nc*coupl(nGC_1)*coupl(nGC_23)**2d0 - 12d0*Nc*    &
                        coupl(nGC_2)*coupl(nGC_23)**2d0 + 12d0*coupl(nGC_23)** &
                        2d0*coupl(nGC_4) - 11d0*coupl(nGC_242)**2d0*coupl(nGC_3&
                        ) - 11d0*coupl(nGC_3)*coupl(nGC_320)**2d0)/(96d0*pi**  &
                        2d0)
      coupl(nGC_3379) = (-4d0*Nc*cMB*coupl(nGC_23)**2d0*coupl(nGC_55) - 4d0*Nc*&
                        cMC*coupl(nGC_23)**2d0*coupl(nGC_59) - 4d0*Nc*cMD*coupl&
                        (nGC_23)**2d0*coupl(nGC_63) - 4d0*Nc*cMS*coupl(nGC_23  &
                        )**2d0*coupl(nGC_75) - 4d0*Nc*cMT*coupl(nGC_23)**2d0*  &
                        coupl(nGC_79) - 4d0*Nc*cMU*coupl(nGC_23)**2d0*coupl(   &
                        nGC_87) - 4d0*cME*coupl(nGC_23)**2d0*coupl(nGC_67) -   &
                        4d0*cMM*coupl(nGC_23)**2d0*coupl(nGC_71) - 4d0*cMTA*   &
                        coupl(nGC_23)**2d0*coupl(nGC_83) + 4d0*cima*coupl(     &
                        nGC_18)*coupl(nGC_50) + 2d0*cima*coupl(nGC_184)*coupl( &
                        nGC_52) - coupl(nGC_21)*coupl(nGC_242)*coupl(nGC_51) - &
                        coupl(nGC_21)*coupl(nGC_320)*coupl(nGC_47) + 6d0*coupl(&
                        nGC_242)**2d0*coupl(nGC_50) - coupl(nGC_242)*coupl(    &
                        nGC_51)*coupl(nGC_604) + 6d0*coupl(nGC_25)**2d0*coupl( &
                        nGC_52) + 6d0*coupl(nGC_320)**2d0*coupl(nGC_50) - coupl&
                        (nGC_320)*coupl(nGC_47)*coupl(nGC_604))/(32d0*pi**2d0)
      coupl(nGC_3505) = (-32d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_55)**2d0 - &
                        32d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_59)**2d0 -   &
                        32d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_63)**2d0 -   &
                        32d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_75)**2d0 -   &
                        32d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_79)**2d0 -   &
                        32d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_87)**2d0 +   &
                        4d0*cima*coupl(nGC_1038)*coupl(nGC_1126)*coupl(nGC_20)*&
                        coupl(nGC_22) + 8d0*cima*coupl(nGC_1038)*coupl(nGC_20)*&
                        coupl(nGC_21)*coupl(nGC_604) + 9d0*cima*coupl(nGC_1038 &
                        )*coupl(nGC_20)*coupl(nGC_25)**2d0 + 9d0*cima*coupl(   &
                        nGC_1038)*coupl(nGC_20)*coupl(nGC_3)**2d0 + 8d0*cima*  &
                        coupl(nGC_1126)*coupl(nGC_1296)*coupl(nGC_22)*coupl(   &
                        nGC_37) + 4d0*cima*coupl(nGC_1126)*coupl(nGC_21)*coupl(&
                        nGC_22)*coupl(nGC_604) + 9d0*cima*coupl(nGC_1296)*coupl&
                        (nGC_25)**2d0*coupl(nGC_37) + 9d0*cima*coupl(nGC_1296)*&
                        coupl(nGC_320)**2d0*coupl(nGC_37) + 24d0*cima*coupl(   &
                        nGC_17)*coupl(nGC_18) + 12d0*cima*coupl(nGC_184)*coupl(&
                        nGC_46) + 9d0*cima*coupl(nGC_21)*coupl(nGC_242)**2d0*  &
                        coupl(nGC_604) + 9d0*cima*coupl(nGC_21)*coupl(nGC_320  &
                        )**2d0*coupl(nGC_604) - 32d0*cima*coupl(nGC_23)**2d0*  &
                        coupl(nGC_67)**2d0 - 32d0*cima*coupl(nGC_23)**2d0*coupl&
                        (nGC_71)**2d0 - 32d0*cima*coupl(nGC_23)**2d0*coupl(    &
                        nGC_83)**2d0 + 6d0*coupl(nGC_1038)*coupl(nGC_17)*coupl(&
                        nGC_20) - 6d0*coupl(nGC_1038)*coupl(nGC_18)*coupl(     &
                        nGC_20) - 6d0*coupl(nGC_1038)*coupl(nGC_25)*coupl(nGC_8&
                        ) - 6d0*coupl(nGC_1038)*coupl(nGC_27)*coupl(nGC_3) +   &
                        6d0*coupl(nGC_1296)*coupl(nGC_17)*coupl(nGC_37) - 6d0* &
                        coupl(nGC_1296)*coupl(nGC_184)*coupl(nGC_37) + 6d0*    &
                        coupl(nGC_17)*coupl(nGC_21)*coupl(nGC_604) + 36d0*coupl&
                        (nGC_17)*coupl(nGC_242)**2d0 + 36d0*coupl(nGC_17)*coupl&
                        (nGC_320)**2d0 - 6d0*coupl(nGC_18)*coupl(nGC_21)*coupl(&
                        nGC_604) - 6d0*coupl(nGC_20)*coupl(nGC_25)*coupl(nGC_8 &
                        ) - 6d0*coupl(nGC_20)*coupl(nGC_27)*coupl(nGC_3) - 6d0*&
                        coupl(nGC_21)*coupl(nGC_242)*coupl(nGC_27) - 6d0*coupl(&
                        nGC_21)*coupl(nGC_320)*coupl(nGC_8) - 6d0*coupl(nGC_242&
                        )*coupl(nGC_27)*coupl(nGC_604) + 36d0*coupl(nGC_25)**  &
                        2d0*coupl(nGC_46) - 6d0*coupl(nGC_320)*coupl(nGC_604)* &
                        coupl(nGC_8))/(192d0*pi**2d0)
      coupl(nGC_3468) = (-32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_53)**2d0 -  &
                        32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_57)**2d0 -    &
                        32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_61)**2d0 -    &
                        32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_73)**2d0 -    &
                        32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_77)**2d0 -    &
                        32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_85)**2d0 +    &
                        40d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_53)** &
                        2d0 + 40d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(    &
                        nGC_57)**2d0 + 40d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)* &
                        coupl(nGC_61)**2d0 + 40d0*Nc*cima*coupl(nGC_1)*coupl(  &
                        nGC_2)*coupl(nGC_73)**2d0 + 40d0*Nc*cima*coupl(nGC_1)* &
                        coupl(nGC_2)*coupl(nGC_77)**2d0 + 40d0*Nc*cima*coupl(  &
                        nGC_1)*coupl(nGC_2)*coupl(nGC_85)**2d0 - 32d0*Nc*cima* &
                        coupl(nGC_2)**2d0*coupl(nGC_53)**2d0 - 32d0*Nc*cima*   &
                        coupl(nGC_2)**2d0*coupl(nGC_57)**2d0 - 32d0*Nc*cima*   &
                        coupl(nGC_2)**2d0*coupl(nGC_61)**2d0 - 32d0*Nc*cima*   &
                        coupl(nGC_2)**2d0*coupl(nGC_73)**2d0 - 32d0*Nc*cima*   &
                        coupl(nGC_2)**2d0*coupl(nGC_77)**2d0 - 32d0*Nc*cima*   &
                        coupl(nGC_2)**2d0*coupl(nGC_85)**2d0 + 9d0*cima*coupl( &
                        nGC_1038)*coupl(nGC_20)*coupl(nGC_3)**2d0 + 9d0*cima*  &
                        coupl(nGC_1126)*coupl(nGC_22)*coupl(nGC_242)**2d0 + 9d0&
                        *cima*coupl(nGC_1126)*coupl(nGC_22)*coupl(nGC_3)**2d0  &
                         + 4d0*cima*coupl(nGC_1352)**2d0*coupl(nGC_4)**2d0 +   &
                        24d0*cima*coupl(nGC_17)*coupl(nGC_314) + 9d0*cima*coupl&
                        (nGC_21)*coupl(nGC_242)**2d0*coupl(nGC_604) + 8d0*cima*&
                        coupl(nGC_214)**2d0*coupl(nGC_4)**2d0 + 4d0*cima*coupl(&
                        nGC_214)**2d0*coupl(nGC_40)**2d0 - 32d0*cima*coupl(    &
                        nGC_4)**2d0*coupl(nGC_65)**2d0 - 32d0*cima*coupl(nGC_4 &
                        )**2d0*coupl(nGC_69)**2d0 - 32d0*cima*coupl(nGC_4)**2d0&
                        *coupl(nGC_81)**2d0 - 6d0*coupl(nGC_1038)*coupl(nGC_20 &
                        )*coupl(nGC_314) - 6d0*coupl(nGC_1038)*coupl(nGC_27)*  &
                        coupl(nGC_3) - 6d0*coupl(nGC_1126)*coupl(nGC_22)*coupl(&
                        nGC_314) - 6d0*coupl(nGC_1126)*coupl(nGC_242)*coupl(   &
                        nGC_26) - 6d0*coupl(nGC_1126)*coupl(nGC_28)*coupl(nGC_3&
                        ) + 6d0*coupl(nGC_1352)**2d0*coupl(nGC_6) + 36d0*coupl(&
                        nGC_17)*coupl(nGC_242)**2d0 + 36d0*coupl(nGC_17)*coupl(&
                        nGC_3)**2d0 - 6d0*coupl(nGC_20)*coupl(nGC_27)*coupl(   &
                        nGC_3) - 6d0*coupl(nGC_21)*coupl(nGC_242)*coupl(nGC_27 &
                        ) + 6d0*coupl(nGC_214)**2d0*coupl(nGC_6) - 6d0*coupl(  &
                        nGC_22)*coupl(nGC_242)*coupl(nGC_28) - 6d0*coupl(nGC_22&
                        )*coupl(nGC_26)*coupl(nGC_3) - 6d0*coupl(nGC_242)*coupl&
                        (nGC_27)*coupl(nGC_604))/(192d0*pi**2d0)
      coupl(nGC_3500) = (-32d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_54)*coupl( &
                        nGC_56) - 32d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_58 &
                        )*coupl(nGC_60) - 32d0*Nc*cima*coupl(nGC_23)**2d0*coupl&
                        (nGC_62)*coupl(nGC_64) - 32d0*Nc*cima*coupl(nGC_23)**  &
                        2d0*coupl(nGC_74)*coupl(nGC_76) - 32d0*Nc*cima*coupl(  &
                        nGC_23)**2d0*coupl(nGC_78)*coupl(nGC_80) - 32d0*Nc*cima&
                        *coupl(nGC_23)**2d0*coupl(nGC_86)*coupl(nGC_88) + 4d0* &
                        cima*coupl(nGC_1038)*coupl(nGC_1126)*coupl(nGC_20)*    &
                        coupl(nGC_22) + 4d0*cima*coupl(nGC_1038)*coupl(nGC_1296&
                        )*coupl(nGC_20)*coupl(nGC_37) + 8d0*cima*coupl(nGC_1126&
                        )**2d0*coupl(nGC_22)**2d0 + 4d0*cima*coupl(nGC_1126)*  &
                        coupl(nGC_21)*coupl(nGC_22)*coupl(nGC_604) + 9d0*cima* &
                        coupl(nGC_1126)*coupl(nGC_22)*coupl(nGC_242)**2d0 + 9d0&
                        *cima*coupl(nGC_1126)*coupl(nGC_22)*coupl(nGC_25)**2d0 &
                         + 9d0*cima*coupl(nGC_1126)*coupl(nGC_22)*coupl(nGC_3  &
                        )**2d0 + 9d0*cima*coupl(nGC_1126)*coupl(nGC_22)*coupl( &
                        nGC_320)**2d0 + 4d0*cima*coupl(nGC_1296)*coupl(nGC_21)*&
                        coupl(nGC_37)*coupl(nGC_604) + 9d0*cima*coupl(nGC_1296 &
                        )*coupl(nGC_25)**2d0*coupl(nGC_37) + 9d0*cima*coupl(   &
                        nGC_1296)*coupl(nGC_320)**2d0*coupl(nGC_37) + 24d0*cima&
                        *coupl(nGC_17)*coupl(nGC_18) + 12d0*cima*coupl(nGC_184 &
                        )*coupl(nGC_46) - 32d0*cima*coupl(nGC_23)**2d0*coupl(  &
                        nGC_66)*coupl(nGC_68) - 32d0*cima*coupl(nGC_23)**2d0*  &
                        coupl(nGC_70)*coupl(nGC_72) - 32d0*cima*coupl(nGC_23)**&
                        2d0*coupl(nGC_82)*coupl(nGC_84) + 12d0*coupl(nGC_1126)*&
                        coupl(nGC_17)*coupl(nGC_22) - 12d0*coupl(nGC_1126)*    &
                        coupl(nGC_18)*coupl(nGC_22) - 6d0*coupl(nGC_1126)*coupl&
                        (nGC_242)*coupl(nGC_26) - 6d0*coupl(nGC_1126)*coupl(   &
                        nGC_25)*coupl(nGC_9) - 6d0*coupl(nGC_1126)*coupl(nGC_28&
                        )*coupl(nGC_3) - 6d0*coupl(nGC_1126)*coupl(nGC_320)*   &
                        coupl(nGC_7) + 6d0*coupl(nGC_1296)*coupl(nGC_17)*coupl(&
                        nGC_37) - 6d0*coupl(nGC_1296)*coupl(nGC_184)*coupl(    &
                        nGC_37) + 36d0*coupl(nGC_17)*coupl(nGC_242)**2d0 + 36d0&
                        *coupl(nGC_17)*coupl(nGC_320)**2d0 - 6d0*coupl(nGC_22)*&
                        coupl(nGC_242)*coupl(nGC_28) - 6d0*coupl(nGC_22)*coupl(&
                        nGC_25)*coupl(nGC_7) - 6d0*coupl(nGC_22)*coupl(nGC_26)*&
                        coupl(nGC_3) - 6d0*coupl(nGC_22)*coupl(nGC_320)*coupl( &
                        nGC_9) + 36d0*coupl(nGC_25)**2d0*coupl(nGC_46))/(192d0*&
                        pi**2d0)
      coupl(nGC_5068) = coupl(nGC_5066) - coupl(nGC_5067)/2d0
      coupl(nGC_6043) = coupl(nGC_3681) + coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0
      coupl(nGC_5040) = coupl(nGC_3654) + coupl(nGC_5039)
      coupl(nGC_5042) = coupl(nGC_5038) + coupl(nGC_5041)
      coupl(nGC_5492) = coupl(nGC_3585) + coupl(nGC_47)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_47)*dZZ_QED2/2d0 + coupl(nGC_51)*dZAZ_QED2/  &
                        2d0
      coupl(nGC_5049) = coupl(nGC_3641) + coupl(nGC_83)*dZH_QED2/2d0
      coupl(nGC_6367) = coupl(nGC_5829) + coupl(nGC_6366)
      coupl(nGC_5168) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_3590)
      coupl(nGC_5287) = coupl(nGC_24)*dZWMinus_QED2/2d0 + coupl(nGC_3561)
      coupl(nGC_5256) = coupl(nGC_3568) + coupl(nGC_48)*dZH_QED2/2d0 + coupl(  &
                        nGC_GGH)
      coupl(nGC_5020) = coupl(nGC_3566) + coupl(nGC_HHGG)
      coupl(nGC_6368) = coupl(nGC_5829) + coupl(nGC_6365)
      coupl(nGC_7270) = -coupl(nGC_5313)
      coupl(nGC_5932) = coupl(nGC_5168) + coupl(nGC_5929)
      coupl(nGC_4947) = coupl(nGC_4943) + coupl(nGC_4946)
      coupl(nGC_4945) = coupl(nGC_3624) + coupl(nGC_4944)
      coupl(nGC_5842) = coupl(nGC_3598) + coupl(nGC_41)*dZZ_QED2/2d0 + coupl(  &
                        nGC_41)*dZnu_muL_QED2
      coupl(nGC_3478) = (4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_53)* &
                        coupl(nGC_55) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23 &
                        )*coupl(nGC_57)*coupl(nGC_59) + 4d0*Nc*cima*coupl(nGC_1&
                        )*coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_63) + 4d0*Nc*  &
                        cima*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_73)*coupl(   &
                        nGC_75) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)*coupl&
                        (nGC_77)*coupl(nGC_79) - 16d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_23)*coupl(nGC_85)*coupl(nGC_87) - 16d0*Nc*   &
                        cima*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_53)*coupl(   &
                        nGC_55) + 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23)*coupl(&
                        nGC_57)*coupl(nGC_59) - 16d0*Nc*cima*coupl(nGC_2)*coupl&
                        (nGC_23)*coupl(nGC_61)*coupl(nGC_63) - 16d0*Nc*cima*   &
                        coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_73)*coupl(nGC_75  &
                        ) + 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_77&
                        )*coupl(nGC_79) + 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23&
                        )*coupl(nGC_85)*coupl(nGC_87) + 4d0*cima*coupl(nGC_1038&
                        )**2d0*coupl(nGC_4)*coupl(nGC_604) + 4d0*cima*coupl(   &
                        nGC_1126)*coupl(nGC_1296)*coupl(nGC_214)*coupl(nGC_40  &
                        ) + 9d0*cima*coupl(nGC_1126)*coupl(nGC_242)*coupl(     &
                        nGC_25)*coupl(nGC_37) + 9d0*cima*coupl(nGC_1352)*coupl(&
                        nGC_21)*coupl(nGC_3)*coupl(nGC_320) + 9d0*cima*coupl(  &
                        nGC_21)*coupl(nGC_214)*coupl(nGC_242)*coupl(nGC_3) +   &
                        4d0*cima*coupl(nGC_22)**2d0*coupl(nGC_4)*coupl(nGC_604 &
                        ) + 4d0*cima*coupl(nGC_23)*coupl(nGC_4)*coupl(nGC_65)* &
                        coupl(nGC_67) + 4d0*cima*coupl(nGC_23)*coupl(nGC_4)*   &
                        coupl(nGC_69)*coupl(nGC_71) + 4d0*cima*coupl(nGC_23)*  &
                        coupl(nGC_4)*coupl(nGC_81)*coupl(nGC_83) + 24d0*cima*  &
                        coupl(nGC_230)*coupl(nGC_8) + 24d0*cima*coupl(nGC_27)* &
                        coupl(nGC_5) + 6d0*coupl(nGC_1038)*coupl(nGC_27)*coupl(&
                        nGC_604) - 6d0*coupl(nGC_1126)*coupl(nGC_230)*coupl(   &
                        nGC_37) + 6d0*coupl(nGC_1296)*coupl(nGC_28)*coupl(     &
                        nGC_40) - 6d0*coupl(nGC_1352)*coupl(nGC_21)*coupl(     &
                        nGC_230) - 6d0*coupl(nGC_17)*coupl(nGC_21)*coupl(      &
                        nGC_242) - 6d0*coupl(nGC_17)*coupl(nGC_21)*coupl(nGC_3 &
                        ) - 6d0*coupl(nGC_21)*coupl(nGC_214)*coupl(nGC_5) - 6d0&
                        *coupl(nGC_21)*coupl(nGC_242)*coupl(nGC_6) - 6d0*coupl(&
                        nGC_21)*coupl(nGC_320)*coupl(nGC_42) + 6d0*coupl(nGC_22&
                        )*coupl(nGC_28)*coupl(nGC_604) + 36d0*coupl(nGC_242)*  &
                        coupl(nGC_25)*coupl(nGC_8) + 36d0*coupl(nGC_242)*coupl(&
                        nGC_27)*coupl(nGC_3) - 6d0*coupl(nGC_25)*coupl(nGC_27)*&
                        coupl(nGC_40) - 6d0*coupl(nGC_25)*coupl(nGC_28)*coupl( &
                        nGC_37) - 6d0*coupl(nGC_27)*coupl(nGC_3)*coupl(nGC_4   &
                        ))/(192d0*pi**2d0)
      coupl(nGC_3479) = (6d0*Nc*cima*coupl(nGC_1)**4d0 + 6d0*Nc*cima*coupl(    &
                        nGC_2)**4d0 - 10d0*cima*coupl(nGC_242)**4d0 - 10d0*cima&
                        *coupl(nGC_3)**4d0 + 3d0*cima*coupl(nGC_314)**2d0 + 6d0&
                        *cima*coupl(nGC_4)**4d0 + 9d0*coupl(nGC_242)**2d0*coupl&
                        (nGC_314) + 3d0*coupl(nGC_242)**2d0*coupl(nGC_5) + 9d0*&
                        coupl(nGC_3)**2d0*coupl(nGC_314) + 3d0*coupl(nGC_3)**  &
                        2d0*coupl(nGC_5))/(24d0*pi**2d0)
      coupl(nGC_5195) = coupl(nGC_5191) + coupl(nGC_5194)
      coupl(nGC_7596) = coupl(nGC_3589) + coupl(nGC_52)*dZH_QED2/2d0 + coupl(  &
                        nGC_52)*dZZ_QED2
      coupl(nGC_3472) = (-24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_54)*coupl(  &
                        nGC_56) - 24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_62)*&
                        coupl(nGC_64) - 24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(  &
                        nGC_74)*coupl(nGC_76) - 24d0*Nc*cima*coupl(nGC_2)**2d0*&
                        coupl(nGC_58)*coupl(nGC_60) - 24d0*Nc*cima*coupl(nGC_2 &
                        )**2d0*coupl(nGC_78)*coupl(nGC_80) - 24d0*Nc*cima*coupl&
                        (nGC_2)**2d0*coupl(nGC_86)*coupl(nGC_88) + 4d0*cima*   &
                        coupl(nGC_1126)*coupl(nGC_214)**2d0*coupl(nGC_22) + 9d0&
                        *cima*coupl(nGC_1126)*coupl(nGC_22)*coupl(nGC_242)**2d0&
                         + 9d0*cima*coupl(nGC_1126)*coupl(nGC_22)*coupl(nGC_3  &
                        )**2d0 + 4d0*cima*coupl(nGC_1126)*coupl(nGC_22)*coupl( &
                        nGC_4)**2d0 + 12d0*cima*coupl(nGC_17)*coupl(nGC_314) - &
                        24d0*cima*coupl(nGC_4)**2d0*coupl(nGC_66)*coupl(nGC_68 &
                        ) - 24d0*cima*coupl(nGC_4)**2d0*coupl(nGC_70)*coupl(   &
                        nGC_72) - 24d0*cima*coupl(nGC_4)**2d0*coupl(nGC_82)*   &
                        coupl(nGC_84) - 6d0*coupl(nGC_1126)*coupl(nGC_22)*coupl&
                        (nGC_314) + 6d0*coupl(nGC_1126)*coupl(nGC_22)*coupl(   &
                        nGC_6) - 6d0*coupl(nGC_1126)*coupl(nGC_242)*coupl(     &
                        nGC_28) - 6d0*coupl(nGC_1126)*coupl(nGC_26)*coupl(nGC_3&
                        ) + 18d0*coupl(nGC_17)*coupl(nGC_242)**2d0 + 18d0*coupl&
                        (nGC_17)*coupl(nGC_3)**2d0 - 6d0*coupl(nGC_22)*coupl(  &
                        nGC_242)*coupl(nGC_26) - 6d0*coupl(nGC_22)*coupl(nGC_28&
                        )*coupl(nGC_3))/(96d0*pi**2d0)
      coupl(nGC_3473) = (-24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_55)**2d0 -  &
                        24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_63)**2d0 -    &
                        24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_75)**2d0 -    &
                        24d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_59)**2d0 -    &
                        24d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_79)**2d0 -    &
                        24d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_87)**2d0 + 4d0&
                        *cima*coupl(nGC_1038)*coupl(nGC_20)*coupl(nGC_214)**2d0&
                         + 9d0*cima*coupl(nGC_1038)*coupl(nGC_20)*coupl(nGC_242&
                        )**2d0 + 12d0*cima*coupl(nGC_17)*coupl(nGC_314) + 9d0* &
                        cima*coupl(nGC_21)*coupl(nGC_3)**2d0*coupl(nGC_604) +  &
                        4d0*cima*coupl(nGC_21)*coupl(nGC_4)**2d0*coupl(nGC_604 &
                        ) - 24d0*cima*coupl(nGC_4)**2d0*coupl(nGC_67)**2d0 -   &
                        24d0*cima*coupl(nGC_4)**2d0*coupl(nGC_71)**2d0 - 24d0* &
                        cima*coupl(nGC_4)**2d0*coupl(nGC_83)**2d0 - 3d0*coupl( &
                        nGC_1038)*coupl(nGC_20)*coupl(nGC_314) + 3d0*coupl(    &
                        nGC_1038)*coupl(nGC_20)*coupl(nGC_6) - 6d0*coupl(      &
                        nGC_1038)*coupl(nGC_242)*coupl(nGC_27) + 18d0*coupl(   &
                        nGC_17)*coupl(nGC_242)**2d0 + 18d0*coupl(nGC_17)*coupl(&
                        nGC_3)**2d0 - 6d0*coupl(nGC_20)*coupl(nGC_242)*coupl(  &
                        nGC_27) - 6d0*coupl(nGC_21)*coupl(nGC_27)*coupl(nGC_3  &
                        ) - 3d0*coupl(nGC_21)*coupl(nGC_314)*coupl(nGC_604) +  &
                        3d0*coupl(nGC_21)*coupl(nGC_6)*coupl(nGC_604) - 6d0*   &
                        coupl(nGC_27)*coupl(nGC_3)*coupl(nGC_604))/(96d0*pi**  &
                        2d0)
      coupl(nGC_3470) = (18d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_23)**2d0 -   &
                        30d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_23)** &
                        2d0 + 18d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_23)**2d0&
                         + 6d0*cima*coupl(nGC_18)*coupl(nGC_314) + 18d0*cima*  &
                        coupl(nGC_23)**2d0*coupl(nGC_4)**2d0 - 8d0*cima*coupl( &
                        nGC_242)**2d0*coupl(nGC_25)**2d0 - 16d0*cima*coupl(    &
                        nGC_242)**2d0*coupl(nGC_3)**2d0 - 8d0*cima*coupl(nGC_3 &
                        )**2d0*coupl(nGC_320)**2d0 + 9d0*coupl(nGC_18)*coupl(  &
                        nGC_242)**2d0 + 9d0*coupl(nGC_18)*coupl(nGC_3)**2d0 +  &
                        3d0*coupl(nGC_230)*coupl(nGC_242)*coupl(nGC_25) + 3d0* &
                        coupl(nGC_230)*coupl(nGC_3)*coupl(nGC_320) + 9d0*coupl(&
                        nGC_242)**2d0*coupl(nGC_314) + 6d0*coupl(nGC_242)*coupl&
                        (nGC_3)*coupl(nGC_5) + 9d0*coupl(nGC_314)*coupl(nGC_320&
                        )**2d0)/(48d0*pi**2d0)
      coupl(nGC_3471) = (-12d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_23)**2d0 +  &
                        36d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_23)** &
                        2d0 - 12d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_23)**2d0&
                         - 12d0*cima*coupl(nGC_23)**2d0*coupl(nGC_4)**2d0 +    &
                        12d0*cima*coupl(nGC_230)**2d0 - 16d0*cima*coupl(nGC_242&
                        )**2d0*coupl(nGC_25)**2d0 - 24d0*cima*coupl(nGC_242)** &
                        2d0*coupl(nGC_3)**2d0 - 8d0*cima*coupl(nGC_3)**2d0*    &
                        coupl(nGC_320)**2d0 + 12d0*cima*coupl(nGC_5)**2d0 + 3d0&
                        *coupl(nGC_18)*coupl(nGC_242)**2d0 + 36d0*coupl(nGC_230&
                        )*coupl(nGC_242)*coupl(nGC_25) + 3d0*coupl(nGC_242)**  &
                        2d0*coupl(nGC_5) + 6d0*coupl(nGC_242)*coupl(nGC_3)*    &
                        coupl(nGC_314) + 36d0*coupl(nGC_242)*coupl(nGC_3)*coupl&
                        (nGC_5) + 6d0*coupl(nGC_29)*coupl(nGC_3)*coupl(nGC_320 &
                        ) + 3d0*coupl(nGC_3)**2d0*coupl(nGC_634) + 3d0*coupl(  &
                        nGC_320)**2d0*coupl(nGC_5))/(96d0*pi**2d0)
      coupl(nGC_3476) = (4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_53)* &
                        coupl(nGC_55) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23 &
                        )*coupl(nGC_57)*coupl(nGC_59) + 4d0*Nc*cima*coupl(nGC_1&
                        )*coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_63) + 4d0*Nc*  &
                        cima*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_73)*coupl(   &
                        nGC_75) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)*coupl&
                        (nGC_77)*coupl(nGC_79) - 16d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_23)*coupl(nGC_85)*coupl(nGC_87) - 16d0*Nc*   &
                        cima*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_53)*coupl(   &
                        nGC_55) + 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23)*coupl(&
                        nGC_57)*coupl(nGC_59) - 16d0*Nc*cima*coupl(nGC_2)*coupl&
                        (nGC_23)*coupl(nGC_61)*coupl(nGC_63) - 16d0*Nc*cima*   &
                        coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_73)*coupl(nGC_75  &
                        ) + 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_77&
                        )*coupl(nGC_79) + 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23&
                        )*coupl(nGC_85)*coupl(nGC_87) + 4d0*cima*coupl(nGC_1038&
                        )*coupl(nGC_214)*coupl(nGC_22)**2d0 + 4d0*cima*coupl(  &
                        nGC_1038)*coupl(nGC_214)*coupl(nGC_604)**2d0 + 4d0*cima&
                        *coupl(nGC_1126)*coupl(nGC_1296)*coupl(nGC_1352)*coupl(&
                        nGC_4) + 9d0*cima*coupl(nGC_1126)*coupl(nGC_3)*coupl(  &
                        nGC_320)*coupl(nGC_37) + 9d0*cima*coupl(nGC_20)*coupl( &
                        nGC_242)*coupl(nGC_25)*coupl(nGC_40) + 9d0*cima*coupl( &
                        nGC_20)*coupl(nGC_242)*coupl(nGC_3)*coupl(nGC_4) + 4d0*&
                        cima*coupl(nGC_23)*coupl(nGC_4)*coupl(nGC_65)*coupl(   &
                        nGC_67) + 4d0*cima*coupl(nGC_23)*coupl(nGC_4)*coupl(   &
                        nGC_69)*coupl(nGC_71) + 4d0*cima*coupl(nGC_23)*coupl(  &
                        nGC_4)*coupl(nGC_81)*coupl(nGC_83) + 24d0*cima*coupl(  &
                        nGC_230)*coupl(nGC_8) + 24d0*cima*coupl(nGC_27)*coupl( &
                        nGC_5) + 6d0*coupl(nGC_1038)*coupl(nGC_22)*coupl(nGC_26&
                        ) + 6d0*coupl(nGC_1038)*coupl(nGC_27)*coupl(nGC_604) - &
                        6d0*coupl(nGC_1126)*coupl(nGC_230)*coupl(nGC_37) + 6d0*&
                        coupl(nGC_1296)*coupl(nGC_1352)*coupl(nGC_26) - 6d0*   &
                        coupl(nGC_1352)*coupl(nGC_27)*coupl(nGC_320) - 6d0*    &
                        coupl(nGC_17)*coupl(nGC_20)*coupl(nGC_242) - 6d0*coupl(&
                        nGC_17)*coupl(nGC_20)*coupl(nGC_3) - 6d0*coupl(nGC_20)*&
                        coupl(nGC_230)*coupl(nGC_40) - 6d0*coupl(nGC_20)*coupl(&
                        nGC_25)*coupl(nGC_42) - 6d0*coupl(nGC_20)*coupl(nGC_3)*&
                        coupl(nGC_6) - 6d0*coupl(nGC_20)*coupl(nGC_4)*coupl(   &
                        nGC_5) - 6d0*coupl(nGC_214)*coupl(nGC_242)*coupl(nGC_27&
                        ) + 36d0*coupl(nGC_242)*coupl(nGC_27)*coupl(nGC_3) -   &
                        6d0*coupl(nGC_26)*coupl(nGC_320)*coupl(nGC_37) + 36d0* &
                        coupl(nGC_3)*coupl(nGC_320)*coupl(nGC_8))/(192d0*pi**  &
                        2d0)
      coupl(nGC_3477) = (4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_53)* &
                        coupl(nGC_56) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23 &
                        )*coupl(nGC_57)*coupl(nGC_60) + 4d0*Nc*cima*coupl(nGC_1&
                        )*coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_64) + 4d0*Nc*  &
                        cima*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_73)*coupl(   &
                        nGC_76) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)*coupl&
                        (nGC_77)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_23)*coupl(nGC_85)*coupl(nGC_88) - 16d0*Nc*   &
                        cima*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_53)*coupl(   &
                        nGC_56) + 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23)*coupl(&
                        nGC_57)*coupl(nGC_60) - 16d0*Nc*cima*coupl(nGC_2)*coupl&
                        (nGC_23)*coupl(nGC_61)*coupl(nGC_64) - 16d0*Nc*cima*   &
                        coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_73)*coupl(nGC_76  &
                        ) + 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_77&
                        )*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23&
                        )*coupl(nGC_85)*coupl(nGC_88) + 4d0*cima*coupl(nGC_1038&
                        )**2d0*coupl(nGC_22)*coupl(nGC_4) + 9d0*cima*coupl(    &
                        nGC_1126)*coupl(nGC_1352)*coupl(nGC_3)*coupl(nGC_320   &
                        ) + 9d0*cima*coupl(nGC_1126)*coupl(nGC_214)*coupl(     &
                        nGC_242)*coupl(nGC_3) + 9d0*cima*coupl(nGC_1296)*coupl(&
                        nGC_21)*coupl(nGC_242)*coupl(nGC_25) + 4d0*cima*coupl( &
                        nGC_21)*coupl(nGC_214)*coupl(nGC_37)*coupl(nGC_40) +   &
                        4d0*cima*coupl(nGC_22)**3d0*coupl(nGC_4) + 4d0*cima*   &
                        coupl(nGC_23)*coupl(nGC_4)*coupl(nGC_65)*coupl(nGC_68  &
                        ) + 4d0*cima*coupl(nGC_23)*coupl(nGC_4)*coupl(nGC_69)* &
                        coupl(nGC_72) + 4d0*cima*coupl(nGC_23)*coupl(nGC_4)*   &
                        coupl(nGC_81)*coupl(nGC_84) + 24d0*cima*coupl(nGC_230)*&
                        coupl(nGC_9) + 24d0*cima*coupl(nGC_28)*coupl(nGC_5) +  &
                        6d0*coupl(nGC_1038)*coupl(nGC_22)*coupl(nGC_27) - 6d0* &
                        coupl(nGC_1126)*coupl(nGC_1352)*coupl(nGC_230) - 6d0*  &
                        coupl(nGC_1126)*coupl(nGC_17)*coupl(nGC_242) - 6d0*    &
                        coupl(nGC_1126)*coupl(nGC_17)*coupl(nGC_3) - 6d0*coupl(&
                        nGC_1126)*coupl(nGC_214)*coupl(nGC_5) - 6d0*coupl(     &
                        nGC_1126)*coupl(nGC_242)*coupl(nGC_6) - 6d0*coupl(     &
                        nGC_1126)*coupl(nGC_320)*coupl(nGC_42) - 6d0*coupl(    &
                        nGC_1296)*coupl(nGC_21)*coupl(nGC_230) - 6d0*coupl(    &
                        nGC_1296)*coupl(nGC_25)*coupl(nGC_27) + 6d0*coupl(     &
                        nGC_22)**2d0*coupl(nGC_28) + 36d0*coupl(nGC_242)*coupl(&
                        nGC_25)*coupl(nGC_9) + 36d0*coupl(nGC_242)*coupl(nGC_28&
                        )*coupl(nGC_3) - 6d0*coupl(nGC_25)*coupl(nGC_28)*coupl(&
                        nGC_40) + 6d0*coupl(nGC_27)*coupl(nGC_37)*coupl(nGC_40 &
                        ) - 6d0*coupl(nGC_28)*coupl(nGC_3)*coupl(nGC_4))/(192d0&
                        *pi**2d0)
      coupl(nGC_3474) = (-16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_53 &
                        )**2d0 - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_34)*coupl(&
                        nGC_61)**2d0 - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_34)*&
                        coupl(nGC_73)**2d0 + 10d0*Nc*cima*coupl(nGC_1)*coupl(  &
                        nGC_35)*coupl(nGC_57)**2d0 + 10d0*Nc*cima*coupl(nGC_1)*&
                        coupl(nGC_35)*coupl(nGC_77)**2d0 + 10d0*Nc*cima*coupl( &
                        nGC_1)*coupl(nGC_35)*coupl(nGC_85)**2d0 - 16d0*Nc*cima*&
                        coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_57)**2d0 - 16d0*Nc&
                        *cima*coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_77)**2d0 -  &
                        16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_85)**&
                        2d0 + 10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_39)*coupl(   &
                        nGC_53)**2d0 + 10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_39)*&
                        coupl(nGC_61)**2d0 + 10d0*Nc*cima*coupl(nGC_1)*coupl(  &
                        nGC_39)*coupl(nGC_73)**2d0 + 10d0*Nc*cima*coupl(nGC_2)*&
                        coupl(nGC_34)*coupl(nGC_53)**2d0 + 10d0*Nc*cima*coupl( &
                        nGC_2)*coupl(nGC_34)*coupl(nGC_61)**2d0 + 10d0*Nc*cima*&
                        coupl(nGC_2)*coupl(nGC_34)*coupl(nGC_73)**2d0 - 16d0*Nc&
                        *cima*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_57)**2d0 -  &
                        16d0*Nc*cima*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_77)**&
                        2d0 - 16d0*Nc*cima*coupl(nGC_2)*coupl(nGC_35)*coupl(   &
                        nGC_85)**2d0 + 10d0*Nc*cima*coupl(nGC_2)*coupl(nGC_38)*&
                        coupl(nGC_57)**2d0 + 10d0*Nc*cima*coupl(nGC_2)*coupl(  &
                        nGC_38)*coupl(nGC_77)**2d0 + 10d0*Nc*cima*coupl(nGC_2)*&
                        coupl(nGC_38)*coupl(nGC_85)**2d0 - 16d0*Nc*cima*coupl( &
                        nGC_2)*coupl(nGC_39)*coupl(nGC_53)**2d0 - 16d0*Nc*cima*&
                        coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_61)**2d0 - 16d0*Nc&
                        *cima*coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_73)**2d0 +  &
                        9d0*cima*coupl(nGC_1038)*coupl(nGC_20)*coupl(nGC_25)*  &
                        coupl(nGC_3) + 9d0*cima*coupl(nGC_1126)*coupl(nGC_22)* &
                        coupl(nGC_25)*coupl(nGC_3) + 4d0*cima*coupl(nGC_1352)**&
                        2d0*coupl(nGC_4)*coupl(nGC_40) + 12d0*cima*coupl(nGC_17&
                        )*coupl(nGC_29) + 4d0*cima*coupl(nGC_214)**2d0*coupl(  &
                        nGC_4)*coupl(nGC_40) - 16d0*cima*coupl(nGC_36)*coupl(  &
                        nGC_4)*coupl(nGC_65)**2d0 - 16d0*cima*coupl(nGC_36)*   &
                        coupl(nGC_4)*coupl(nGC_69)**2d0 - 16d0*cima*coupl(     &
                        nGC_36)*coupl(nGC_4)*coupl(nGC_81)**2d0 + 10d0*cima*   &
                        coupl(nGC_4)*coupl(nGC_41)*coupl(nGC_65)**2d0 + 10d0*  &
                        cima*coupl(nGC_4)*coupl(nGC_41)*coupl(nGC_69)**2d0 +   &
                        10d0*cima*coupl(nGC_4)*coupl(nGC_41)*coupl(nGC_81)**2d0&
                         - 3d0*coupl(nGC_1038)*coupl(nGC_20)*coupl(nGC_29) -   &
                        3d0*coupl(nGC_1038)*coupl(nGC_25)*coupl(nGC_27) - 3d0* &
                        coupl(nGC_1038)*coupl(nGC_3)*coupl(nGC_8) - 3d0*coupl( &
                        nGC_1126)*coupl(nGC_22)*coupl(nGC_29) - 3d0*coupl(     &
                        nGC_1126)*coupl(nGC_3)*coupl(nGC_9) + 3d0*coupl(       &
                        nGC_1352)**2d0*coupl(nGC_42) + 18d0*coupl(nGC_17)*coupl&
                        (nGC_242)*coupl(nGC_320) + 18d0*coupl(nGC_17)*coupl(   &
                        nGC_25)*coupl(nGC_3) - 3d0*coupl(nGC_20)*coupl(nGC_3)* &
                        coupl(nGC_8) + 3d0*coupl(nGC_214)**2d0*coupl(nGC_42) - &
                        3d0*coupl(nGC_22)*coupl(nGC_25)*coupl(nGC_26) - 3d0*   &
                        coupl(nGC_22)*coupl(nGC_28)*coupl(nGC_320) - 3d0*coupl(&
                        nGC_22)*coupl(nGC_3)*coupl(nGC_7) - 3d0*coupl(nGC_27)* &
                        coupl(nGC_320)*coupl(nGC_604))/(96d0*pi**2d0)
      coupl(nGC_3475) = (4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_53)* &
                        coupl(nGC_54) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23 &
                        )*coupl(nGC_57)*coupl(nGC_58) + 4d0*Nc*cima*coupl(nGC_1&
                        )*coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_62) + 4d0*Nc*  &
                        cima*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_73)*coupl(   &
                        nGC_74) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)*coupl&
                        (nGC_77)*coupl(nGC_78) - 16d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_23)*coupl(nGC_85)*coupl(nGC_86) - 16d0*Nc*   &
                        cima*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_53)*coupl(   &
                        nGC_54) + 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23)*coupl(&
                        nGC_57)*coupl(nGC_58) - 16d0*Nc*cima*coupl(nGC_2)*coupl&
                        (nGC_23)*coupl(nGC_61)*coupl(nGC_62) - 16d0*Nc*cima*   &
                        coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_73)*coupl(nGC_74  &
                        ) + 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_77&
                        )*coupl(nGC_78) + 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23&
                        )*coupl(nGC_85)*coupl(nGC_86) + 9d0*cima*coupl(nGC_1126&
                        )*coupl(nGC_242)*coupl(nGC_25)*coupl(nGC_40) + 9d0*cima&
                        *coupl(nGC_1126)*coupl(nGC_242)*coupl(nGC_3)*coupl(    &
                        nGC_4) + 9d0*cima*coupl(nGC_1296)*coupl(nGC_20)*coupl( &
                        nGC_3)*coupl(nGC_320) + 4d0*cima*coupl(nGC_1352)*coupl(&
                        nGC_20)*coupl(nGC_37)*coupl(nGC_4) + 4d0*cima*coupl(   &
                        nGC_214)*coupl(nGC_22)**3d0 + 4d0*cima*coupl(nGC_214)* &
                        coupl(nGC_22)*coupl(nGC_604)**2d0 + 4d0*cima*coupl(    &
                        nGC_23)*coupl(nGC_4)*coupl(nGC_65)*coupl(nGC_66) + 4d0*&
                        cima*coupl(nGC_23)*coupl(nGC_4)*coupl(nGC_69)*coupl(   &
                        nGC_70) + 4d0*cima*coupl(nGC_23)*coupl(nGC_4)*coupl(   &
                        nGC_81)*coupl(nGC_82) + 24d0*cima*coupl(nGC_230)*coupl(&
                        nGC_7) + 24d0*cima*coupl(nGC_26)*coupl(nGC_5) - 6d0*   &
                        coupl(nGC_1126)*coupl(nGC_17)*coupl(nGC_242) - 6d0*    &
                        coupl(nGC_1126)*coupl(nGC_17)*coupl(nGC_3) - 6d0*coupl(&
                        nGC_1126)*coupl(nGC_230)*coupl(nGC_40) - 6d0*coupl(    &
                        nGC_1126)*coupl(nGC_25)*coupl(nGC_42) - 6d0*coupl(     &
                        nGC_1126)*coupl(nGC_3)*coupl(nGC_6) - 6d0*coupl(       &
                        nGC_1126)*coupl(nGC_4)*coupl(nGC_5) - 6d0*coupl(       &
                        nGC_1296)*coupl(nGC_20)*coupl(nGC_230) - 6d0*coupl(    &
                        nGC_1296)*coupl(nGC_27)*coupl(nGC_320) - 6d0*coupl(    &
                        nGC_1352)*coupl(nGC_26)*coupl(nGC_320) + 6d0*coupl(    &
                        nGC_1352)*coupl(nGC_27)*coupl(nGC_37) - 6d0*coupl(     &
                        nGC_214)*coupl(nGC_242)*coupl(nGC_26) + 6d0*coupl(     &
                        nGC_22)**2d0*coupl(nGC_26) + 6d0*coupl(nGC_22)*coupl(  &
                        nGC_27)*coupl(nGC_604) + 36d0*coupl(nGC_242)*coupl(    &
                        nGC_26)*coupl(nGC_3) + 36d0*coupl(nGC_3)*coupl(nGC_320 &
                        )*coupl(nGC_7))/(192d0*pi**2d0)
      coupl(nGC_5052) = -coupl(nGC_5051)
      coupl(nGC_5050) = coupl(nGC_5046) + coupl(nGC_5049)
      coupl(nGC_3536) = (-20d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*cima*   &
                        coupl(nGC_568)**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(    &
                        nGC_12)*sq2**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_562&
                        )*sq2**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_566)*sq2 &
                        **2d0 + 33d0*coupl(nGC_10)**2d0*coupl(nGC_568)*sq2**2d0&
                        )/(384d0*pi**2d0)
      coupl(nGC_5608) = coupl(nGC_3614) + coupl(nGC_62)*dZdL_QCD2/2d0 + coupl( &
                        nGC_62)*dZdR_QCD2/2d0
      coupl(nGC_11069) = -coupl(nGC_3290)
      coupl(nGC_5113) = coupl(nGC_26)*dZAZ_QED2/2d0 + coupl(nGC_3586) + coupl( &
                        nGC_7)*dZWMinus_QED2/2d0 + coupl(nGC_7)*dZZ_QED2/2d0
      coupl(nGC_5931) = coupl(nGC_5168) + coupl(nGC_5930)
      coupl(nGC_6170) = coupl(nGC_35)*dZZ_QED2/2d0 + coupl(nGC_35)*dZcR_QED2 + &
                        coupl(nGC_3594)
      coupl(nGC_6171) = coupl(nGC_5691) + coupl(nGC_6170)
      coupl(nGC_5461) = -2d0*coupl(nGC_5460)
      coupl(nGC_6273) = coupl(nGC_3649) + coupl(nGC_58)*dZcL_QED2/2d0 + coupl( &
                        nGC_58)*dZcR_QED2/2d0
      coupl(nGC_6271) = coupl(nGC_3648) + coupl(nGC_58)*dZcL_QCD2/2d0 + coupl( &
                        nGC_58)*dZcR_QCD2/2d0
      coupl(nGC_5436) = coupl(nGC_4960) + coupl(nGC_5433)
      coupl(nGC_9932) = -coupl(nGC_3334)
      coupl(nGC_5831) = coupl(nGC_5829) + coupl(nGC_5830)
      coupl(nGC_5832) = coupl(nGC_5828) + coupl(nGC_5829)
      coupl(nGC_6434) = coupl(nGC_5691) + coupl(nGC_6432)
      coupl(nGC_7413) = coupl(nGC_3680) + coupl(nGC_MW_GF)*dZWMinus_QED2/2d0
      coupl(nGC_6431) = coupl(nGC_35)*dZZ_QED2/2d0 + coupl(nGC_35)*dZtR_QED2 + &
                        coupl(nGC_3594)
      coupl(nGC_6433) = coupl(nGC_5691) + coupl(nGC_6431)
      coupl(nGC_3408) = coupl(nGC_23)*(coupl(nGC_1)*coupl(nGC_2) + coupl(nGC_1 &
                        )*coupl(nGC_242) + coupl(nGC_2)*coupl(nGC_3) + coupl(  &
                        nGC_25)*coupl(nGC_39) + coupl(nGC_320)*coupl(nGC_38) + &
                        coupl(nGC_38)*coupl(nGC_39))/(8d0*pi**2d0)
      coupl(nGC_3407) = (12d0*Nc*coupl(nGC_23)**2d0*coupl(nGC_38) - 12d0*Nc*   &
                        coupl(nGC_23)**2d0*coupl(nGC_39) + 12d0*coupl(nGC_23)**&
                        2d0*coupl(nGC_40) - 12d0*coupl(nGC_23)**2d0*coupl(     &
                        nGC_41) - 11d0*coupl(nGC_242)**2d0*coupl(nGC_25) - 11d0&
                        *coupl(nGC_25)*coupl(nGC_320)**2d0)/(96d0*pi**2d0)
      coupl(nGC_5577) = coupl(nGC_4976) + coupl(nGC_5571)
      coupl(nGC_5576) = coupl(nGC_4976) + coupl(nGC_5575)
      coupl(nGC_3486) = (-12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_54 &
                        )*coupl(nGC_56) - 12d0*Nc*cima*coupl(nGC_1)*coupl(     &
                        nGC_34)*coupl(nGC_62)*coupl(nGC_64) - 12d0*Nc*cima*    &
                        coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_74)*coupl(nGC_76  &
                        ) - 12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_38)*coupl(     &
                        nGC_54)*coupl(nGC_56) - 12d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_38)*coupl(nGC_62)*coupl(nGC_64) - 12d0*Nc*cima*   &
                        coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_74)*coupl(nGC_76  &
                        ) - 12d0*Nc*cima*coupl(nGC_2)*coupl(nGC_35)*coupl(     &
                        nGC_58)*coupl(nGC_60) - 12d0*Nc*cima*coupl(nGC_2)*coupl&
                        (nGC_35)*coupl(nGC_78)*coupl(nGC_80) - 12d0*Nc*cima*   &
                        coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_86)*coupl(nGC_88  &
                        ) - 12d0*Nc*cima*coupl(nGC_2)*coupl(nGC_39)*coupl(     &
                        nGC_58)*coupl(nGC_60) - 12d0*Nc*cima*coupl(nGC_2)*coupl&
                        (nGC_39)*coupl(nGC_78)*coupl(nGC_80) - 12d0*Nc*cima*   &
                        coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_86)*coupl(nGC_88  &
                        ) + 4d0*cima*coupl(nGC_1126)*coupl(nGC_1352)*coupl(    &
                        nGC_214)*coupl(nGC_22) + 9d0*cima*coupl(nGC_1126)*coupl&
                        (nGC_22)*coupl(nGC_242)*coupl(nGC_320) + 9d0*cima*coupl&
                        (nGC_1126)*coupl(nGC_22)*coupl(nGC_25)*coupl(nGC_3) +  &
                        4d0*cima*coupl(nGC_1126)*coupl(nGC_22)*coupl(nGC_4)*   &
                        coupl(nGC_40) + 12d0*cima*coupl(nGC_17)*coupl(nGC_29   &
                        ) - 12d0*cima*coupl(nGC_36)*coupl(nGC_4)*coupl(nGC_66)*&
                        coupl(nGC_68) - 12d0*cima*coupl(nGC_36)*coupl(nGC_4)*  &
                        coupl(nGC_70)*coupl(nGC_72) - 12d0*cima*coupl(nGC_36)* &
                        coupl(nGC_4)*coupl(nGC_82)*coupl(nGC_84) - 12d0*cima*  &
                        coupl(nGC_4)*coupl(nGC_40)*coupl(nGC_66)*coupl(nGC_68  &
                        ) - 12d0*cima*coupl(nGC_4)*coupl(nGC_40)*coupl(nGC_70)*&
                        coupl(nGC_72) - 12d0*cima*coupl(nGC_4)*coupl(nGC_40)*  &
                        coupl(nGC_82)*coupl(nGC_84) - 6d0*coupl(nGC_1126)*coupl&
                        (nGC_22)*coupl(nGC_29) + 6d0*coupl(nGC_1126)*coupl(    &
                        nGC_22)*coupl(nGC_42) - 3d0*coupl(nGC_1126)*coupl(     &
                        nGC_242)*coupl(nGC_9) - 6d0*coupl(nGC_1126)*coupl(     &
                        nGC_25)*coupl(nGC_26) - 6d0*coupl(nGC_1126)*coupl(     &
                        nGC_28)*coupl(nGC_320) - 3d0*coupl(nGC_1126)*coupl(    &
                        nGC_3)*coupl(nGC_7) + 18d0*coupl(nGC_17)*coupl(nGC_242 &
                        )*coupl(nGC_320) + 18d0*coupl(nGC_17)*coupl(nGC_25)*   &
                        coupl(nGC_3) - 3d0*coupl(nGC_22)*coupl(nGC_242)*coupl( &
                        nGC_7) - 3d0*coupl(nGC_22)*coupl(nGC_3)*coupl(nGC_9))/(&
                        96d0*pi**2d0)
      coupl(nGC_3485) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)**2d0*coupl(   &
                        nGC_38) + 6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)**2d0* &
                        coupl(nGC_39) + 6d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23  &
                        )**2d0*coupl(nGC_38) - 4d0*Nc*cima*coupl(nGC_2)*coupl( &
                        nGC_23)**2d0*coupl(nGC_39) + 4d0*cima*coupl(nGC_19)*   &
                        coupl(nGC_230) - 4d0*cima*coupl(nGC_23)**2d0*coupl(    &
                        nGC_4)*coupl(nGC_40) + 6d0*cima*coupl(nGC_23)**2d0*    &
                        coupl(nGC_4)*coupl(nGC_41) + 4d0*cima*coupl(nGC_230)*  &
                        coupl(nGC_5) - 8d0*cima*coupl(nGC_242)**2d0*coupl(     &
                        nGC_25)*coupl(nGC_3) - 8d0*cima*coupl(nGC_25)*coupl(   &
                        nGC_3)*coupl(nGC_320)**2d0 + coupl(nGC_18)*coupl(      &
                        nGC_242)*coupl(nGC_320) + coupl(nGC_184)*coupl(nGC_3)* &
                        coupl(nGC_320) + 6d0*coupl(nGC_19)*coupl(nGC_3)*coupl( &
                        nGC_320) + coupl(nGC_230)*coupl(nGC_242)**2d0 + 6d0*   &
                        coupl(nGC_230)*coupl(nGC_242)*coupl(nGC_3) + 6d0*coupl(&
                        nGC_230)*coupl(nGC_25)*coupl(nGC_320) + coupl(nGC_230)*&
                        coupl(nGC_320)**2d0 + coupl(nGC_242)*coupl(nGC_25)*    &
                        coupl(nGC_314) + coupl(nGC_242)*coupl(nGC_29)*coupl(   &
                        nGC_3) + coupl(nGC_25)*coupl(nGC_29)*coupl(nGC_320) +  &
                        coupl(nGC_25)*coupl(nGC_3)*coupl(nGC_634) + 6d0*coupl( &
                        nGC_3)*coupl(nGC_320)*coupl(nGC_5))/(32d0*pi**2d0)
      coupl(nGC_3484) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)**2d0*coupl(   &
                        nGC_38) + 6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)**2d0* &
                        coupl(nGC_39) + 6d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23  &
                        )**2d0*coupl(nGC_38) - 4d0*Nc*cima*coupl(nGC_2)*coupl( &
                        nGC_23)**2d0*coupl(nGC_39) + 4d0*cima*coupl(nGC_19)*   &
                        coupl(nGC_230) - 4d0*cima*coupl(nGC_23)**2d0*coupl(    &
                        nGC_4)*coupl(nGC_40) + 6d0*cima*coupl(nGC_23)**2d0*    &
                        coupl(nGC_4)*coupl(nGC_41) + 4d0*cima*coupl(nGC_230)*  &
                        coupl(nGC_5) - 8d0*cima*coupl(nGC_242)**2d0*coupl(     &
                        nGC_25)*coupl(nGC_3) - 8d0*cima*coupl(nGC_25)*coupl(   &
                        nGC_3)*coupl(nGC_320)**2d0 + coupl(nGC_18)*coupl(nGC_25&
                        )*coupl(nGC_3) + coupl(nGC_184)*coupl(nGC_3)*coupl(    &
                        nGC_320) + 6d0*coupl(nGC_19)*coupl(nGC_3)*coupl(nGC_320&
                        ) + coupl(nGC_230)*coupl(nGC_242)**2d0 + 6d0*coupl(    &
                        nGC_230)*coupl(nGC_242)*coupl(nGC_3) + 6d0*coupl(      &
                        nGC_230)*coupl(nGC_25)*coupl(nGC_320) + coupl(nGC_230)*&
                        coupl(nGC_320)**2d0 + 6d0*coupl(nGC_242)*coupl(nGC_25)*&
                        coupl(nGC_5) + coupl(nGC_242)*coupl(nGC_29)*coupl(nGC_3&
                        ) + coupl(nGC_242)*coupl(nGC_320)*coupl(nGC_634) +     &
                        coupl(nGC_25)*coupl(nGC_29)*coupl(nGC_320) + coupl(    &
                        nGC_3)*coupl(nGC_314)*coupl(nGC_320))/(32d0*pi**2d0)
      coupl(nGC_3483) = (36d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)**2d0*coupl(   &
                        nGC_38) - 30d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)**2d0*&
                        coupl(nGC_39) - 30d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23 &
                        )**2d0*coupl(nGC_38) + 36d0*Nc*cima*coupl(nGC_2)*coupl(&
                        nGC_23)**2d0*coupl(nGC_39) + 12d0*cima*coupl(nGC_18)*  &
                        coupl(nGC_29) + 36d0*cima*coupl(nGC_23)**2d0*coupl(    &
                        nGC_4)*coupl(nGC_40) - 30d0*cima*coupl(nGC_23)**2d0*   &
                        coupl(nGC_4)*coupl(nGC_41) - 32d0*cima*coupl(nGC_242)**&
                        2d0*coupl(nGC_25)*coupl(nGC_3) - 32d0*cima*coupl(nGC_25&
                        )*coupl(nGC_3)*coupl(nGC_320)**2d0 + 18d0*coupl(nGC_18 &
                        )*coupl(nGC_242)*coupl(nGC_320) + 18d0*coupl(nGC_18)*  &
                        coupl(nGC_25)*coupl(nGC_3) + 6d0*coupl(nGC_19)*coupl(  &
                        nGC_3)*coupl(nGC_320) + 6d0*coupl(nGC_230)*coupl(      &
                        nGC_242)*coupl(nGC_3) + 6d0*coupl(nGC_230)*coupl(nGC_25&
                        )*coupl(nGC_320) + 18d0*coupl(nGC_242)**2d0*coupl(     &
                        nGC_29) + 3d0*coupl(nGC_242)*coupl(nGC_25)*coupl(nGC_5 &
                        ) + 18d0*coupl(nGC_29)*coupl(nGC_320)**2d0 + 3d0*coupl(&
                        nGC_3)*coupl(nGC_320)*coupl(nGC_5))/(96d0*pi**2d0)
      coupl(nGC_3482) = (12d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_34)**2d0 +   &
                        12d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_38)**2d0 +    &
                        12d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_35)**2d0 +    &
                        12d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_39)**2d0 -    &
                        40d0*cima*coupl(nGC_242)**2d0*coupl(nGC_320)**2d0 -    &
                        40d0*cima*coupl(nGC_25)**2d0*coupl(nGC_3)**2d0 + 12d0* &
                        cima*coupl(nGC_29)**2d0 + 12d0*cima*coupl(nGC_36)**2d0*&
                        coupl(nGC_4)**2d0 + 12d0*cima*coupl(nGC_4)**2d0*coupl( &
                        nGC_40)**2d0 + 3d0*coupl(nGC_19)*coupl(nGC_242)**2d0 + &
                        3d0*coupl(nGC_19)*coupl(nGC_3)**2d0 + 6d0*coupl(nGC_230&
                        )*coupl(nGC_242)*coupl(nGC_320) + 6d0*coupl(nGC_230)*  &
                        coupl(nGC_25)*coupl(nGC_3) + 36d0*coupl(nGC_242)*coupl(&
                        nGC_29)*coupl(nGC_320) + 3d0*coupl(nGC_25)**2d0*coupl( &
                        nGC_5) + 36d0*coupl(nGC_25)*coupl(nGC_29)*coupl(nGC_3  &
                        ) + 3d0*coupl(nGC_320)**2d0*coupl(nGC_5))/(96d0*pi**2d0&
                        )
      coupl(nGC_3481) = (6d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_34)**2d0 + 6d0&
                        *Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_38)**2d0 + 6d0*Nc*&
                        cima*coupl(nGC_2)**2d0*coupl(nGC_35)**2d0 + 6d0*Nc*cima&
                        *coupl(nGC_2)**2d0*coupl(nGC_39)**2d0 + 6d0*cima*coupl(&
                        nGC_184)*coupl(nGC_314) - 20d0*cima*coupl(nGC_242)**2d0&
                        *coupl(nGC_320)**2d0 - 20d0*cima*coupl(nGC_25)**2d0*   &
                        coupl(nGC_3)**2d0 + 6d0*cima*coupl(nGC_36)**2d0*coupl( &
                        nGC_4)**2d0 + 6d0*cima*coupl(nGC_4)**2d0*coupl(nGC_40  &
                        )**2d0 + 9d0*coupl(nGC_184)*coupl(nGC_242)**2d0 + 9d0* &
                        coupl(nGC_184)*coupl(nGC_3)**2d0 + 6d0*coupl(nGC_230)* &
                        coupl(nGC_242)*coupl(nGC_320) + 6d0*coupl(nGC_230)*    &
                        coupl(nGC_25)*coupl(nGC_3) + 9d0*coupl(nGC_25)**2d0*   &
                        coupl(nGC_314) + 9d0*coupl(nGC_314)*coupl(nGC_320)**2d0&
                        )/(48d0*pi**2d0)
      coupl(nGC_3480) = (6d0*Nc*cima*coupl(nGC_1)**3d0*coupl(nGC_34) + 6d0*Nc* &
                        cima*coupl(nGC_1)**3d0*coupl(nGC_38) + 6d0*Nc*cima*    &
                        coupl(nGC_2)**3d0*coupl(nGC_35) + 6d0*Nc*cima*coupl(   &
                        nGC_2)**3d0*coupl(nGC_39) - 20d0*cima*coupl(nGC_242)** &
                        3d0*coupl(nGC_320) - 20d0*cima*coupl(nGC_25)*coupl(    &
                        nGC_3)**3d0 + 6d0*cima*coupl(nGC_29)*coupl(nGC_314) +  &
                        6d0*cima*coupl(nGC_36)*coupl(nGC_4)**3d0 + 6d0*cima*   &
                        coupl(nGC_4)**3d0*coupl(nGC_40) + 3d0*coupl(nGC_230)*  &
                        coupl(nGC_242)**2d0 + 3d0*coupl(nGC_230)*coupl(nGC_3)**&
                        2d0 + 9d0*coupl(nGC_242)**2d0*coupl(nGC_29) + 9d0*coupl&
                        (nGC_242)*coupl(nGC_314)*coupl(nGC_320) + 3d0*coupl(   &
                        nGC_242)*coupl(nGC_320)*coupl(nGC_5) + 9d0*coupl(nGC_25&
                        )*coupl(nGC_3)*coupl(nGC_314) + 3d0*coupl(nGC_25)*coupl&
                        (nGC_3)*coupl(nGC_5) + 9d0*coupl(nGC_29)*coupl(nGC_3)**&
                        2d0)/(48d0*pi**2d0)
      coupl(nGC_3488) = (-12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_55 &
                        )**2d0 - 12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_34)*coupl(&
                        nGC_63)**2d0 - 12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_34)*&
                        coupl(nGC_75)**2d0 - 12d0*Nc*cima*coupl(nGC_1)*coupl(  &
                        nGC_38)*coupl(nGC_55)**2d0 - 12d0*Nc*cima*coupl(nGC_1)*&
                        coupl(nGC_38)*coupl(nGC_63)**2d0 - 12d0*Nc*cima*coupl( &
                        nGC_1)*coupl(nGC_38)*coupl(nGC_75)**2d0 - 12d0*Nc*cima*&
                        coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_59)**2d0 - 12d0*Nc&
                        *cima*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_79)**2d0 -  &
                        12d0*Nc*cima*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_87)**&
                        2d0 - 12d0*Nc*cima*coupl(nGC_2)*coupl(nGC_39)*coupl(   &
                        nGC_59)**2d0 - 12d0*Nc*cima*coupl(nGC_2)*coupl(nGC_39)*&
                        coupl(nGC_79)**2d0 - 12d0*Nc*cima*coupl(nGC_2)*coupl(  &
                        nGC_39)*coupl(nGC_87)**2d0 + 4d0*cima*coupl(nGC_1038)* &
                        coupl(nGC_1352)*coupl(nGC_20)*coupl(nGC_214) + 9d0*cima&
                        *coupl(nGC_1038)*coupl(nGC_20)*coupl(nGC_242)*coupl(   &
                        nGC_320) + 12d0*cima*coupl(nGC_17)*coupl(nGC_29) + 9d0*&
                        cima*coupl(nGC_21)*coupl(nGC_25)*coupl(nGC_3)*coupl(   &
                        nGC_604) + 4d0*cima*coupl(nGC_21)*coupl(nGC_4)*coupl(  &
                        nGC_40)*coupl(nGC_604) - 12d0*cima*coupl(nGC_36)*coupl(&
                        nGC_4)*coupl(nGC_67)**2d0 - 12d0*cima*coupl(nGC_36)*   &
                        coupl(nGC_4)*coupl(nGC_71)**2d0 - 12d0*cima*coupl(     &
                        nGC_36)*coupl(nGC_4)*coupl(nGC_83)**2d0 - 12d0*cima*   &
                        coupl(nGC_4)*coupl(nGC_40)*coupl(nGC_67)**2d0 - 12d0*  &
                        cima*coupl(nGC_4)*coupl(nGC_40)*coupl(nGC_71)**2d0 -   &
                        12d0*cima*coupl(nGC_4)*coupl(nGC_40)*coupl(nGC_83)**2d0&
                         - 3d0*coupl(nGC_1038)*coupl(nGC_20)*coupl(nGC_29) +   &
                        3d0*coupl(nGC_1038)*coupl(nGC_20)*coupl(nGC_42) - 3d0* &
                        coupl(nGC_1038)*coupl(nGC_242)*coupl(nGC_8) + 18d0*    &
                        coupl(nGC_17)*coupl(nGC_242)*coupl(nGC_320) + 18d0*    &
                        coupl(nGC_17)*coupl(nGC_25)*coupl(nGC_3) - 3d0*coupl(  &
                        nGC_20)*coupl(nGC_242)*coupl(nGC_8) - 6d0*coupl(nGC_20 &
                        )*coupl(nGC_27)*coupl(nGC_320) - 6d0*coupl(nGC_21)*    &
                        coupl(nGC_25)*coupl(nGC_27) - 3d0*coupl(nGC_21)*coupl( &
                        nGC_29)*coupl(nGC_604) - 3d0*coupl(nGC_21)*coupl(nGC_3 &
                        )*coupl(nGC_8) + 3d0*coupl(nGC_21)*coupl(nGC_42)*coupl(&
                        nGC_604) - 3d0*coupl(nGC_3)*coupl(nGC_604)*coupl(nGC_8 &
                        ))/(96d0*pi**2d0)
      coupl(nGC_3243) = cima*(coupl(nGC_242)**2d0 + coupl(nGC_25)**2d0 + coupl(&
                        nGC_3)**2d0 + coupl(nGC_320)**2d0)/(48d0*pi**2d0)
      coupl(nGC_3244) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_23)**2d0 + 2d0*Nc*cMC**&
                        2d0*cima*coupl(nGC_23)**2d0 + 2d0*Nc*cMD**2d0*cima*    &
                        coupl(nGC_23)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_23 &
                        )**2d0 + 2d0*Nc*cMT**2d0*cima*coupl(nGC_23)**2d0 + 2d0*&
                        Nc*cMU**2d0*cima*coupl(nGC_23)**2d0 + 2d0*cME**2d0*cima&
                        *coupl(nGC_23)**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_23)**&
                        2d0 + 2d0*cMTA**2d0*cima*coupl(nGC_23)**2d0 + 3d0*cMW**&
                        2d0*cima*coupl(nGC_242)**2d0 + 3d0*cMW**2d0*cima*coupl(&
                        nGC_25)**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_3)**2d0 +   &
                        3d0*cMW**2d0*cima*coupl(nGC_320)**2d0 - 4d0*cMW**2d0*  &
                        coupl(nGC_18) + 3d0*cMZ**2d0*cima*coupl(nGC_25)**2d0 + &
                        3d0*cMZ**2d0*cima*coupl(nGC_320)**2d0 - 2d0*cMZ**2d0*  &
                        coupl(nGC_184))/(32d0*pi**2d0)
      coupl(nGC_6309) = -coupl(nGC_5216)
      coupl(nGC_3242) = cima*(-2d0*Nc*coupl(nGC_23)**2d0 - 2d0*coupl(nGC_23)** &
                        2d0 - coupl(nGC_242)**2d0 - coupl(nGC_25)**2d0 - coupl(&
                        nGC_3)**2d0 - coupl(nGC_320)**2d0)/(32d0*pi**2d0)
      coupl(nGC_5171) = coupl(nGC_5167) + coupl(nGC_5168)
      coupl(nGC_5170) = coupl(nGC_5168) + coupl(nGC_5169)
      coupl(nGC_10013) = -coupl(nGC_3292)
      coupl(nGC_5152) = -coupl(nGC_5151)
      coupl(nGC_6899) = -2d0*coupl(nGC_6898)
      coupl(nGC_5596) = coupl(nGC_5261) + coupl(nGC_5594)
      coupl(nGC_6903) = 2d0*coupl(nGC_6898)
      coupl(nGC_6902) = -coupl(nGC_6898)
      coupl(nGC_10436) = -coupl(nGC_3291)
      coupl(nGC_5595) = coupl(nGC_5261) + coupl(nGC_5593)
      coupl(nGC_5288) = -coupl(nGC_5287)
      coupl(nGC_11027) = -coupl(nGC_3335)
      coupl(nGC_5488) = coupl(nGC_5168) + coupl(nGC_5485)
      coupl(nGC_5487) = coupl(nGC_5168) + coupl(nGC_5486)
      coupl(nGC_9596) = -coupl(nGC_3407)
    end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
