!******************************************************************************!
!                                                                              !
!    vertices_info5.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info5.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-10 21:24             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info5
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl5()
      allocate(vertices(316)%branchR2(0:0))
      call avR2(316, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3499])

      allocate(vertices(756)%branchR2(0:0))
      call avR2(756, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_3403, nGC_3402])

      allocate(vertices(899)%branchR2(0:0))
      call avR2(899, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3498])

      allocate(vertices(353)%branchR2(0:1))
      call avR2(353, 0, 21, 1, 0, VFFa0, 0, [2, 1], [nGC_3409])

      call avR2(353, 1, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_3410])

      allocate(vertices(97)%branchR2(0:0))
      call avR2(97, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3508])

      allocate(vertices(9)%branchR2(0:0))
      call avR2(9, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3505])

      allocate(vertices(496)%branchR2(0:0))
      call avR2(496, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3492])

      allocate(vertices(1114)%branchR2(0:0))
      call avR2(1114, 0, 13, 1, 0, FaF1, 0, [0, 2], [nGC_3276])

      allocate(vertices(1240)%branchR2(0:1))
      call avR2(1240, 0, 45, 1, 0, VVS0, 0, [2, 1], [nGC_3397])

      call avR2(1240, 1, 46, 1, 0, VVS0, 0, [2, 1], [nGC_3398])

      allocate(vertices(570)%branchR2(0:0))
      call avR2(570, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3491])

      allocate(vertices(927)%branchR2(0:0))
      call avR2(927, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_3314])

      allocate(vertices(260)%branchR2(0:0))
      call avR2(260, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_3373, nGC_3372])

      allocate(vertices(159)%branchR2(0:1))
      call avR2(159, 0, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_3415, nGC_3413])

      call avR2(159, 1, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_3416, nGC_3414])

      allocate(vertices(416)%branchR2(0:23))
      call avR2(416, 0, 94, 1, 0, VVVV0, 0, [4, 0], [nGC_3536, nGC_3537,       &
      nGC_3536])

      call avR2(416, 1, 91, 1, 0, VVVV0, 0, [4, 0], [nGC_3537, nGC_3536,       &
      nGC_3536])

      call avR2(416, 2, 104, 1, 0, VVVV0, 0, [4, 0], [nGC_3547, nGC_3547,      &
      nGC_3547])

      call avR2(416, 3, 2, 1, 0, VVVV0, 0, [4, 0], [nGC_3532, nGC_3532,        &
      nGC_3531])

      call avR2(416, 4, 5, 1, 0, VVVV0, 0, [4, 0], [nGC_3540, nGC_3542,        &
      nGC_3541])

      call avR2(416, 5, 100, 1, 0, VVVV0, 0, [4, 0], [nGC_3546, nGC_3546,      &
      nGC_3546])

      call avR2(416, 6, 97, 1, 0, VVVV0, 0, [4, 0], [nGC_3534, nGC_3535,       &
      nGC_3533])

      call avR2(416, 7, 90, 1, 0, VVVV0, 0, [4, 0], [nGC_3534, nGC_3533,       &
      nGC_3535])

      call avR2(416, 8, 103, 1, 0, VVVV0, 0, [4, 0], [nGC_3547, nGC_3547,      &
      nGC_3547])

      call avR2(416, 9, 93, 1, 0, VVVV0, 0, [4, 0], [nGC_3538, nGC_3539,       &
      nGC_3537])

      call avR2(416, 10, 106, 1, 0, VVVV0, 0, [4, 0], [nGC_3547, nGC_3547,     &
      nGC_3547])

      call avR2(416, 11, 4, 1, 0, VVVV0, 0, [4, 0], [nGC_3543, nGC_3545,       &
      nGC_3544])

      call avR2(416, 12, 96, 1, 0, VVVV0, 0, [4, 0], [nGC_3533, nGC_3535,      &
      nGC_3534])

      call avR2(416, 13, 7, 1, 0, VVVV0, 0, [4, 0], [nGC_3540, nGC_3542,       &
      nGC_3541])

      call avR2(416, 14, 102, 1, 0, VVVV0, 0, [4, 0], [nGC_3547, nGC_3547,     &
      nGC_3547])

      call avR2(416, 15, 99, 1, 0, VVVV0, 0, [4, 0], [nGC_3533, nGC_3533,      &
      nGC_3533])

      call avR2(416, 16, 92, 1, 0, VVVV0, 0, [4, 0], [nGC_3534, nGC_3535,      &
      nGC_3533])

      call avR2(416, 17, 89, 1, 0, VVVV0, 0, [4, 0], [nGC_3533, nGC_3533,      &
      nGC_3533])

      call avR2(416, 18, 95, 1, 0, VVVV0, 0, [4, 0], [nGC_3533, nGC_3535,      &
      nGC_3534])

      call avR2(416, 19, 105, 1, 0, VVVV0, 0, [4, 0], [nGC_3547, nGC_3547,     &
      nGC_3547])

      call avR2(416, 20, 6, 1, 0, VVVV0, 0, [4, 0], [nGC_3543, nGC_3545,       &
      nGC_3544])

      call avR2(416, 21, 3, 1, 0, VVVV0, 0, [4, 0], [nGC_3532, nGC_3532,       &
      nGC_3531])

      call avR2(416, 22, 98, 1, 0, VVVV0, 0, [4, 0], [nGC_3534, nGC_3533,      &
      nGC_3535])

      call avR2(416, 23, 101, 1, 0, VVVV0, 0, [4, 0], [nGC_3547, nGC_3547,     &
      nGC_3547])

      allocate(vertices(820)%branchR2(0:0))
      call avR2(820, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3492])

      allocate(vertices(722)%branchR2(0:0))
      call avR2(722, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3500])

      allocate(vertices(811)%branchR2(0:0))
      call avR2(811, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_3373, nGC_3372])

      allocate(vertices(906)%branchR2(0:0))
      call avR2(906, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3495])

      allocate(vertices(422)%branchR2(0:0))
      call avR2(422, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3494])

      allocate(vertices(208)%branchR2(0:1))
      call avR2(208, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_3368, nGC_3370])

      call avR2(208, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_3369, nGC_3371])

      allocate(vertices(898)%branchR2(0:0))
      call avR2(898, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_3411])

      allocate(vertices(383)%branchR2(0:0))
      call avR2(383, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3476])

      allocate(vertices(704)%branchR2(0:0))
      call avR2(704, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3499])

      allocate(vertices(115)%branchR2(0:0))
      call avR2(115, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3490])

      allocate(vertices(1123)%branchR2(0:0))
      call avR2(1123, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3486])

      allocate(vertices(528)%branchR2(0:1))
      call avR2(528, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_3420, nGC_3418])

      call avR2(528, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_3443, nGC_3442])

      allocate(vertices(1130)%branchR2(0:0))
      call avR2(1130, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_3305])

      allocate(vertices(1101)%branchR2(0:0))
      call avR2(1101, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3488])

      allocate(vertices(1059)%branchR2(0:0))
      call avR2(1059, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3488])

      allocate(vertices(1106)%branchR2(0:0))
      call avR2(1106, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3289])

      allocate(vertices(133)%branchR2(0:0))
      call avR2(133, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3476])

      allocate(vertices(1241)%branchR2(0:0))
      call avR2(1241, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3472])

      allocate(vertices(1242)%branchR2(0:1))
      call avR2(1242, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_3496, nGC_3496,      &
      nGC_3496])

      call avR2(1242, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_3497, nGC_3497,      &
      nGC_3497])

      allocate(vertices(664)%branchR2(0:0))
      call avR2(664, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_3310, nGC_3311])

      allocate(vertices(1037)%branchR2(0:3))
      call avR2(1037, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_3451, nGC_3450])

      call avR2(1037, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_3440, nGC_3440])

      call avR2(1037, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_3449, nGC_3448])

      call avR2(1037, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_3437, nGC_3437])

      allocate(vertices(113)%branchR2(0:0))
      call avR2(113, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3318])

      allocate(vertices(454)%branchR2(0:0))
      call avR2(454, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_3317])

      allocate(vertices(360)%branchR2(0:0))
      call avR2(360, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3287])

      allocate(vertices(127)%branchR2(0:3))
      call avR2(127, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_3447, nGC_3446])

      call avR2(127, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_3440, nGC_3440])

      call avR2(127, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_3445, nGC_3444])

      call avR2(127, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_3437, nGC_3437])

      allocate(vertices(355)%branchR2(0:0))
      call avR2(355, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3498])

      allocate(vertices(365)%branchR2(0:0))
      call avR2(365, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_3345])

      allocate(vertices(335)%branchR2(0:0))
      call avR2(335, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3500])

      allocate(vertices(21)%branchR2(0:0))
      call avR2(21, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3485, nGC_3484, nGC_3483&
      ])

      allocate(vertices(118)%branchR2(0:0))
      call avR2(118, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3477])

      allocate(vertices(95)%branchR2(0:0))
      call avR2(95, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3471, nGC_3469, nGC_3470&
      ])

      allocate(vertices(882)%branchR2(0:1))
      call avR2(882, 0, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_3415, nGC_3413])

      call avR2(882, 1, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_3416, nGC_3414])

      allocate(vertices(233)%branchR2(0:0))
      call avR2(233, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3478])

      allocate(vertices(28)%branchR2(0:0))
      call avR2(28, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3505])

      allocate(vertices(1070)%branchR2(0:0))
      call avR2(1070, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3486])

      allocate(vertices(807)%branchR2(0:0))
      call avR2(807, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3504])

      allocate(vertices(936)%branchR2(0:0))
      call avR2(936, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_3378])

      allocate(vertices(559)%branchR2(0:1))
      call avR2(559, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_3298, nGC_3297])

      call avR2(559, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_3286, nGC_3286])

      allocate(vertices(237)%branchR2(0:0))
      call avR2(237, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_3412])

      allocate(vertices(1243)%branchR2(0:1))
      call avR2(1243, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_3496, nGC_3496,      &
      nGC_3496])

      call avR2(1243, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_3497, nGC_3497,      &
      nGC_3497])

      allocate(vertices(176)%branchR2(0:1))
      call avR2(176, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_3307, nGC_3306])

      call avR2(176, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_3286, nGC_3286])

      allocate(vertices(1244)%branchR2(0:1))
      call avR2(1244, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_3502])

      call avR2(1244, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_3501])

      allocate(vertices(218)%branchR2(0:0))
      call avR2(218, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_3411])

      allocate(vertices(1245)%branchR2(0:0))
      call avR2(1245, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3472])

      allocate(vertices(593)%branchR2(0:3))
      call avR2(593, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_3461, nGC_3460])

      call avR2(593, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_3457, nGC_3457])

      call avR2(593, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_3459, nGC_3458])

      call avR2(593, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_3454, nGC_3454])

      allocate(vertices(120)%branchR2(0:1))
      call avR2(120, 0, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_3309, nGC_3308])

      call avR2(120, 1, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_3296, nGC_3296])

      allocate(vertices(841)%branchR2(0:0))
      call avR2(841, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3379])

      allocate(vertices(1021)%branchR2(0:0))
      call avR2(1021, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3468])

      allocate(vertices(794)%branchR2(0:0))
      call avR2(794, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3478])

      allocate(vertices(325)%branchR2(0:1))
      call avR2(325, 0, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_3286, nGC_3286])

      call avR2(325, 1, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_3285, nGC_3284])

      allocate(vertices(801)%branchR2(0:1))
      call avR2(801, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_3319, nGC_3321])

      call avR2(801, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_3320, nGC_3322])

      allocate(vertices(784)%branchR2(0:0))
      call avR2(784, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_3412])

      allocate(vertices(420)%branchR2(0:0))
      call avR2(420, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_3411])

      allocate(vertices(369)%branchR2(0:0))
      call avR2(369, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3504])

      allocate(vertices(834)%branchR2(0:0))
      call avR2(834, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_3343])

      allocate(vertices(952)%branchR2(0:0))
      call avR2(952, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_3335])

      allocate(vertices(249)%branchR2(0:0))
      call avR2(249, 0, 8, 1, 0, FaSF1, 0, [0, 3], [nGC_3332])

      allocate(vertices(928)%branchR2(0:3))
      call avR2(928, 0, 29, 1, 0, VFaF1, 0, [1, 2], [nGC_3463, nGC_3462])

      call avR2(928, 1, 29, 1, 0, VFaF1, 0, [3, 0], [nGC_3454, nGC_3454])

      call avR2(928, 2, 28, 1, 0, VFaF1, 0, [1, 2], [nGC_3465, nGC_3464])

      call avR2(928, 3, 28, 1, 0, VFaF1, 0, [3, 0], [nGC_3457, nGC_3457])

      allocate(vertices(1246)%branchR2(0:1))
      call avR2(1246, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_3512, nGC_3512,      &
      nGC_3512])

      call avR2(1246, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_3513, nGC_3513,      &
      nGC_3513])

      allocate(vertices(367)%branchR2(0:1))
      call avR2(367, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_3381, nGC_3382])

      call avR2(367, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_3383, nGC_3383])

      allocate(vertices(184)%branchR2(0:0))
      call avR2(184, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_3427])

      allocate(vertices(1247)%branchR2(0:5))
      call avR2(1247, 0, 70, 1, 0, VVVV0, 0, [3, 1], [nGC_3530, nGC_3530,      &
      nGC_3530])

      call avR2(1247, 1, 67, 1, 0, VVVV0, 0, [3, 1], [nGC_3529, nGC_3529,      &
      nGC_3529])

      call avR2(1247, 2, 66, 1, 0, VVVV0, 0, [3, 1], [nGC_3529, nGC_3529,      &
      nGC_3529])

      call avR2(1247, 3, 69, 1, 0, VVVV0, 0, [3, 1], [nGC_3530, nGC_3530,      &
      nGC_3530])

      call avR2(1247, 4, 68, 1, 0, VVVV0, 0, [3, 1], [nGC_3529, nGC_3529,      &
      nGC_3529])

      call avR2(1247, 5, 65, 1, 0, VVVV0, 0, [3, 1], [nGC_3528, nGC_3528,      &
      nGC_3528])

      allocate(vertices(1016)%branchR2(0:3))
      call avR2(1016, 0, 24, 1, 0, FaFV1, 0, [1, 2], [nGC_3465, nGC_3464])

      call avR2(1016, 1, 24, 1, 0, FaFV1, 0, [3, 0], [nGC_3457, nGC_3457])

      call avR2(1016, 2, 25, 1, 0, FaFV1, 0, [1, 2], [nGC_3463, nGC_3462])

      call avR2(1016, 3, 25, 1, 0, FaFV1, 0, [3, 0], [nGC_3454, nGC_3454])

      allocate(vertices(310)%branchR2(0:0))
      call avR2(310, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3499])

      allocate(vertices(610)%branchR2(0:0))
      call avR2(610, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3477])

      allocate(vertices(18)%branchR2(0:0))
      call avR2(18, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_3403, nGC_3402])

      allocate(vertices(1134)%branchR2(0:0))
      call avR2(1134, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_10013])

      allocate(vertices(751)%branchR2(0:0))
      call avR2(751, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_3423, nGC_3424])

      allocate(vertices(91)%branchR2(0:0))
      call avR2(91, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3475])

      allocate(vertices(676)%branchR2(0:1))
      call avR2(676, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_3394, nGC_3395])

      call avR2(676, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_3396, nGC_3396])

      allocate(vertices(311)%branchR2(0:0))
      call avR2(311, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3517, nGC_3517,        &
      nGC_3516])

      allocate(vertices(517)%branchR2(0:0))
      call avR2(517, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3494])

      allocate(vertices(878)%branchR2(0:1))
      call avR2(878, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_3408])

      call avR2(878, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_3409])

      allocate(vertices(344)%branchR2(0:0))
      call avR2(344, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3494])

      allocate(vertices(905)%branchR2(0:1))
      call avR2(905, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_3322, nGC_3320])

      call avR2(905, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_3338, nGC_3337])

      allocate(vertices(107)%branchR2(0:0))
      call avR2(107, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3475])

      allocate(vertices(78)%branchR2(0:1))
      call avR2(78, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_3408])

      call avR2(78, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_3409])

    end subroutine fill_vertices_mdl5
end module vertices_info5
