!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-10 21:24             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl2()
      coupl(nGC_3315) = (-4d0*Nc*coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_55) +   &
                        4d0*Nc*coupl(nGC_23)*coupl(nGC_57)*coupl(nGC_59) - 4d0*&
                        Nc*coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_63) - 4d0*Nc* &
                        coupl(nGC_23)*coupl(nGC_73)*coupl(nGC_75) + 4d0*Nc*    &
                        coupl(nGC_23)*coupl(nGC_77)*coupl(nGC_79) + 4d0*Nc*    &
                        coupl(nGC_23)*coupl(nGC_85)*coupl(nGC_87) + coupl(     &
                        nGC_1038)*coupl(nGC_22)**2d0 + coupl(nGC_1038)*coupl(  &
                        nGC_604)**2d0 + coupl(nGC_1126)*coupl(nGC_1296)*coupl( &
                        nGC_1352) - 6d0*coupl(nGC_1126)*coupl(nGC_320)*coupl(  &
                        nGC_37) - 6d0*coupl(nGC_20)*coupl(nGC_25)*coupl(nGC_40 &
                        ) - 6d0*coupl(nGC_20)*coupl(nGC_3)*coupl(nGC_4) - 4d0* &
                        coupl(nGC_23)*coupl(nGC_65)*coupl(nGC_67) - 4d0*coupl( &
                        nGC_23)*coupl(nGC_69)*coupl(nGC_71) - 4d0*coupl(nGC_23 &
                        )*coupl(nGC_81)*coupl(nGC_83))/(96d0*pi**2d0)
      coupl(nGC_3314) = (4d0*Nc*cMB*coupl(nGC_53)**2d0*coupl(nGC_55) + 4d0*Nc* &
                        cMB*coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_79) + 4d0*Nc*&
                        cMB*coupl(nGC_55)*coupl(nGC_77)**2d0 + 4d0*Nc*cMC*coupl&
                        (nGC_57)**2d0*coupl(nGC_59) + 4d0*Nc*cMC*coupl(nGC_57)*&
                        coupl(nGC_73)*coupl(nGC_75) + 4d0*Nc*cMC*coupl(nGC_59)*&
                        coupl(nGC_73)**2d0 + 4d0*Nc*cMD*coupl(nGC_61)**2d0*    &
                        coupl(nGC_63) + 4d0*Nc*cMD*coupl(nGC_61)*coupl(nGC_85)*&
                        coupl(nGC_87) + 4d0*Nc*cMD*coupl(nGC_63)*coupl(nGC_85  &
                        )**2d0 + 4d0*Nc*cMS*coupl(nGC_57)**2d0*coupl(nGC_75) + &
                        4d0*Nc*cMS*coupl(nGC_57)*coupl(nGC_59)*coupl(nGC_73) + &
                        4d0*Nc*cMS*coupl(nGC_73)**2d0*coupl(nGC_75) + 4d0*Nc*  &
                        cMT*coupl(nGC_53)**2d0*coupl(nGC_79) + 4d0*Nc*cMT*coupl&
                        (nGC_53)*coupl(nGC_55)*coupl(nGC_77) + 4d0*Nc*cMT*coupl&
                        (nGC_77)**2d0*coupl(nGC_79) + 4d0*Nc*cMU*coupl(nGC_61  &
                        )**2d0*coupl(nGC_87) + 4d0*Nc*cMU*coupl(nGC_61)*coupl( &
                        nGC_63)*coupl(nGC_85) + 4d0*Nc*cMU*coupl(nGC_85)**2d0* &
                        coupl(nGC_87) + 4d0*cME*coupl(nGC_65)**2d0*coupl(nGC_67&
                        ) + 4d0*cMM*coupl(nGC_69)**2d0*coupl(nGC_71) + 4d0*cMTA&
                        *coupl(nGC_81)**2d0*coupl(nGC_83) + 4d0*cima*coupl(    &
                        nGC_17)*coupl(nGC_50) + 8d0*cima*coupl(nGC_27)*coupl(  &
                        nGC_51) + 2d0*cima*coupl(nGC_45)*coupl(nGC_52) + 8d0*  &
                        cima*coupl(nGC_47)*coupl(nGC_8) - coupl(nGC_1038)*coupl&
                        (nGC_20)*coupl(nGC_50) + coupl(nGC_1038)*coupl(nGC_48)*&
                        coupl(nGC_604) + coupl(nGC_1126)*coupl(nGC_22)*coupl(  &
                        nGC_48) - coupl(nGC_1126)*coupl(nGC_22)*coupl(nGC_50   &
                        ) - coupl(nGC_1126)*coupl(nGC_37)*coupl(nGC_47) - coupl&
                        (nGC_1296)*coupl(nGC_22)*coupl(nGC_47) + coupl(nGC_1352&
                        )**2d0*coupl(nGC_48) - coupl(nGC_1352)*coupl(nGC_21)*  &
                        coupl(nGC_47) - coupl(nGC_1352)*coupl(nGC_47)*coupl(   &
                        nGC_604) + coupl(nGC_20)*coupl(nGC_21)*coupl(nGC_48) - &
                        coupl(nGC_21)*coupl(nGC_214)*coupl(nGC_51) + coupl(    &
                        nGC_21)*coupl(nGC_49)*coupl(nGC_604) + coupl(nGC_214)**&
                        2d0*coupl(nGC_48) - coupl(nGC_214)*coupl(nGC_51)*coupl(&
                        nGC_604) - coupl(nGC_40)**2d0*coupl(nGC_52))/(32d0*pi**&
                        2d0)
      coupl(nGC_3319) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_53) - coupl(  &
                        nGC_1)*coupl(nGC_214)*coupl(nGC_53) - coupl(nGC_1126)* &
                        coupl(nGC_23)*coupl(nGC_56) - coupl(nGC_1352)*coupl(   &
                        nGC_34)*coupl(nGC_53) - coupl(nGC_2)*coupl(nGC_4)*coupl&
                        (nGC_53) - coupl(nGC_20)*coupl(nGC_23)*coupl(nGC_55) + &
                        8d0*coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_53) - coupl( &
                        nGC_39)*coupl(nGC_40)*coupl(nGC_53) - coupl(nGC_55)*   &
                        coupl(nGC_77)*coupl(nGC_79) - coupl(nGC_56)*coupl(     &
                        nGC_77)*coupl(nGC_78))/(32d0*pi**2d0)
      coupl(nGC_3257) = cima*(-2d0*Nc*coupl(nGC_34)**2d0 - 2d0*Nc*coupl(nGC_35 &
                        )**2d0 - 2d0*Nc*coupl(nGC_38)**2d0 - 2d0*Nc*coupl(     &
                        nGC_39)**2d0 - coupl(nGC_25)**2d0 - coupl(nGC_320)**2d0&
                         - 2d0*coupl(nGC_36)**2d0 - 2d0*coupl(nGC_40)**2d0 -   &
                        2d0*coupl(nGC_41)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3429) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(    &
                        nGC_23)**2d0*coupl(nGC_41) + coupl(nGC_36)*coupl(nGC_70&
                        )*coupl(nGC_72) + coupl(nGC_36)*coupl(nGC_71)**2d0 +   &
                        4d0*coupl(nGC_4)**2d0*coupl(nGC_40) + 4d0*coupl(nGC_40 &
                        )**3d0)/(32d0*pi**2d0)
      coupl(nGC_3428) = (4d0*coupl(nGC_36)**3d0 + 4d0*coupl(nGC_36)*coupl(nGC_4&
                        )**2d0 + coupl(nGC_40)*coupl(nGC_70)*coupl(nGC_72) +   &
                        coupl(nGC_40)*coupl(nGC_71)**2d0 + coupl(nGC_41)*coupl(&
                        nGC_69)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3658) = coupl(nGC_3231)*dyt_QED1_QCD2
      coupl(nGC_3421) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_38) + 4d0*coupl(nGC_23&
                        )**2d0*coupl(nGC_320) + 4d0*coupl(nGC_23)**2d0*coupl(  &
                        nGC_39) + coupl(nGC_34)*coupl(nGC_62)*coupl(nGC_64) +  &
                        coupl(nGC_34)*coupl(nGC_63)**2d0 + coupl(nGC_35)*coupl(&
                        nGC_85)**2d0 + 4d0*coupl(nGC_38)**3d0)/(32d0*pi**2d0)
      coupl(nGC_3420) = coupl(nGC_11)**2d0*coupl(nGC_35)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_3423) = (4d0*coupl(nGC_36)**3d0 + 4d0*coupl(nGC_36)*coupl(nGC_4&
                        )**2d0 + coupl(nGC_40)*coupl(nGC_66)*coupl(nGC_68) +   &
                        coupl(nGC_40)*coupl(nGC_67)**2d0 + coupl(nGC_41)*coupl(&
                        nGC_65)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3422) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_34) + 4d0*coupl(nGC_34&
                        )**3d0 + coupl(nGC_38)*coupl(nGC_62)*coupl(nGC_64) +   &
                        coupl(nGC_38)*coupl(nGC_63)**2d0 + coupl(nGC_39)*coupl(&
                        nGC_61)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3425) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(     &
                        nGC_23)**2d0*coupl(nGC_40) + coupl(nGC_36)*coupl(nGC_81&
                        )**2d0 + 4d0*coupl(nGC_41)**3d0)/(32d0*pi**2d0)
      coupl(nGC_3424) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(    &
                        nGC_23)**2d0*coupl(nGC_41) + coupl(nGC_36)*coupl(nGC_66&
                        )*coupl(nGC_68) + coupl(nGC_36)*coupl(nGC_67)**2d0 +   &
                        4d0*coupl(nGC_4)**2d0*coupl(nGC_40) + 4d0*coupl(nGC_40 &
                        )**3d0)/(32d0*pi**2d0)
      coupl(nGC_3427) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(     &
                        nGC_23)**2d0*coupl(nGC_40) + coupl(nGC_36)*coupl(nGC_69&
                        )**2d0 + 4d0*coupl(nGC_41)**3d0)/(32d0*pi**2d0)
      coupl(nGC_3426) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(     &
                        nGC_23)**2d0*coupl(nGC_40) + coupl(nGC_36)*coupl(nGC_65&
                        )**2d0 + 4d0*coupl(nGC_41)**3d0)/(32d0*pi**2d0)
      coupl(nGC_5001) = coupl(nGC_3600) + coupl(nGC_61)*dZdR_QCD2/2d0 + coupl( &
                        nGC_61)*dZuL_QCD2/2d0
      coupl(nGC_5003) = coupl(nGC_3601) + coupl(nGC_61)*dZdR_QED2/2d0 + coupl( &
                        nGC_61)*dZuL_QED2/2d0
      coupl(nGC_5002) = coupl(nGC_3602) + coupl(nGC_85)*dZdL_QCD2/2d0 + coupl( &
                        nGC_85)*dZuR_QCD2/2d0
      coupl(nGC_5004) = coupl(nGC_3603) + coupl(nGC_85)*dZdL_QED2/2d0 + coupl( &
                        nGC_85)*dZuR_QED2/2d0
      coupl(nGC_5007) = coupl(nGC_23)*dZWMinus_QED2/2d0 + coupl(nGC_23)*       &
                        dZmuMinusL_QED2/2d0 + coupl(nGC_23)*dZnu_muL_QED2/2d0  &
                         + coupl(nGC_3593)
      coupl(nGC_5344) = coupl(nGC_31)*dZH_QED2/2d0 + coupl(nGC_3559)
      coupl(nGC_5221) = coupl(nGC_3580) + coupl(nGC_42)*dZA_QED2/2d0 + coupl(  &
                        nGC_42)*dZZ_QED2/2d0 + coupl(nGC_45)*dZZA_QED2/2d0 +   &
                        coupl(nGC_6)*dZAZ_QED2/2d0
      coupl(nGC_5222) = coupl(nGC_41)*dZZA_QED2/2d0
      coupl(nGC_8002) = coupl(nGC_MI)*dZeMinusL_QED2
      coupl(nGC_8003) = coupl(nGC_ME)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
      coupl(nGC_6446) = coupl(nGC_1)*dZdL_QCD2
      coupl(nGC_8006) = coupl(nGC_3663) + coupl(nGC_8003)
      coupl(nGC_6443) = coupl(nGC_1)*dZdR_QCD2
      coupl(nGC_6448) = coupl(nGC_1)*dZdR_QED2 + coupl(nGC_34)*dZZA_QED2/2d0
      coupl(nGC_6449) = coupl(nGC_1)*dZdL_QED2 + coupl(nGC_38)*dZZA_QED2/2d0
      coupl(nGC_11029) = -coupl(nGC_3315)
      coupl(nGC_5368) = coupl(nGC_3551) + coupl(nGC_5)*dZA_QED2 + coupl(nGC_5)*&
                        dZWMinus_QED2
      coupl(nGC_5369) = coupl(nGC_5367) - 2d0*coupl(nGC_5368)
      coupl(nGC_5533) = coupl(nGC_23)*dZWMinus_QED2/2d0 + coupl(nGC_23)*       &
                        dZnu_tauL_QED2/2d0 + coupl(nGC_23)*dZtauMinusL_QED2/2d0&
                         + coupl(nGC_3593)
      coupl(nGC_5785) = coupl(nGC_11)*dZsR_QED2
      coupl(nGC_3348) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_56) - coupl(nGC_1296)*&
                        coupl(nGC_34)*coupl(nGC_55) - coupl(nGC_22)*coupl(     &
                        nGC_23)*coupl(nGC_53) + 8d0*coupl(nGC_34)*coupl(nGC_38 &
                        )*coupl(nGC_56) - coupl(nGC_37)*coupl(nGC_38)*coupl(   &
                        nGC_55) - coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_80) -  &
                        coupl(nGC_54)*coupl(nGC_55)**2d0 - coupl(nGC_54)*coupl(&
                        nGC_56)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3349) = coupl(nGC_11)**2d0*coupl(nGC_56)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3344) = (coupl(nGC_1126)*coupl(nGC_23)*coupl(nGC_70) + coupl(  &
                        nGC_1352)*coupl(nGC_41)*coupl(nGC_69) + coupl(nGC_21)* &
                        coupl(nGC_23)*coupl(nGC_71) + coupl(nGC_36)*coupl(     &
                        nGC_40)*coupl(nGC_69) + 8d0*coupl(nGC_36)*coupl(nGC_41 &
                        )*coupl(nGC_69) + coupl(nGC_4)**2d0*coupl(nGC_69))/(   &
                        32d0*pi**2d0)
      coupl(nGC_3613) = coupl(nGC_3218)*dydo_QED3
      coupl(nGC_3346) = (4d0*Nc*cMB*coupl(nGC_54)**2d0*coupl(nGC_55) + 16d0*Nc*&
                        cMB*coupl(nGC_54)*coupl(nGC_55)*coupl(nGC_56) + 4d0*Nc*&
                        cMB*coupl(nGC_55)*coupl(nGC_56)**2d0 + 4d0*Nc*cMC*coupl&
                        (nGC_58)**2d0*coupl(nGC_59) + 16d0*Nc*cMC*coupl(nGC_58 &
                        )*coupl(nGC_59)*coupl(nGC_60) + 4d0*Nc*cMC*coupl(nGC_59&
                        )*coupl(nGC_60)**2d0 + 4d0*Nc*cMD*coupl(nGC_62)**2d0*  &
                        coupl(nGC_63) + 16d0*Nc*cMD*coupl(nGC_62)*coupl(nGC_63 &
                        )*coupl(nGC_64) + 4d0*Nc*cMD*coupl(nGC_63)*coupl(nGC_64&
                        )**2d0 + 4d0*Nc*cMS*coupl(nGC_74)**2d0*coupl(nGC_75) + &
                        16d0*Nc*cMS*coupl(nGC_74)*coupl(nGC_75)*coupl(nGC_76   &
                        ) + 4d0*Nc*cMS*coupl(nGC_75)*coupl(nGC_76)**2d0 + 4d0* &
                        Nc*cMT*coupl(nGC_78)**2d0*coupl(nGC_79) + 16d0*Nc*cMT* &
                        coupl(nGC_78)*coupl(nGC_79)*coupl(nGC_80) + 4d0*Nc*cMT*&
                        coupl(nGC_79)*coupl(nGC_80)**2d0 + 4d0*Nc*cMU*coupl(   &
                        nGC_86)**2d0*coupl(nGC_87) + 16d0*Nc*cMU*coupl(nGC_86)*&
                        coupl(nGC_87)*coupl(nGC_88) + 4d0*Nc*cMU*coupl(nGC_87)*&
                        coupl(nGC_88)**2d0 + 4d0*cME*coupl(nGC_66)**2d0*coupl( &
                        nGC_67) + 16d0*cME*coupl(nGC_66)*coupl(nGC_67)*coupl(  &
                        nGC_68) + 4d0*cME*coupl(nGC_67)*coupl(nGC_68)**2d0 +   &
                        4d0*cMM*coupl(nGC_70)**2d0*coupl(nGC_71) + 16d0*cMM*   &
                        coupl(nGC_70)*coupl(nGC_71)*coupl(nGC_72) + 4d0*cMM*   &
                        coupl(nGC_71)*coupl(nGC_72)**2d0 + 4d0*cMTA*coupl(     &
                        nGC_82)**2d0*coupl(nGC_83) + 16d0*cMTA*coupl(nGC_82)*  &
                        coupl(nGC_83)*coupl(nGC_84) + 4d0*cMTA*coupl(nGC_83)*  &
                        coupl(nGC_84)**2d0 + 4d0*cima*coupl(nGC_17)*coupl(     &
                        nGC_50) + 2d0*cima*coupl(nGC_46)*coupl(nGC_52) + 2d0*  &
                        coupl(nGC_1126)*coupl(nGC_22)*coupl(nGC_48) - 2d0*coupl&
                        (nGC_1126)*coupl(nGC_22)*coupl(nGC_50) + coupl(nGC_1296&
                        )**2d0*coupl(nGC_48) + coupl(nGC_1296)*coupl(nGC_37)*  &
                        coupl(nGC_49) - coupl(nGC_1296)*coupl(nGC_37)*coupl(   &
                        nGC_52) + coupl(nGC_37)**2d0*coupl(nGC_48))/(32d0*pi** &
                        2d0)
      coupl(nGC_3347) = (-4d0*Nc*coupl(nGC_34)*coupl(nGC_54)*coupl(nGC_55) +   &
                        4d0*Nc*coupl(nGC_34)*coupl(nGC_55)*coupl(nGC_56) - 4d0*&
                        Nc*coupl(nGC_34)*coupl(nGC_62)*coupl(nGC_63) + 4d0*Nc* &
                        coupl(nGC_34)*coupl(nGC_63)*coupl(nGC_64) - 4d0*Nc*    &
                        coupl(nGC_34)*coupl(nGC_74)*coupl(nGC_75) + 4d0*Nc*    &
                        coupl(nGC_34)*coupl(nGC_75)*coupl(nGC_76) + 4d0*Nc*    &
                        coupl(nGC_35)*coupl(nGC_58)*coupl(nGC_59) - 4d0*Nc*    &
                        coupl(nGC_35)*coupl(nGC_59)*coupl(nGC_60) + 4d0*Nc*    &
                        coupl(nGC_35)*coupl(nGC_78)*coupl(nGC_79) - 4d0*Nc*    &
                        coupl(nGC_35)*coupl(nGC_79)*coupl(nGC_80) + 4d0*Nc*    &
                        coupl(nGC_35)*coupl(nGC_86)*coupl(nGC_87) - 4d0*Nc*    &
                        coupl(nGC_35)*coupl(nGC_87)*coupl(nGC_88) + 4d0*Nc*    &
                        coupl(nGC_38)*coupl(nGC_54)*coupl(nGC_55) - 4d0*Nc*    &
                        coupl(nGC_38)*coupl(nGC_55)*coupl(nGC_56) + 4d0*Nc*    &
                        coupl(nGC_38)*coupl(nGC_62)*coupl(nGC_63) - 4d0*Nc*    &
                        coupl(nGC_38)*coupl(nGC_63)*coupl(nGC_64) + 4d0*Nc*    &
                        coupl(nGC_38)*coupl(nGC_74)*coupl(nGC_75) - 4d0*Nc*    &
                        coupl(nGC_38)*coupl(nGC_75)*coupl(nGC_76) - 4d0*Nc*    &
                        coupl(nGC_39)*coupl(nGC_58)*coupl(nGC_59) + 4d0*Nc*    &
                        coupl(nGC_39)*coupl(nGC_59)*coupl(nGC_60) - 4d0*Nc*    &
                        coupl(nGC_39)*coupl(nGC_78)*coupl(nGC_79) + 4d0*Nc*    &
                        coupl(nGC_39)*coupl(nGC_79)*coupl(nGC_80) - 4d0*Nc*    &
                        coupl(nGC_39)*coupl(nGC_86)*coupl(nGC_87) + 4d0*Nc*    &
                        coupl(nGC_39)*coupl(nGC_87)*coupl(nGC_88) + coupl(     &
                        nGC_1038)*coupl(nGC_1126)*coupl(nGC_1352) + coupl(     &
                        nGC_1126)*coupl(nGC_40)*coupl(nGC_604) + coupl(nGC_1296&
                        )**3d0 - 6d0*coupl(nGC_20)*coupl(nGC_22)*coupl(nGC_320 &
                        ) - 6d0*coupl(nGC_21)*coupl(nGC_22)*coupl(nGC_25) - 4d0&
                        *coupl(nGC_36)*coupl(nGC_66)*coupl(nGC_67) + 4d0*coupl(&
                        nGC_36)*coupl(nGC_67)*coupl(nGC_68) - 4d0*coupl(nGC_36 &
                        )*coupl(nGC_70)*coupl(nGC_71) + 4d0*coupl(nGC_36)*coupl&
                        (nGC_71)*coupl(nGC_72) - 4d0*coupl(nGC_36)*coupl(nGC_82&
                        )*coupl(nGC_83) + 4d0*coupl(nGC_36)*coupl(nGC_83)*coupl&
                        (nGC_84) + 4d0*coupl(nGC_40)*coupl(nGC_66)*coupl(nGC_67&
                        ) - 4d0*coupl(nGC_40)*coupl(nGC_67)*coupl(nGC_68) + 4d0&
                        *coupl(nGC_40)*coupl(nGC_70)*coupl(nGC_71) - 4d0*coupl(&
                        nGC_40)*coupl(nGC_71)*coupl(nGC_72) + 4d0*coupl(nGC_40 &
                        )*coupl(nGC_82)*coupl(nGC_83) - 4d0*coupl(nGC_40)*coupl&
                        (nGC_83)*coupl(nGC_84))/(96d0*pi**2d0)
      coupl(nGC_3340) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_73) - coupl(  &
                        nGC_1)*coupl(nGC_214)*coupl(nGC_73) - coupl(nGC_1038)* &
                        coupl(nGC_23)*coupl(nGC_75) - coupl(nGC_1352)*coupl(   &
                        nGC_34)*coupl(nGC_73) - coupl(nGC_2)*coupl(nGC_4)*coupl&
                        (nGC_73) - coupl(nGC_22)*coupl(nGC_23)*coupl(nGC_74) + &
                        8d0*coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_73) - coupl( &
                        nGC_39)*coupl(nGC_40)*coupl(nGC_73) - coupl(nGC_57)*   &
                        coupl(nGC_59)*coupl(nGC_75) - coupl(nGC_57)*coupl(     &
                        nGC_60)*coupl(nGC_74))/(32d0*pi**2d0)
      coupl(nGC_3341) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_61) + coupl(  &
                        nGC_1)*coupl(nGC_4)*coupl(nGC_61) + coupl(nGC_1126)*   &
                        coupl(nGC_23)*coupl(nGC_62) + coupl(nGC_1352)*coupl(   &
                        nGC_39)*coupl(nGC_61) + coupl(nGC_2)*coupl(nGC_214)*   &
                        coupl(nGC_61) + coupl(nGC_21)*coupl(nGC_23)*coupl(     &
                        nGC_63) + 8d0*coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_61 &
                        ) + coupl(nGC_34)*coupl(nGC_40)*coupl(nGC_61) - coupl( &
                        nGC_62)*coupl(nGC_85)*coupl(nGC_88) - coupl(nGC_63)*   &
                        coupl(nGC_85)*coupl(nGC_87))/(32d0*pi**2d0)
      coupl(nGC_3342) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_85) + coupl(  &
                        nGC_1)*coupl(nGC_4)*coupl(nGC_85) + coupl(nGC_1038)*   &
                        coupl(nGC_23)*coupl(nGC_87) + coupl(nGC_1352)*coupl(   &
                        nGC_35)*coupl(nGC_85) + coupl(nGC_2)*coupl(nGC_214)*   &
                        coupl(nGC_85) + coupl(nGC_22)*coupl(nGC_23)*coupl(     &
                        nGC_86) + 8d0*coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_85 &
                        ) + coupl(nGC_38)*coupl(nGC_40)*coupl(nGC_85) - coupl( &
                        nGC_61)*coupl(nGC_63)*coupl(nGC_87) - coupl(nGC_61)*   &
                        coupl(nGC_64)*coupl(nGC_86))/(32d0*pi**2d0)
      coupl(nGC_3343) = (coupl(nGC_1126)*coupl(nGC_23)*coupl(nGC_66) + coupl(  &
                        nGC_1352)*coupl(nGC_41)*coupl(nGC_65) + coupl(nGC_21)* &
                        coupl(nGC_23)*coupl(nGC_67) + coupl(nGC_36)*coupl(     &
                        nGC_40)*coupl(nGC_65) + 8d0*coupl(nGC_36)*coupl(nGC_41 &
                        )*coupl(nGC_65) + coupl(nGC_4)**2d0*coupl(nGC_65))/(   &
                        32d0*pi**2d0)
      coupl(nGC_6059) = coupl(nGC_MI)*dZcL_QED2
      coupl(nGC_6695) = coupl(nGC_MT)*(dZtL_QED2 + dZtR_QED2)/2d0
      coupl(nGC_6694) = coupl(nGC_MI)*dZtL_QCD2
      coupl(nGC_6697) = coupl(nGC_MI)*dZtR_QED2
      coupl(nGC_6696) = coupl(nGC_MT)*(dZtL_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_6693) = coupl(nGC_MI)*dZtL_QED2
      coupl(nGC_3312) = (4d0*coupl(nGC_1)*coupl(nGC_23)**2d0 + coupl(nGC_1)*   &
                        coupl(nGC_61)**2d0 + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(&
                        nGC_2)*coupl(nGC_39)**2d0 + coupl(nGC_2)*coupl(nGC_86)*&
                        coupl(nGC_88) + coupl(nGC_2)*coupl(nGC_87)**2d0 + 4d0* &
                        coupl(nGC_23)**2d0*coupl(nGC_3))/(32d0*pi**2d0)
      coupl(nGC_6699) = coupl(nGC_3670) + coupl(nGC_6695)
      coupl(nGC_3259) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_34)**2d0 + 2d0*Nc*cMB**&
                        2d0*cima*coupl(nGC_38)**2d0 + 2d0*Nc*cMC**2d0*cima*    &
                        coupl(nGC_35)**2d0 + 2d0*Nc*cMC**2d0*cima*coupl(nGC_39 &
                        )**2d0 + 2d0*Nc*cMD**2d0*cima*coupl(nGC_34)**2d0 + 2d0*&
                        Nc*cMD**2d0*cima*coupl(nGC_38)**2d0 + 2d0*Nc*cMS**2d0* &
                        cima*coupl(nGC_34)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(  &
                        nGC_38)**2d0 + 2d0*Nc*cMT**2d0*cima*coupl(nGC_35)**2d0 &
                         + 2d0*Nc*cMT**2d0*cima*coupl(nGC_39)**2d0 + 2d0*Nc*cMU&
                        **2d0*cima*coupl(nGC_35)**2d0 + 2d0*Nc*cMU**2d0*cima*  &
                        coupl(nGC_39)**2d0 + 2d0*cME**2d0*cima*coupl(nGC_36)** &
                        2d0 + 2d0*cME**2d0*cima*coupl(nGC_40)**2d0 + 2d0*cMM** &
                        2d0*cima*coupl(nGC_36)**2d0 + 2d0*cMM**2d0*cima*coupl( &
                        nGC_40)**2d0 + 2d0*cMTA**2d0*cima*coupl(nGC_36)**2d0 + &
                        2d0*cMTA**2d0*cima*coupl(nGC_40)**2d0 + 3d0*cMW**2d0*  &
                        cima*coupl(nGC_25)**2d0 + 3d0*cMW**2d0*cima*coupl(     &
                        nGC_320)**2d0 - 2d0*cMW**2d0*coupl(nGC_184))/(16d0*pi**&
                        2d0)
      coupl(nGC_4937) = coupl(nGC_3630) + coupl(nGC_65)*dZeMinusR_QED2/2d0 +   &
                        coupl(nGC_65)*dZnu_eL_QED2/2d0
      coupl(nGC_4933) = coupl(nGC_3)*dZWMinus_QED2/2d0 + coupl(nGC_3550)
      coupl(nGC_4930) = coupl(nGC_46)*dZZA_QED2/2d0
      coupl(nGC_3506) = (20d0*Nc*cima*coupl(nGC_55)**4d0 + 20d0*Nc*cima*coupl( &
                        nGC_59)**4d0 + 20d0*Nc*cima*coupl(nGC_63)**4d0 + 20d0* &
                        Nc*cima*coupl(nGC_75)**4d0 + 20d0*Nc*cima*coupl(nGC_79 &
                        )**4d0 + 20d0*Nc*cima*coupl(nGC_87)**4d0 - 5d0*cima*   &
                        coupl(nGC_1038)**2d0*coupl(nGC_20)**2d0 - 5d0*cima*    &
                        coupl(nGC_1296)**2d0*coupl(nGC_37)**2d0 + 6d0*cima*    &
                        coupl(nGC_17)**2d0 - 5d0*cima*coupl(nGC_21)**2d0*coupl(&
                        nGC_604)**2d0 + 3d0*cima*coupl(nGC_46)**2d0 + 20d0*cima&
                        *coupl(nGC_67)**4d0 + 20d0*cima*coupl(nGC_71)**4d0 +   &
                        20d0*cima*coupl(nGC_83)**4d0 + 3d0*coupl(nGC_1038)*    &
                        coupl(nGC_13)*coupl(nGC_20) - 3d0*coupl(nGC_1038)*coupl&
                        (nGC_17)*coupl(nGC_20) + 3d0*coupl(nGC_1296)*coupl(    &
                        nGC_13)*coupl(nGC_37) - 3d0*coupl(nGC_1296)*coupl(     &
                        nGC_37)*coupl(nGC_46) + 3d0*coupl(nGC_13)*coupl(nGC_21 &
                        )*coupl(nGC_604) - 3d0*coupl(nGC_17)*coupl(nGC_21)*    &
                        coupl(nGC_604))/(16d0*pi**2d0)
      coupl(nGC_3507) = (-32d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_54)*coupl( &
                        nGC_56) - 32d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_62 &
                        )*coupl(nGC_64) - 32d0*Nc*cima*coupl(nGC_34)**2d0*coupl&
                        (nGC_74)*coupl(nGC_76) + 40d0*Nc*cima*coupl(nGC_34)*   &
                        coupl(nGC_38)*coupl(nGC_54)*coupl(nGC_56) + 40d0*Nc*   &
                        cima*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_62)*coupl(  &
                        nGC_64) + 40d0*Nc*cima*coupl(nGC_34)*coupl(nGC_38)*    &
                        coupl(nGC_74)*coupl(nGC_76) - 32d0*Nc*cima*coupl(nGC_35&
                        )**2d0*coupl(nGC_58)*coupl(nGC_60) - 32d0*Nc*cima*coupl&
                        (nGC_35)**2d0*coupl(nGC_78)*coupl(nGC_80) - 32d0*Nc*   &
                        cima*coupl(nGC_35)**2d0*coupl(nGC_86)*coupl(nGC_88) +  &
                        40d0*Nc*cima*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_58)*&
                        coupl(nGC_60) + 40d0*Nc*cima*coupl(nGC_35)*coupl(nGC_39&
                        )*coupl(nGC_78)*coupl(nGC_80) + 40d0*Nc*cima*coupl(    &
                        nGC_35)*coupl(nGC_39)*coupl(nGC_86)*coupl(nGC_88) -    &
                        32d0*Nc*cima*coupl(nGC_38)**2d0*coupl(nGC_54)*coupl(   &
                        nGC_56) - 32d0*Nc*cima*coupl(nGC_38)**2d0*coupl(nGC_62 &
                        )*coupl(nGC_64) - 32d0*Nc*cima*coupl(nGC_38)**2d0*coupl&
                        (nGC_74)*coupl(nGC_76) - 32d0*Nc*cima*coupl(nGC_39)**  &
                        2d0*coupl(nGC_58)*coupl(nGC_60) - 32d0*Nc*cima*coupl(  &
                        nGC_39)**2d0*coupl(nGC_78)*coupl(nGC_80) - 32d0*Nc*cima&
                        *coupl(nGC_39)**2d0*coupl(nGC_86)*coupl(nGC_88) + 4d0* &
                        cima*coupl(nGC_1126)*coupl(nGC_1352)**2d0*coupl(nGC_22 &
                        ) + 9d0*cima*coupl(nGC_1126)*coupl(nGC_22)*coupl(nGC_25&
                        )**2d0 + 9d0*cima*coupl(nGC_1126)*coupl(nGC_22)*coupl( &
                        nGC_320)**2d0 + 4d0*cima*coupl(nGC_1126)*coupl(nGC_22)*&
                        coupl(nGC_40)**2d0 + 4d0*cima*coupl(nGC_1296)**2d0*    &
                        coupl(nGC_37)**2d0 + 12d0*cima*coupl(nGC_17)*coupl(    &
                        nGC_184) - 32d0*cima*coupl(nGC_36)**2d0*coupl(nGC_66)* &
                        coupl(nGC_68) - 32d0*cima*coupl(nGC_36)**2d0*coupl(    &
                        nGC_70)*coupl(nGC_72) - 32d0*cima*coupl(nGC_36)**2d0*  &
                        coupl(nGC_82)*coupl(nGC_84) + 40d0*cima*coupl(nGC_36)* &
                        coupl(nGC_40)*coupl(nGC_66)*coupl(nGC_68) + 40d0*cima* &
                        coupl(nGC_36)*coupl(nGC_40)*coupl(nGC_70)*coupl(nGC_72 &
                        ) + 40d0*cima*coupl(nGC_36)*coupl(nGC_40)*coupl(nGC_82 &
                        )*coupl(nGC_84) - 32d0*cima*coupl(nGC_40)**2d0*coupl(  &
                        nGC_66)*coupl(nGC_68) - 32d0*cima*coupl(nGC_40)**2d0*  &
                        coupl(nGC_70)*coupl(nGC_72) - 32d0*cima*coupl(nGC_40)**&
                        2d0*coupl(nGC_82)*coupl(nGC_84) - 6d0*coupl(nGC_1126)* &
                        coupl(nGC_184)*coupl(nGC_22) + 6d0*coupl(nGC_1126)*    &
                        coupl(nGC_22)*coupl(nGC_45) - 6d0*coupl(nGC_1126)*coupl&
                        (nGC_25)*coupl(nGC_7) - 6d0*coupl(nGC_1126)*coupl(     &
                        nGC_320)*coupl(nGC_9) + 3d0*coupl(nGC_1296)*coupl(     &
                        nGC_37)*coupl(nGC_46) + 18d0*coupl(nGC_17)*coupl(nGC_25&
                        )**2d0 + 18d0*coupl(nGC_17)*coupl(nGC_320)**2d0 - 6d0* &
                        coupl(nGC_22)*coupl(nGC_25)*coupl(nGC_9) - 6d0*coupl(  &
                        nGC_22)*coupl(nGC_320)*coupl(nGC_7))/(96d0*pi**2d0)
      coupl(nGC_3504) = (20d0*Nc*cima*coupl(nGC_54)**2d0*coupl(nGC_55)**2d0 +  &
                        80d0*Nc*cima*coupl(nGC_54)*coupl(nGC_55)**2d0*coupl(   &
                        nGC_56) + 20d0*Nc*cima*coupl(nGC_55)**2d0*coupl(nGC_56 &
                        )**2d0 + 20d0*Nc*cima*coupl(nGC_58)**2d0*coupl(nGC_59  &
                        )**2d0 + 80d0*Nc*cima*coupl(nGC_58)*coupl(nGC_59)**2d0*&
                        coupl(nGC_60) + 20d0*Nc*cima*coupl(nGC_59)**2d0*coupl( &
                        nGC_60)**2d0 + 20d0*Nc*cima*coupl(nGC_62)**2d0*coupl(  &
                        nGC_63)**2d0 + 80d0*Nc*cima*coupl(nGC_62)*coupl(nGC_63 &
                        )**2d0*coupl(nGC_64) + 20d0*Nc*cima*coupl(nGC_63)**2d0*&
                        coupl(nGC_64)**2d0 + 20d0*Nc*cima*coupl(nGC_74)**2d0*  &
                        coupl(nGC_75)**2d0 + 80d0*Nc*cima*coupl(nGC_74)*coupl( &
                        nGC_75)**2d0*coupl(nGC_76) + 20d0*Nc*cima*coupl(nGC_75 &
                        )**2d0*coupl(nGC_76)**2d0 + 20d0*Nc*cima*coupl(nGC_78  &
                        )**2d0*coupl(nGC_79)**2d0 + 80d0*Nc*cima*coupl(nGC_78)*&
                        coupl(nGC_79)**2d0*coupl(nGC_80) + 20d0*Nc*cima*coupl( &
                        nGC_79)**2d0*coupl(nGC_80)**2d0 + 20d0*Nc*cima*coupl(  &
                        nGC_86)**2d0*coupl(nGC_87)**2d0 + 80d0*Nc*cima*coupl(  &
                        nGC_86)*coupl(nGC_87)**2d0*coupl(nGC_88) + 20d0*Nc*cima&
                        *coupl(nGC_87)**2d0*coupl(nGC_88)**2d0 - 5d0*cima*coupl&
                        (nGC_1038)**2d0*coupl(nGC_1126)**2d0 - 20d0*cima*coupl(&
                        nGC_1038)*coupl(nGC_1126)*coupl(nGC_20)*coupl(nGC_22   &
                        ) - 5d0*cima*coupl(nGC_1126)**2d0*coupl(nGC_604)**2d0  &
                         - 20d0*cima*coupl(nGC_1126)*coupl(nGC_21)*coupl(nGC_22&
                        )*coupl(nGC_604) - 10d0*cima*coupl(nGC_1296)**2d0*coupl&
                        (nGC_37)**2d0 + 12d0*cima*coupl(nGC_17)**2d0 - 5d0*cima&
                        *coupl(nGC_20)**2d0*coupl(nGC_22)**2d0 - 5d0*cima*coupl&
                        (nGC_21)**2d0*coupl(nGC_22)**2d0 + 6d0*cima*coupl(     &
                        nGC_46)**2d0 + 20d0*cima*coupl(nGC_66)**2d0*coupl(     &
                        nGC_67)**2d0 + 80d0*cima*coupl(nGC_66)*coupl(nGC_67)** &
                        2d0*coupl(nGC_68) + 20d0*cima*coupl(nGC_67)**2d0*coupl(&
                        nGC_68)**2d0 + 20d0*cima*coupl(nGC_70)**2d0*coupl(     &
                        nGC_71)**2d0 + 80d0*cima*coupl(nGC_70)*coupl(nGC_71)** &
                        2d0*coupl(nGC_72) + 20d0*cima*coupl(nGC_71)**2d0*coupl(&
                        nGC_72)**2d0 + 20d0*cima*coupl(nGC_82)**2d0*coupl(     &
                        nGC_83)**2d0 + 80d0*cima*coupl(nGC_82)*coupl(nGC_83)** &
                        2d0*coupl(nGC_84) + 20d0*cima*coupl(nGC_83)**2d0*coupl(&
                        nGC_84)**2d0 + 3d0*coupl(nGC_1038)*coupl(nGC_13)*coupl(&
                        nGC_20) - 3d0*coupl(nGC_1038)*coupl(nGC_17)*coupl(     &
                        nGC_20) + 6d0*coupl(nGC_1126)*coupl(nGC_13)*coupl(     &
                        nGC_22) - 6d0*coupl(nGC_1126)*coupl(nGC_17)*coupl(     &
                        nGC_22) + 6d0*coupl(nGC_1296)**2d0*coupl(nGC_13) + 6d0*&
                        coupl(nGC_1296)*coupl(nGC_15)*coupl(nGC_37) - 6d0*coupl&
                        (nGC_1296)*coupl(nGC_37)*coupl(nGC_46) + 3d0*coupl(    &
                        nGC_13)*coupl(nGC_21)*coupl(nGC_604) + 6d0*coupl(nGC_13&
                        )*coupl(nGC_37)**2d0 - 3d0*coupl(nGC_17)*coupl(nGC_21)*&
                        coupl(nGC_604))/(96d0*pi**2d0)
      coupl(nGC_3502) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_53)**2d0 + &
                        coupl(nGC_57)**2d0 + coupl(nGC_61)**2d0 + coupl(nGC_73 &
                        )**2d0 + coupl(nGC_77)**2d0 + coupl(nGC_85)**2d0)/(32d0&
                        *pi**2d0*Nc)
      coupl(nGC_3501) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_53)**2d0  &
                         - coupl(nGC_57)**2d0 - coupl(nGC_61)**2d0 - coupl(    &
                        nGC_73)**2d0 - coupl(nGC_77)**2d0 - coupl(nGC_85)**2d0 &
                        )/(32d0*pi**2d0)
      coupl(nGC_3465) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(  &
                        nGC_35)**2d0 + coupl(nGC_85)**2d0 + coupl(nGC_86)*coupl&
                        (nGC_88) + coupl(nGC_87)**2d0)/(64d0*pi**2d0)
      coupl(nGC_3464) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(  &
                        nGC_23)**2d0 + 4d0*coupl(nGC_39)**2d0 + coupl(nGC_61)**&
                        2d0 + coupl(nGC_86)*coupl(nGC_88) + coupl(nGC_87)**2d0 &
                        )/(64d0*pi**2d0)
      coupl(nGC_3467) = sq2**3d0*(-11d0*Nc*cima*coupl(nGC_10)**3d0 - 48d0*coupl&
                        (nGC_11)**3d0)/(768d0*pi**2d0)
      coupl(nGC_3466) = sq2**3d0*(11d0*Nc*cima*coupl(nGC_10)**3d0 + 48d0*coupl(&
                        nGC_11)**3d0)/(768d0*pi**2d0)
      coupl(nGC_3461) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(  &
                        nGC_35)**2d0 + coupl(nGC_77)**2d0 + coupl(nGC_78)*coupl&
                        (nGC_80) + coupl(nGC_79)**2d0)/(64d0*pi**2d0)
      coupl(nGC_3460) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(  &
                        nGC_23)**2d0 + 4d0*coupl(nGC_39)**2d0 + coupl(nGC_53)**&
                        2d0 + coupl(nGC_78)*coupl(nGC_80) + coupl(nGC_79)**2d0 &
                        )/(64d0*pi**2d0)
      coupl(nGC_3463) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl( &
                        nGC_35)**2d0 - coupl(nGC_85)**2d0 - coupl(nGC_86)*coupl&
                        (nGC_88) - coupl(nGC_87)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_3462) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl( &
                        nGC_23)**2d0 - 4d0*coupl(nGC_39)**2d0 - coupl(nGC_61)**&
                        2d0 - coupl(nGC_86)*coupl(nGC_88) - coupl(nGC_87)**2d0 &
                        )/(64d0*pi**2d0*Nc)
      coupl(nGC_3252) = cima*(4d0*Nc*coupl(nGC_53)**2d0 + 4d0*Nc*coupl(nGC_57  &
                        )**2d0 + 4d0*Nc*coupl(nGC_61)**2d0 + 4d0*Nc*coupl(     &
                        nGC_73)**2d0 + 4d0*Nc*coupl(nGC_77)**2d0 + 4d0*Nc*coupl&
                        (nGC_85)**2d0 + coupl(nGC_1038)*coupl(nGC_20) + 2d0*   &
                        coupl(nGC_1126)*coupl(nGC_22) + coupl(nGC_1352)**2d0 + &
                        coupl(nGC_21)*coupl(nGC_604) + coupl(nGC_214)**2d0 +   &
                        coupl(nGC_4)**2d0 + coupl(nGC_40)**2d0 + 4d0*coupl(    &
                        nGC_65)**2d0 + 4d0*coupl(nGC_69)**2d0 + 4d0*coupl(     &
                        nGC_81)**2d0)/(192d0*pi**2d0)
      coupl(nGC_5046) = coupl(nGC_83)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/2d0
      coupl(nGC_5041) = coupl(nGC_3655) + coupl(nGC_87)*dZH_QED2/2d0
      coupl(nGC_3253) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_53)**2d0 - 4d0*Nc*cMB &
                        **2d0*cima*coupl(nGC_77)**2d0 - 4d0*Nc*cMC**2d0*cima*  &
                        coupl(nGC_57)**2d0 - 4d0*Nc*cMC**2d0*cima*coupl(nGC_73 &
                        )**2d0 - 4d0*Nc*cMD**2d0*cima*coupl(nGC_61)**2d0 - 4d0*&
                        Nc*cMD**2d0*cima*coupl(nGC_85)**2d0 - 4d0*Nc*cMS**2d0* &
                        cima*coupl(nGC_57)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(  &
                        nGC_73)**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_53)**2d0 &
                         - 4d0*Nc*cMT**2d0*cima*coupl(nGC_77)**2d0 - 4d0*Nc*cMU&
                        **2d0*cima*coupl(nGC_61)**2d0 - 4d0*Nc*cMU**2d0*cima*  &
                        coupl(nGC_85)**2d0 - 4d0*cME**2d0*cima*coupl(nGC_65)** &
                        2d0 - cMH**2d0*cima*coupl(nGC_1038)*coupl(nGC_20) - cMH&
                        **2d0*cima*coupl(nGC_21)*coupl(nGC_604) - 4d0*cMM**2d0*&
                        cima*coupl(nGC_69)**2d0 - 4d0*cMTA**2d0*cima*coupl(    &
                        nGC_81)**2d0 - cMW**2d0*cima*coupl(nGC_1038)*coupl(    &
                        nGC_20) - 2d0*cMW**2d0*cima*coupl(nGC_1126)*coupl(     &
                        nGC_22) - cMW**2d0*cima*coupl(nGC_1352)**2d0 - cMW**2d0&
                        *cima*coupl(nGC_21)*coupl(nGC_604) - cMW**2d0*cima*    &
                        coupl(nGC_214)**2d0 - cMW**2d0*cima*coupl(nGC_4)**2d0  &
                         - cMW**2d0*cima*coupl(nGC_40)**2d0 - 8d0*cMW**2d0*    &
                        coupl(nGC_17) - 2d0*cMZ**2d0*cima*coupl(nGC_1126)*coupl&
                        (nGC_22) - cMZ**2d0*cima*coupl(nGC_1352)**2d0 - cMZ**  &
                        2d0*cima*coupl(nGC_40)**2d0 - 4d0*cMZ**2d0*coupl(nGC_45&
                        ) + 8d0*cima*coupl(nGC_47)**2d0 + 8d0*cima*coupl(nGC_51&
                        )**2d0)/(64d0*pi**2d0)
      coupl(nGC_7370) = coupl(nGC_3667) + coupl(nGC_7364)
      coupl(nGC_3251) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_55)**2d0 - 4d0*Nc*cMC &
                        **2d0*cima*coupl(nGC_59)**2d0 - 4d0*Nc*cMD**2d0*cima*  &
                        coupl(nGC_63)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_75 &
                        )**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_79)**2d0 - 4d0*&
                        Nc*cMU**2d0*cima*coupl(nGC_87)**2d0 - 4d0*cME**2d0*cima&
                        *coupl(nGC_67)**2d0 - 4d0*cMM**2d0*cima*coupl(nGC_71)**&
                        2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_83)**2d0 - cMW**2d0*&
                        cima*coupl(nGC_1038)*coupl(nGC_20) - cMW**2d0*cima*    &
                        coupl(nGC_21)*coupl(nGC_604) - 2d0*cMW**2d0*coupl(     &
                        nGC_17) - cMZ**2d0*cima*coupl(nGC_1296)*coupl(nGC_37   &
                        ) - cMZ**2d0*coupl(nGC_46) + 2d0*cima*coupl(nGC_50)**  &
                        2d0 + cima*coupl(nGC_52)**2d0)/(16d0*pi**2d0)
      coupl(nGC_5169) = coupl(nGC_2)*dZcR_QED2 + coupl(nGC_35)*dZZA_QED2/2d0
      coupl(nGC_5167) = coupl(nGC_2)*dZcL_QED2 + coupl(nGC_39)*dZZA_QED2/2d0
      coupl(nGC_5165) = coupl(nGC_2)*dZcR_QCD2
      coupl(nGC_5160) = coupl(nGC_2)*dZcL_QCD2
      coupl(nGC_3263) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_35)**2d0)/(16d0*pi&
                        **2d0)
      coupl(nGC_3262) = cMC*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_3261) = cMC*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_35)*coupl(    &
                        nGC_39))/(8d0*pi**2d0)
      coupl(nGC_3260) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_23)**2d0 - coupl( &
                        nGC_39)**2d0)/(16d0*pi**2d0)
      coupl(nGC_3267) = cima*(coupl(nGC_23)**2d0 + coupl(nGC_4)**2d0 + coupl(  &
                        nGC_40)**2d0)/(16d0*pi**2d0)
      coupl(nGC_3266) = cima*(coupl(nGC_36)**2d0 + coupl(nGC_4)**2d0)/(16d0*pi &
                        **2d0)
      coupl(nGC_3265) = cMD*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_3264) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_34)*coupl(    &
                        nGC_38))/(8d0*pi**2d0)
      coupl(nGC_3269) = cima*sq2**2d0*(Nc*coupl(nGC_10)**2d0 - 4d0*coupl(nGC_11&
                        )**2d0)/(64d0*pi**2d0)
      coupl(nGC_3268) = cME*cima*(-coupl(nGC_36)*coupl(nGC_40) - coupl(nGC_4)**&
                        2d0)/(8d0*pi**2d0)
      coupl(nGC_5304) = coupl(nGC_24)*dZZA_QED2/2d0 + coupl(nGC_3556) + coupl( &
                        nGC_4)*dZA_QED2/2d0
      coupl(nGC_5305) = -coupl(nGC_5304)
      coupl(nGC_6404) = coupl(nGC_MI)*dZsL_QED2
      coupl(nGC_6405) = coupl(nGC_MI)*dZsL_QCD2
      coupl(nGC_6406) = coupl(nGC_MS)*(dZsL_QED2 + dZsR_QED2)/2d0
      coupl(nGC_6407) = coupl(nGC_MS)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_6172) = coupl(nGC_5691) + coupl(nGC_6169)
      coupl(nGC_6272) = coupl(nGC_3647) + coupl(nGC_60)*dZcL_QED2/2d0 + coupl( &
                        nGC_60)*dZcR_QED2/2d0
      coupl(nGC_6270) = coupl(nGC_3646) + coupl(nGC_60)*dZcL_QCD2/2d0 + coupl( &
                        nGC_60)*dZcR_QCD2/2d0
      coupl(nGC_3652) = coupl(nGC_3230)*dyt_QED1_QCD2
      coupl(nGC_5830) = coupl(nGC_1)*dZsR_QED2 + coupl(nGC_34)*dZZA_QED2/2d0
      coupl(nGC_5575) = coupl(nGC_11)*dZbR_QCD2
      coupl(nGC_5574) = coupl(nGC_11)*dZbR_QED2
      coupl(nGC_5571) = coupl(nGC_11)*dZbL_QCD2
      coupl(nGC_5570) = coupl(nGC_11)*dZbL_QED2
      coupl(nGC_3487) = (20d0*Nc*cima*coupl(nGC_53)**4d0 + 20d0*Nc*cima*coupl( &
                        nGC_57)**4d0 + 20d0*Nc*cima*coupl(nGC_61)**4d0 + 20d0* &
                        Nc*cima*coupl(nGC_73)**4d0 + 20d0*Nc*cima*coupl(nGC_77 &
                        )**4d0 + 20d0*Nc*cima*coupl(nGC_85)**4d0 - 5d0*cima*   &
                        coupl(nGC_1038)**2d0*coupl(nGC_20)**2d0 - 10d0*cima*   &
                        coupl(nGC_1038)*coupl(nGC_1126)*coupl(nGC_20)*coupl(   &
                        nGC_22) - 10d0*cima*coupl(nGC_1038)*coupl(nGC_1126)*   &
                        coupl(nGC_21)*coupl(nGC_22) - 10d0*cima*coupl(nGC_1038 &
                        )*coupl(nGC_20)*coupl(nGC_21)*coupl(nGC_604) - 20d0*   &
                        cima*coupl(nGC_1126)**2d0*coupl(nGC_22)**2d0 - 10d0*   &
                        cima*coupl(nGC_1126)*coupl(nGC_20)*coupl(nGC_22)*coupl(&
                        nGC_604) - 10d0*cima*coupl(nGC_1126)*coupl(nGC_21)*    &
                        coupl(nGC_22)*coupl(nGC_604) - 5d0*cima*coupl(nGC_1352 &
                        )**4d0 - 10d0*cima*coupl(nGC_1352)**2d0*coupl(nGC_214  &
                        )**2d0 - 10d0*cima*coupl(nGC_1352)**2d0*coupl(nGC_40)**&
                        2d0 - 20d0*cima*coupl(nGC_1352)*coupl(nGC_214)*coupl(  &
                        nGC_4)*coupl(nGC_40) + 24d0*cima*coupl(nGC_17)**2d0 -  &
                        5d0*cima*coupl(nGC_21)**2d0*coupl(nGC_604)**2d0 - 5d0* &
                        cima*coupl(nGC_214)**4d0 - 10d0*cima*coupl(nGC_214)**  &
                        2d0*coupl(nGC_4)**2d0 - 5d0*cima*coupl(nGC_4)**4d0 -   &
                        10d0*cima*coupl(nGC_4)**2d0*coupl(nGC_40)**2d0 - 5d0*  &
                        cima*coupl(nGC_40)**4d0 + 24d0*cima*coupl(nGC_42)**2d0 &
                         + 12d0*cima*coupl(nGC_45)**2d0 + 12d0*cima*coupl(nGC_6&
                        )**2d0 + 20d0*cima*coupl(nGC_65)**4d0 + 20d0*cima*coupl&
                        (nGC_69)**4d0 + 20d0*cima*coupl(nGC_81)**4d0 + 6d0*    &
                        coupl(nGC_1038)*coupl(nGC_13)*coupl(nGC_20) - 6d0*coupl&
                        (nGC_1038)*coupl(nGC_17)*coupl(nGC_20) + 12d0*coupl(   &
                        nGC_1126)*coupl(nGC_13)*coupl(nGC_22) - 12d0*coupl(    &
                        nGC_1126)*coupl(nGC_17)*coupl(nGC_22) + 6d0*coupl(     &
                        nGC_13)*coupl(nGC_21)*coupl(nGC_604) + 6d0*coupl(      &
                        nGC_1352)**2d0*coupl(nGC_14) - 6d0*coupl(nGC_1352)**2d0&
                        *coupl(nGC_45) + 6d0*coupl(nGC_1352)*coupl(nGC_14)*    &
                        coupl(nGC_40) - 12d0*coupl(nGC_1352)*coupl(nGC_214)*   &
                        coupl(nGC_42) + 6d0*coupl(nGC_14)*coupl(nGC_214)**2d0  &
                         + 6d0*coupl(nGC_14)*coupl(nGC_214)*coupl(nGC_4) + 6d0*&
                        coupl(nGC_14)*coupl(nGC_4)**2d0 + 6d0*coupl(nGC_14)*   &
                        coupl(nGC_40)**2d0 - 6d0*coupl(nGC_17)*coupl(nGC_21)*  &
                        coupl(nGC_604) - 6d0*coupl(nGC_214)**2d0*coupl(nGC_6   &
                        ) - 6d0*coupl(nGC_4)**2d0*coupl(nGC_6) - 12d0*coupl(   &
                        nGC_4)*coupl(nGC_40)*coupl(nGC_42) - 6d0*coupl(nGC_40  &
                        )**2d0*coupl(nGC_45))/(96d0*pi**2d0)
      coupl(nGC_5376) = coupl(nGC_23)*dZWMinus_QED2/2d0 + coupl(nGC_23)*       &
                        dZeMinusL_QED2/2d0 + coupl(nGC_23)*dZnu_eL_QED2/2d0 +  &
                        coupl(nGC_3593)
      coupl(nGC_5373) = coupl(nGC_52)*dZZA_QED2/2d0
      coupl(nGC_3489) = (20d0*Nc*cima*coupl(nGC_53)**2d0*coupl(nGC_54)*coupl(  &
                        nGC_56) + 20d0*Nc*cima*coupl(nGC_53)**2d0*coupl(nGC_78 &
                        )*coupl(nGC_80) + 20d0*Nc*cima*coupl(nGC_53)*coupl(    &
                        nGC_54)*coupl(nGC_77)*coupl(nGC_80) + 20d0*Nc*cima*    &
                        coupl(nGC_53)*coupl(nGC_56)*coupl(nGC_77)*coupl(nGC_78 &
                        ) + 20d0*Nc*cima*coupl(nGC_54)*coupl(nGC_56)*coupl(    &
                        nGC_77)**2d0 + 20d0*Nc*cima*coupl(nGC_57)**2d0*coupl(  &
                        nGC_58)*coupl(nGC_60) + 20d0*Nc*cima*coupl(nGC_57)**2d0&
                        *coupl(nGC_74)*coupl(nGC_76) + 20d0*Nc*cima*coupl(     &
                        nGC_57)*coupl(nGC_58)*coupl(nGC_73)*coupl(nGC_76) +    &
                        20d0*Nc*cima*coupl(nGC_57)*coupl(nGC_60)*coupl(nGC_73)*&
                        coupl(nGC_74) + 20d0*Nc*cima*coupl(nGC_58)*coupl(nGC_60&
                        )*coupl(nGC_73)**2d0 + 20d0*Nc*cima*coupl(nGC_61)**2d0*&
                        coupl(nGC_62)*coupl(nGC_64) + 20d0*Nc*cima*coupl(nGC_61&
                        )**2d0*coupl(nGC_86)*coupl(nGC_88) + 20d0*Nc*cima*coupl&
                        (nGC_61)*coupl(nGC_62)*coupl(nGC_85)*coupl(nGC_88) +   &
                        20d0*Nc*cima*coupl(nGC_61)*coupl(nGC_64)*coupl(nGC_85)*&
                        coupl(nGC_86) + 20d0*Nc*cima*coupl(nGC_62)*coupl(nGC_64&
                        )*coupl(nGC_85)**2d0 + 20d0*Nc*cima*coupl(nGC_73)**2d0*&
                        coupl(nGC_74)*coupl(nGC_76) + 20d0*Nc*cima*coupl(nGC_77&
                        )**2d0*coupl(nGC_78)*coupl(nGC_80) + 20d0*Nc*cima*coupl&
                        (nGC_85)**2d0*coupl(nGC_86)*coupl(nGC_88) - 10d0*cima* &
                        coupl(nGC_1038)*coupl(nGC_1126)*coupl(nGC_20)*coupl(   &
                        nGC_22) - 5d0*cima*coupl(nGC_1038)*coupl(nGC_1352)*    &
                        coupl(nGC_22)*coupl(nGC_37) - 10d0*cima*coupl(nGC_1126 &
                        )**2d0*coupl(nGC_22)**2d0 - 5d0*cima*coupl(nGC_1126)*  &
                        coupl(nGC_1296)*coupl(nGC_1352)*coupl(nGC_20) - 5d0*   &
                        cima*coupl(nGC_1126)*coupl(nGC_1296)*coupl(nGC_21)*    &
                        coupl(nGC_40) - 10d0*cima*coupl(nGC_1126)*coupl(       &
                        nGC_1352)**2d0*coupl(nGC_22) - 10d0*cima*coupl(nGC_1126&
                        )*coupl(nGC_214)**2d0*coupl(nGC_22) - 10d0*cima*coupl( &
                        nGC_1296)*coupl(nGC_21)*coupl(nGC_37)*coupl(nGC_604) - &
                        10d0*cima*coupl(nGC_1296)*coupl(nGC_37)*coupl(nGC_40)**&
                        2d0 + 12d0*cima*coupl(nGC_17)**2d0 - 5d0*cima*coupl(   &
                        nGC_22)*coupl(nGC_37)*coupl(nGC_40)*coupl(nGC_604) +   &
                        24d0*cima*coupl(nGC_26)*coupl(nGC_28) + 6d0*cima*coupl(&
                        nGC_45)*coupl(nGC_46) + 20d0*cima*coupl(nGC_65)**2d0*  &
                        coupl(nGC_66)*coupl(nGC_68) + 20d0*cima*coupl(nGC_69)**&
                        2d0*coupl(nGC_70)*coupl(nGC_72) + 24d0*cima*coupl(nGC_7&
                        )*coupl(nGC_9) + 20d0*cima*coupl(nGC_81)**2d0*coupl(   &
                        nGC_82)*coupl(nGC_84) - 3d0*coupl(nGC_1038)*coupl(     &
                        nGC_17)*coupl(nGC_20) + 6d0*coupl(nGC_1126)**2d0*coupl(&
                        nGC_13) - 6d0*coupl(nGC_1126)*coupl(nGC_1352)*coupl(   &
                        nGC_7) + 6d0*coupl(nGC_1126)*coupl(nGC_14)*coupl(nGC_22&
                        ) + 3d0*coupl(nGC_1126)*coupl(nGC_15)*coupl(nGC_22) -  &
                        9d0*coupl(nGC_1126)*coupl(nGC_17)*coupl(nGC_22) - 6d0* &
                        coupl(nGC_1126)*coupl(nGC_214)*coupl(nGC_26) + 3d0*    &
                        coupl(nGC_1296)*coupl(nGC_13)*coupl(nGC_37) - 6d0*coupl&
                        (nGC_1296)*coupl(nGC_21)*coupl(nGC_7) - 3d0*coupl(     &
                        nGC_1296)*coupl(nGC_37)*coupl(nGC_45) + 3d0*coupl(     &
                        nGC_13)*coupl(nGC_1352)**2d0 + 3d0*coupl(nGC_13)*coupl(&
                        nGC_21)*coupl(nGC_604) + 3d0*coupl(nGC_13)*coupl(      &
                        nGC_214)**2d0 + 6d0*coupl(nGC_13)*coupl(nGC_22)**2d0 - &
                        6d0*coupl(nGC_1352)*coupl(nGC_22)*coupl(nGC_9) - 6d0*  &
                        coupl(nGC_214)*coupl(nGC_22)*coupl(nGC_28) - 6d0*coupl(&
                        nGC_37)*coupl(nGC_604)*coupl(nGC_9) - 3d0*coupl(nGC_40 &
                        )**2d0*coupl(nGC_46))/(96d0*pi**2d0)
      coupl(nGC_5370) = -coupl(nGC_5367)/2d0 + coupl(nGC_5368)
      coupl(nGC_6306) = coupl(nGC_MI)*dZnu_eL_QED2
      coupl(nGC_6728) = coupl(nGC_3636) + coupl(nGC_70)*dZmuMinusL_QED2/2d0 +  &
                        coupl(nGC_70)*dZmuMinusR_QED2/2d0
      coupl(nGC_3592) = coupl(nGC_112)*dZgs_QCD2
      coupl(nGC_3250) = cima*(4d0*Nc*coupl(nGC_55)**2d0 + 4d0*Nc*coupl(nGC_59  &
                        )**2d0 + 4d0*Nc*coupl(nGC_63)**2d0 + 4d0*Nc*coupl(     &
                        nGC_75)**2d0 + 4d0*Nc*coupl(nGC_79)**2d0 + 4d0*Nc*coupl&
                        (nGC_87)**2d0 + coupl(nGC_1038)*coupl(nGC_20) + coupl( &
                        nGC_1296)*coupl(nGC_37) + coupl(nGC_21)*coupl(nGC_604  &
                        ) + 4d0*coupl(nGC_67)**2d0 + 4d0*coupl(nGC_71)**2d0 +  &
                        4d0*coupl(nGC_83)**2d0)/(96d0*pi**2d0)
      coupl(nGC_6719) = coupl(nGC_36)*dZZA_QED2/2d0 + coupl(nGC_4)*            &
                        dZmuMinusR_QED2
      coupl(nGC_4972) = coupl(nGC_11)*dZuR_QED2
      coupl(nGC_4973) = coupl(nGC_11)*dZuR_QCD2
      coupl(nGC_4976) = coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_3592)
      coupl(nGC_4977) = coupl(nGC_4973) + coupl(nGC_4976)
      coupl(nGC_4975) = coupl(nGC_11)*dZuL_QCD2
      coupl(nGC_4978) = coupl(nGC_4975) + coupl(nGC_4976)
      coupl(nGC_5283) = coupl(nGC_25)*dZWMinus_QED2/2d0 + coupl(nGC_3552)
      coupl(nGC_5284) = -coupl(nGC_5283)
      coupl(nGC_3623) = coupl(nGC_3209)*dyb_QED3
      coupl(nGC_3622) = coupl(nGC_3209)*dyb_QED1_QCD2
      coupl(nGC_3548) = coupl(nGC_3102)*dZgs_QCD2
      coupl(nGC_10409) = -coupl(nGC_3467)
      coupl(nGC_3626) = coupl(nGC_3225)*dys_QED1_QCD2
      coupl(nGC_3625) = coupl(nGC_3219)*dydo_QED3
      coupl(nGC_3624) = coupl(nGC_3219)*dydo_QED1_QCD2
      coupl(nGC_3542) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**2d0 +   &
                        9d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_562) - 3d0*Nc*coupl&
                        (nGC_10)**2d0*coupl(nGC_568) - 60d0*cima*coupl(nGC_11  &
                        )**4d0*sq2**2d0)/(768d0*pi**2d0)
      coupl(nGC_3543) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**2d0 +   &
                        3d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_562) - 9d0*Nc*coupl&
                        (nGC_10)**2d0*coupl(nGC_568) - 60d0*cima*coupl(nGC_11  &
                        )**4d0*sq2**2d0)/(768d0*pi**2d0)
      coupl(nGC_3629) = coupl(nGC_3207)*dyb_QED3
      coupl(nGC_3628) = coupl(nGC_3207)*dyb_QED1_QCD2
      coupl(nGC_3546) = -3d0*cima*coupl(nGC_11)**4d0*sq2**4d0/(32d0*pi**2d0*Nc &
                        **3d0)
      coupl(nGC_10407) = -coupl(nGC_3466)
      coupl(nGC_3544) = (-8d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 24d0*Nc*   &
                        cima*coupl(nGC_12)*coupl(nGC_566) + 3d0*Nc*coupl(nGC_10&
                        )**2d0*coupl(nGC_12)*sq2**2d0 - 39d0*Nc*coupl(nGC_10)**&
                        2d0*coupl(nGC_566)*sq2**2d0 + 36d0*cima*coupl(nGC_11)**&
                        4d0*sq2**4d0)/(768d0*pi**2d0)
      coupl(nGC_3545) = (-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 12d0*Nc*   &
                        cima*coupl(nGC_12)*coupl(nGC_566) + 9d0*Nc*coupl(nGC_10&
                        )**2d0*coupl(nGC_12)*sq2**2d0 - 12d0*Nc*coupl(nGC_10)**&
                        2d0*coupl(nGC_566)*sq2**2d0 + 18d0*cima*coupl(nGC_11)**&
                        4d0*sq2**4d0)/(384d0*pi**2d0)
      coupl(nGC_5122) = coupl(nGC_11)*dZtR_QED2
      coupl(nGC_5120) = coupl(nGC_11)*dZtL_QED2
      coupl(nGC_5121) = coupl(nGC_11)*dZtL_QCD2
      coupl(nGC_5124) = coupl(nGC_4976) + coupl(nGC_5123)
      coupl(nGC_5125) = coupl(nGC_4976) + coupl(nGC_5121)
      coupl(nGC_5080) = coupl(nGC_3631) + coupl(nGC_69)*dZmuMinusR_QED2/2d0 +  &
                        coupl(nGC_69)*dZnu_muL_QED2/2d0
      coupl(nGC_5084) = coupl(nGC_23)*dZWMinus_QED2/2d0 + coupl(nGC_23)*       &
                        dZcL_QED2/2d0 + coupl(nGC_23)*dZsL_QED2/2d0 + coupl(   &
                        nGC_3593)
      coupl(nGC_5694) = coupl(nGC_35)*dZuR_QCD2
      coupl(nGC_5695) = coupl(nGC_3595) + coupl(nGC_39)*dZZ_QED2/2d0 + coupl(  &
                        nGC_39)*dZuL_QED2
      coupl(nGC_5690) = coupl(nGC_39)*dZuL_QCD2
      coupl(nGC_3300) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_4&
                        )**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_40)**2d0 + coupl(  &
                        nGC_4)*coupl(nGC_66)*coupl(nGC_68) + coupl(nGC_4)*coupl&
                        (nGC_67)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3305) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_23&
                        )**2d0*coupl(nGC_4) + coupl(nGC_4)*coupl(nGC_81)**2d0  &
                        )/(32d0*pi**2d0)
      coupl(nGC_3307) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_34 &
                        )**2d0 + coupl(nGC_1)*coupl(nGC_74)*coupl(nGC_76) +    &
                        coupl(nGC_1)*coupl(nGC_75)**2d0 + coupl(nGC_2)*coupl(  &
                        nGC_73)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3308) = (4d0*coupl(nGC_1)*coupl(nGC_23)**2d0 + coupl(nGC_1)*   &
                        coupl(nGC_53)**2d0 + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(&
                        nGC_2)*coupl(nGC_39)**2d0 + coupl(nGC_2)*coupl(nGC_78)*&
                        coupl(nGC_80) + coupl(nGC_2)*coupl(nGC_79)**2d0 + 4d0* &
                        coupl(nGC_23)**2d0*coupl(nGC_3))/(32d0*pi**2d0)
      coupl(nGC_3309) = (coupl(nGC_1)*coupl(nGC_77)**2d0 + 4d0*coupl(nGC_2)**  &
                        3d0 + 4d0*coupl(nGC_2)*coupl(nGC_35)**2d0 + coupl(nGC_2&
                        )*coupl(nGC_78)*coupl(nGC_80) + coupl(nGC_2)*coupl(    &
                        nGC_79)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3436) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl( &
                        nGC_23)**2d0 + 4d0*coupl(nGC_39)**2d0 + coupl(nGC_58)* &
                        coupl(nGC_60) + coupl(nGC_59)**2d0 + coupl(nGC_73)**2d0&
                        )/(64d0*pi**2d0*Nc)
      coupl(nGC_3437) = -coupl(nGC_11)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(     &
                        nGC_10) - coupl(nGC_11))/(64d0*pi**2d0*Nc**2d0)
      coupl(nGC_3434) = (4d0*coupl(nGC_36)**3d0 + 4d0*coupl(nGC_36)*coupl(nGC_4&
                        )**2d0 + coupl(nGC_40)*coupl(nGC_82)*coupl(nGC_84) +   &
                        coupl(nGC_40)*coupl(nGC_83)**2d0 + coupl(nGC_41)*coupl(&
                        nGC_81)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3435) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(    &
                        nGC_23)**2d0*coupl(nGC_41) + coupl(nGC_36)*coupl(nGC_82&
                        )*coupl(nGC_84) + coupl(nGC_36)*coupl(nGC_83)**2d0 +   &
                        4d0*coupl(nGC_4)**2d0*coupl(nGC_40) + 4d0*coupl(nGC_40 &
                        )**3d0)/(32d0*pi**2d0)
      coupl(nGC_3432) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_39) + 4d0*coupl(nGC_23&
                        )**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23)**2d0*coupl(   &
                        nGC_38) + coupl(nGC_34)*coupl(nGC_53)**2d0 + coupl(    &
                        nGC_35)*coupl(nGC_78)*coupl(nGC_80) + coupl(nGC_35)*   &
                        coupl(nGC_79)**2d0 + 4d0*coupl(nGC_39)**3d0)/(32d0*pi**&
                        2d0)
      coupl(nGC_3433) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_35) + 4d0*coupl(nGC_35&
                        )**3d0 + coupl(nGC_38)*coupl(nGC_77)**2d0 + coupl(     &
                        nGC_39)*coupl(nGC_78)*coupl(nGC_80) + coupl(nGC_39)*   &
                        coupl(nGC_79)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3430) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_38) + 4d0*coupl(nGC_23&
                        )**2d0*coupl(nGC_320) + 4d0*coupl(nGC_23)**2d0*coupl(  &
                        nGC_39) + coupl(nGC_34)*coupl(nGC_74)*coupl(nGC_76) +  &
                        coupl(nGC_34)*coupl(nGC_75)**2d0 + coupl(nGC_35)*coupl(&
                        nGC_57)**2d0 + 4d0*coupl(nGC_38)**3d0)/(32d0*pi**2d0)
      coupl(nGC_3431) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_34) + 4d0*coupl(nGC_34&
                        )**3d0 + coupl(nGC_38)*coupl(nGC_74)*coupl(nGC_76) +   &
                        coupl(nGC_38)*coupl(nGC_75)**2d0 + coupl(nGC_39)*coupl(&
                        nGC_73)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3438) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl( &
                        nGC_35)**2d0 + coupl(nGC_57)**2d0 + coupl(nGC_58)*coupl&
                        (nGC_60) + coupl(nGC_59)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_3439) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl(&
                        nGC_23)**2d0 - 4d0*coupl(nGC_39)**2d0 - coupl(nGC_58)* &
                        coupl(nGC_60) - coupl(nGC_59)**2d0 - coupl(nGC_73)**2d0&
                        )/(64d0*pi**2d0)
      coupl(nGC_3283) = cMU*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_3282) = cMU*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_35)*coupl(    &
                        nGC_39))/(8d0*pi**2d0)
      coupl(nGC_3286) = coupl(nGC_1)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_3537) = (-5d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 3d0*cima*coupl&
                        (nGC_12)**2d0 - 6d0*cima*coupl(nGC_12)*coupl(nGC_566   &
                        ) + 3d0*cima*coupl(nGC_566)**2d0 + 9d0*coupl(nGC_10)** &
                        2d0*coupl(nGC_12)*sq2**2d0 - 6d0*coupl(nGC_10)**2d0*   &
                        coupl(nGC_566)*sq2**2d0)/(96d0*pi**2d0)
      coupl(nGC_3535) = (10d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 6d0*Nc*cima&
                        *coupl(nGC_12)*coupl(nGC_568) + 6d0*Nc*cima*coupl(     &
                        nGC_566)*coupl(nGC_568) - 9d0*Nc*coupl(nGC_10)**2d0*   &
                        coupl(nGC_12)*sq2**2d0 - 3d0*Nc*coupl(nGC_10)**2d0*    &
                        coupl(nGC_562)*sq2**2d0 + 9d0*Nc*coupl(nGC_10)**2d0*   &
                        coupl(nGC_566)*sq2**2d0 - 9d0*Nc*coupl(nGC_10)**2d0*   &
                        coupl(nGC_568)*sq2**2d0 - 6d0*cima*coupl(nGC_11)**4d0* &
                        sq2**4d0)/(384d0*pi**2d0*Nc)
      coupl(nGC_3534) = (5d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 3d0*Nc*cima*&
                        coupl(nGC_12)*coupl(nGC_568) + 3d0*Nc*cima*coupl(      &
                        nGC_566)*coupl(nGC_568) - 6d0*Nc*coupl(nGC_10)**2d0*   &
                        coupl(nGC_12)*sq2**2d0 + 3d0*Nc*coupl(nGC_10)**2d0*    &
                        coupl(nGC_566)*sq2**2d0 - 3d0*Nc*coupl(nGC_10)**2d0*   &
                        coupl(nGC_568)*sq2**2d0 - 3d0*cima*coupl(nGC_11)**4d0* &
                        sq2**4d0)/(192d0*pi**2d0*Nc)
      coupl(nGC_3533) = (20d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 12d0*Nc*   &
                        cima*coupl(nGC_12)*coupl(nGC_568) + 12d0*Nc*cima*coupl(&
                        nGC_566)*coupl(nGC_568) - 21d0*Nc*coupl(nGC_10)**2d0*  &
                        coupl(nGC_12)*sq2**2d0 - 3d0*Nc*coupl(nGC_10)**2d0*    &
                        coupl(nGC_562)*sq2**2d0 + 15d0*Nc*coupl(nGC_10)**2d0*  &
                        coupl(nGC_566)*sq2**2d0 - 15d0*Nc*coupl(nGC_10)**2d0*  &
                        coupl(nGC_568)*sq2**2d0 - 12d0*cima*coupl(nGC_11)**4d0*&
                        sq2**4d0)/(768d0*pi**2d0*Nc)
      coupl(nGC_3532) = (-8d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*Nc*   &
                        cima*coupl(nGC_12)**2d0 + 12d0*Nc*cima*coupl(nGC_566)**&
                        2d0 + 21d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_12)*sq2**2d0&
                         - 21d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_566)*sq2**2d0  &
                         + 36d0*cima*coupl(nGC_11)**4d0*sq2**4d0)/(768d0*pi**  &
                        2d0)
      coupl(nGC_8084) = coupl(nGC_MM)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
      coupl(nGC_5629) = coupl(nGC_3622) + coupl(nGC_56)*dZbL_QCD2/2d0 + coupl( &
                        nGC_56)*dZbR_QCD2/2d0
      coupl(nGC_5978) = coupl(nGC_3650) + coupl(nGC_80)*dZtL_QCD2/2d0 + coupl( &
                        nGC_80)*dZtR_QCD2/2d0
      coupl(nGC_6298) = coupl(nGC_4976) + coupl(nGC_6295)
      coupl(nGC_5977) = coupl(nGC_3652) + coupl(nGC_78)*dZtL_QCD2/2d0 + coupl( &
                        nGC_78)*dZtR_QCD2/2d0
      coupl(nGC_5238) = coupl(nGC_34)*dZZ_QED2/2d0 + coupl(nGC_34)*dZbR_QED2 + &
                        coupl(nGC_3597)
      coupl(nGC_5239) = coupl(nGC_5230) + coupl(nGC_5238)
      coupl(nGC_5233) = coupl(nGC_38)*dZbL_QCD2
      coupl(nGC_5237) = coupl(nGC_3596) + coupl(nGC_38)*dZZ_QED2/2d0 + coupl(  &
                        nGC_38)*dZbL_QED2
      coupl(nGC_3398) = coupl(nGC_11)**2d0*sq2**2d0*(-cMB*coupl(nGC_55) - cMC* &
                        coupl(nGC_59) - cMD*coupl(nGC_63) - cMS*coupl(nGC_75   &
                        ) - cMT*coupl(nGC_79) - cMU*coupl(nGC_87))/(16d0*pi**  &
                        2d0)
      coupl(nGC_3659) = coupl(nGC_3231)*dyt_QED3
      coupl(nGC_3327) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_61) - coupl(  &
                        nGC_1)*coupl(nGC_214)*coupl(nGC_61) - coupl(nGC_1126)* &
                        coupl(nGC_23)*coupl(nGC_64) - coupl(nGC_1352)*coupl(   &
                        nGC_34)*coupl(nGC_61) - coupl(nGC_2)*coupl(nGC_4)*coupl&
                        (nGC_61) - coupl(nGC_20)*coupl(nGC_23)*coupl(nGC_63) + &
                        8d0*coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_61) - coupl( &
                        nGC_39)*coupl(nGC_40)*coupl(nGC_61) - coupl(nGC_63)*   &
                        coupl(nGC_85)*coupl(nGC_87) - coupl(nGC_64)*coupl(     &
                        nGC_85)*coupl(nGC_86))/(32d0*pi**2d0)
      coupl(nGC_3393) = (coupl(nGC_1296)*coupl(nGC_36)*coupl(nGC_72) + coupl(  &
                        nGC_21)*coupl(nGC_23)*coupl(nGC_69) + 8d0*coupl(nGC_36 &
                        )*coupl(nGC_40)*coupl(nGC_71) + coupl(nGC_37)*coupl(   &
                        nGC_40)*coupl(nGC_72) + 8d0*coupl(nGC_4)**2d0*coupl(   &
                        nGC_71) - coupl(nGC_71)**3d0 - coupl(nGC_71)*coupl(    &
                        nGC_72)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3392) = (coupl(nGC_1296)*coupl(nGC_40)*coupl(nGC_70) + coupl(  &
                        nGC_23)*coupl(nGC_604)*coupl(nGC_69) + coupl(nGC_36)*  &
                        coupl(nGC_37)*coupl(nGC_70) + 8d0*coupl(nGC_36)*coupl( &
                        nGC_40)*coupl(nGC_71) + 8d0*coupl(nGC_4)**2d0*coupl(   &
                        nGC_71) - coupl(nGC_70)**2d0*coupl(nGC_71) - coupl(    &
                        nGC_71)**3d0)/(32d0*pi**2d0)
      coupl(nGC_5485) = coupl(nGC_2)*dZtL_QED2 + coupl(nGC_39)*dZZA_QED2/2d0
      coupl(nGC_5486) = coupl(nGC_2)*dZtR_QED2 + coupl(nGC_35)*dZZA_QED2/2d0
      coupl(nGC_5244) = coupl(nGC_19)*dZWMinus_QED2 + coupl(nGC_19)*dZZ_QED2 + &
                        coupl(nGC_3555)
      coupl(nGC_5240) = coupl(nGC_5230) + coupl(nGC_5237)
      coupl(nGC_5721) = coupl(nGC_3638) + coupl(nGC_84)*dZtauMinusL_QED2/2d0 + &
                        coupl(nGC_84)*dZtauMinusR_QED2/2d0
      coupl(nGC_3378) = 3d0*(8d0*Nc*cMB*coupl(nGC_55)**3d0 + 8d0*Nc*cMC*coupl( &
                        nGC_59)**3d0 + 8d0*Nc*cMD*coupl(nGC_63)**3d0 + 8d0*Nc* &
                        cMS*coupl(nGC_75)**3d0 + 8d0*Nc*cMT*coupl(nGC_79)**3d0 &
                         + 8d0*Nc*cMU*coupl(nGC_87)**3d0 + 8d0*cME*coupl(nGC_67&
                        )**3d0 + 8d0*cMM*coupl(nGC_71)**3d0 + 8d0*cMTA*coupl(  &
                        nGC_83)**3d0 + 4d0*cima*coupl(nGC_17)*coupl(nGC_50) +  &
                        2d0*cima*coupl(nGC_46)*coupl(nGC_52) + coupl(nGC_1038)*&
                        coupl(nGC_20)*coupl(nGC_48) - coupl(nGC_1038)*coupl(   &
                        nGC_20)*coupl(nGC_50) + coupl(nGC_1296)*coupl(nGC_37)* &
                        coupl(nGC_48) - coupl(nGC_1296)*coupl(nGC_37)*coupl(   &
                        nGC_52) + coupl(nGC_21)*coupl(nGC_48)*coupl(nGC_604) - &
                        coupl(nGC_21)*coupl(nGC_50)*coupl(nGC_604))/(32d0*pi** &
                        2d0)
      coupl(nGC_3371) = coupl(nGC_11)**2d0*coupl(nGC_80)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3370) = (-coupl(nGC_1126)*coupl(nGC_23)*coupl(nGC_77) - coupl( &
                        nGC_1296)*coupl(nGC_39)*coupl(nGC_79) + 8d0*coupl(nGC_2&
                        )**2d0*coupl(nGC_80) - coupl(nGC_35)*coupl(nGC_37)*    &
                        coupl(nGC_79) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl( &
                        nGC_80) - coupl(nGC_53)*coupl(nGC_56)*coupl(nGC_77) -  &
                        coupl(nGC_78)*coupl(nGC_79)**2d0 - coupl(nGC_78)*coupl(&
                        nGC_80)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3373) = (coupl(nGC_1126)*coupl(nGC_23)*coupl(nGC_81) + coupl(  &
                        nGC_1296)*coupl(nGC_40)*coupl(nGC_83) + coupl(nGC_36)* &
                        coupl(nGC_37)*coupl(nGC_83) + 8d0*coupl(nGC_36)*coupl( &
                        nGC_40)*coupl(nGC_84) + 8d0*coupl(nGC_4)**2d0*coupl(   &
                        nGC_84) - coupl(nGC_82)*coupl(nGC_83)**2d0 - coupl(    &
                        nGC_82)*coupl(nGC_84)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3372) = (coupl(nGC_1296)*coupl(nGC_36)*coupl(nGC_83) + coupl(  &
                        nGC_22)*coupl(nGC_23)*coupl(nGC_81) + 8d0*coupl(nGC_36 &
                        )*coupl(nGC_40)*coupl(nGC_82) + coupl(nGC_37)*coupl(   &
                        nGC_40)*coupl(nGC_83) + 8d0*coupl(nGC_4)**2d0*coupl(   &
                        nGC_82) - coupl(nGC_82)**2d0*coupl(nGC_84) - coupl(    &
                        nGC_83)**2d0*coupl(nGC_84))/(32d0*pi**2d0)
      coupl(nGC_3374) = (-coupl(nGC_1296)*coupl(nGC_35)*coupl(nGC_87) + 8d0*   &
                        coupl(nGC_2)**2d0*coupl(nGC_86) - coupl(nGC_22)*coupl( &
                        nGC_23)*coupl(nGC_85) + 8d0*coupl(nGC_35)*coupl(nGC_39 &
                        )*coupl(nGC_86) - coupl(nGC_37)*coupl(nGC_39)*coupl(   &
                        nGC_87) - coupl(nGC_61)*coupl(nGC_62)*coupl(nGC_85) -  &
                        coupl(nGC_86)**2d0*coupl(nGC_88) - coupl(nGC_87)**2d0* &
                        coupl(nGC_88))/(32d0*pi**2d0)
      coupl(nGC_3377) = coupl(nGC_11)**2d0*coupl(nGC_88)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3376) = (-coupl(nGC_1126)*coupl(nGC_23)*coupl(nGC_85) - coupl( &
                        nGC_1296)*coupl(nGC_39)*coupl(nGC_87) + 8d0*coupl(nGC_2&
                        )**2d0*coupl(nGC_88) - coupl(nGC_35)*coupl(nGC_37)*    &
                        coupl(nGC_87) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl( &
                        nGC_88) - coupl(nGC_61)*coupl(nGC_64)*coupl(nGC_85) -  &
                        coupl(nGC_86)*coupl(nGC_87)**2d0 - coupl(nGC_86)*coupl(&
                        nGC_88)**2d0)/(32d0*pi**2d0)
      coupl(nGC_5791) = coupl(nGC_4976) + coupl(nGC_5786)
      coupl(nGC_5792) = coupl(nGC_4976) + coupl(nGC_5788)
      coupl(nGC_4943) = coupl(nGC_63)*(dZdL_QED2 + dZdR_QED2)/2d0
      coupl(nGC_9216) = coupl(nGC_3678) + coupl(nGC_MZ)*dZZ_QED2
      coupl(nGC_9217) = -coupl(nGC_9213)
      coupl(nGC_4946) = coupl(nGC_3625) + coupl(nGC_63)*dZH_QED2/2d0
      coupl(nGC_4944) = coupl(nGC_63)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_3573) = coupl(nGC_3203)*dsw_QED2 + coupl(nGC_3204)*dZee_QED2 + &
                        coupl(nGC_3205)*dvev_QED1
      coupl(nGC_3572) = coupl(nGC_3126)*dZee_QED2 + coupl(nGC_3127)*dsw_QED2
      coupl(nGC_3571) = coupl(nGC_3141)*dZee_QED2 + coupl(nGC_3142)*dsw_QED2
      coupl(nGC_3570) = coupl(nGC_3096)*dZee_QED2
      coupl(nGC_3577) = coupl(nGC_3117)*dZee_QED2 + coupl(nGC_3118)*dsw_QED2
      coupl(nGC_3576) = coupl(nGC_3133)*dZee_QED2 + coupl(nGC_3134)*dsw_QED2
      coupl(nGC_3575) = coupl(nGC_3121)*dZee_QED2 + coupl(nGC_3122)*dsw_QED2
      coupl(nGC_3574) = coupl(nGC_3119)*dZee_QED2 + coupl(nGC_3120)*dsw_QED2
      coupl(nGC_3579) = coupl(nGC_3200)*dsw_QED2 + coupl(nGC_3201)*dZee_QED2 + &
                        coupl(nGC_3202)*dvev_QED1
      coupl(nGC_3578) = coupl(nGC_3110)*dZee_QED2 + coupl(nGC_3111)*dsw_QED2
      coupl(nGC_5051) = coupl(nGC_37)*dZZA_QED2/2d0
      coupl(nGC_5056) = coupl(nGC_3679) + coupl(nGC_MW)*dZWMinus_QED2
      coupl(nGC_5665) = coupl(nGC_3556) + coupl(nGC_4)*dZWMinus_QED2/2d0
      coupl(nGC_3366) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_74) - coupl(nGC_1126)*&
                        coupl(nGC_23)*coupl(nGC_73) - coupl(nGC_1296)*coupl(   &
                        nGC_38)*coupl(nGC_75) - coupl(nGC_34)*coupl(nGC_37)*   &
                        coupl(nGC_75) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl( &
                        nGC_74) - coupl(nGC_57)*coupl(nGC_58)*coupl(nGC_73) -  &
                        coupl(nGC_74)**2d0*coupl(nGC_76) - coupl(nGC_75)**2d0* &
                        coupl(nGC_76))/(32d0*pi**2d0)
      coupl(nGC_5666) = -coupl(nGC_5665)
      coupl(nGC_6789) = coupl(nGC_3659) + coupl(nGC_79)*dZH_QED2/2d0
      coupl(nGC_3275) = cMM*cima*(-coupl(nGC_36)*coupl(nGC_40) - coupl(nGC_4)**&
                        2d0)/(8d0*pi**2d0)
      coupl(nGC_5460) = 2d0*coupl(nGC_18)*dZWMinus_QED2 + coupl(nGC_3553)
      coupl(nGC_3279) = cMT*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_35)*coupl(    &
                        nGC_39))/(8d0*pi**2d0)
      coupl(nGC_5704) = coupl(nGC_21)*dZH_QED2/2d0 + coupl(nGC_21)*            &
                        dZWMinus_QED2/2d0 + coupl(nGC_3575)
      coupl(nGC_5705) = -coupl(nGC_5704)
      coupl(nGC_6430) = coupl(nGC_39)*dZtL_QCD2
      coupl(nGC_3409) = coupl(nGC_11)**2d0*coupl(nGC_23)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_3406) = coupl(nGC_11)**2d0*coupl(nGC_87)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3405) = (-coupl(nGC_1296)*coupl(nGC_35)*coupl(nGC_88) + 8d0*   &
                        coupl(nGC_2)**2d0*coupl(nGC_87) - coupl(nGC_21)*coupl( &
                        nGC_23)*coupl(nGC_85) + 8d0*coupl(nGC_35)*coupl(nGC_39 &
                        )*coupl(nGC_87) - coupl(nGC_37)*coupl(nGC_39)*coupl(   &
                        nGC_88) - coupl(nGC_61)*coupl(nGC_63)*coupl(nGC_85) -  &
                        coupl(nGC_87)**3d0 - coupl(nGC_87)*coupl(nGC_88)**2d0  &
                        )/(32d0*pi**2d0)
      coupl(nGC_3404) = (-coupl(nGC_1296)*coupl(nGC_39)*coupl(nGC_86) + 8d0*   &
                        coupl(nGC_2)**2d0*coupl(nGC_87) - coupl(nGC_23)*coupl( &
                        nGC_604)*coupl(nGC_85) - coupl(nGC_35)*coupl(nGC_37)*  &
                        coupl(nGC_86) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl( &
                        nGC_87) - coupl(nGC_61)*coupl(nGC_63)*coupl(nGC_85) -  &
                        coupl(nGC_86)**2d0*coupl(nGC_87) - coupl(nGC_87)**3d0  &
                        )/(32d0*pi**2d0)
      coupl(nGC_3403) = (coupl(nGC_1296)*coupl(nGC_36)*coupl(nGC_84) + coupl(  &
                        nGC_21)*coupl(nGC_23)*coupl(nGC_81) + 8d0*coupl(nGC_36 &
                        )*coupl(nGC_40)*coupl(nGC_83) + coupl(nGC_37)*coupl(   &
                        nGC_40)*coupl(nGC_84) + 8d0*coupl(nGC_4)**2d0*coupl(   &
                        nGC_83) - coupl(nGC_83)**3d0 - coupl(nGC_83)*coupl(    &
                        nGC_84)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3402) = (coupl(nGC_1296)*coupl(nGC_40)*coupl(nGC_82) + coupl(  &
                        nGC_23)*coupl(nGC_604)*coupl(nGC_81) + coupl(nGC_36)*  &
                        coupl(nGC_37)*coupl(nGC_82) + 8d0*coupl(nGC_36)*coupl( &
                        nGC_40)*coupl(nGC_83) + 8d0*coupl(nGC_4)**2d0*coupl(   &
                        nGC_83) - coupl(nGC_82)**2d0*coupl(nGC_83) - coupl(    &
                        nGC_83)**3d0)/(32d0*pi**2d0)
      coupl(nGC_3401) = coupl(nGC_11)**2d0*coupl(nGC_79)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3400) = (-coupl(nGC_1296)*coupl(nGC_35)*coupl(nGC_80) + 8d0*   &
                        coupl(nGC_2)**2d0*coupl(nGC_79) - coupl(nGC_21)*coupl( &
                        nGC_23)*coupl(nGC_77) + 8d0*coupl(nGC_35)*coupl(nGC_39 &
                        )*coupl(nGC_79) - coupl(nGC_37)*coupl(nGC_39)*coupl(   &
                        nGC_80) - coupl(nGC_53)*coupl(nGC_55)*coupl(nGC_77) -  &
                        coupl(nGC_79)**3d0 - coupl(nGC_79)*coupl(nGC_80)**2d0  &
                        )/(32d0*pi**2d0)
      coupl(nGC_11050) = -coupl(nGC_3317)
      coupl(nGC_3246) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_23)**2d0 - coupl( &
                        nGC_38)**2d0)/(16d0*pi**2d0)
      coupl(nGC_5029) = coupl(nGC_3642) + coupl(nGC_86)*dZuL_QCD2/2d0 + coupl( &
                        nGC_86)*dZuR_QCD2/2d0
      coupl(nGC_6413) = coupl(nGC_3675) + coupl(nGC_6407)
      coupl(nGC_3368) = (-coupl(nGC_1296)*coupl(nGC_35)*coupl(nGC_79) + 8d0*   &
                        coupl(nGC_2)**2d0*coupl(nGC_78) - coupl(nGC_22)*coupl( &
                        nGC_23)*coupl(nGC_77) + 8d0*coupl(nGC_35)*coupl(nGC_39 &
                        )*coupl(nGC_78) - coupl(nGC_37)*coupl(nGC_39)*coupl(   &
                        nGC_79) - coupl(nGC_53)*coupl(nGC_54)*coupl(nGC_77) -  &
                        coupl(nGC_78)**2d0*coupl(nGC_80) - coupl(nGC_79)**2d0* &
                        coupl(nGC_80))/(32d0*pi**2d0)
      coupl(nGC_6260) = coupl(nGC_3556) + coupl(nGC_4)*dZA_QED2/2d0 + coupl(   &
                        nGC_40)*dZZA_QED2/2d0
      coupl(nGC_6261) = -coupl(nGC_6260)
      coupl(nGC_5206) = coupl(nGC_3632) + coupl(nGC_81)*dZnu_tauL_QED2/2d0 +   &
                        coupl(nGC_81)*dZtauMinusR_QED2/2d0
      coupl(nGC_5562) = coupl(nGC_4976) + coupl(nGC_5557)
      coupl(nGC_6502) = coupl(nGC_3682) + coupl(nGC_MZ_GF)*dZZ_QED2/2d0
      coupl(nGC_3490) = (20d0*Nc*cima*coupl(nGC_53)**2d0*coupl(nGC_55)**2d0 +  &
                        20d0*Nc*cima*coupl(nGC_53)**2d0*coupl(nGC_79)**2d0 +   &
                        40d0*Nc*cima*coupl(nGC_53)*coupl(nGC_55)*coupl(nGC_77)*&
                        coupl(nGC_79) + 20d0*Nc*cima*coupl(nGC_55)**2d0*coupl( &
                        nGC_77)**2d0 + 20d0*Nc*cima*coupl(nGC_57)**2d0*coupl(  &
                        nGC_59)**2d0 + 20d0*Nc*cima*coupl(nGC_57)**2d0*coupl(  &
                        nGC_75)**2d0 + 40d0*Nc*cima*coupl(nGC_57)*coupl(nGC_59 &
                        )*coupl(nGC_73)*coupl(nGC_75) + 20d0*Nc*cima*coupl(    &
                        nGC_59)**2d0*coupl(nGC_73)**2d0 + 20d0*Nc*cima*coupl(  &
                        nGC_61)**2d0*coupl(nGC_63)**2d0 + 20d0*Nc*cima*coupl(  &
                        nGC_61)**2d0*coupl(nGC_87)**2d0 + 40d0*Nc*cima*coupl(  &
                        nGC_61)*coupl(nGC_63)*coupl(nGC_85)*coupl(nGC_87) +    &
                        20d0*Nc*cima*coupl(nGC_63)**2d0*coupl(nGC_85)**2d0 +   &
                        20d0*Nc*cima*coupl(nGC_73)**2d0*coupl(nGC_75)**2d0 +   &
                        20d0*Nc*cima*coupl(nGC_77)**2d0*coupl(nGC_79)**2d0 +   &
                        20d0*Nc*cima*coupl(nGC_85)**2d0*coupl(nGC_87)**2d0 -   &
                        5d0*cima*coupl(nGC_1038)*coupl(nGC_1296)*coupl(nGC_22)*&
                        coupl(nGC_40) - 10d0*cima*coupl(nGC_1038)*coupl(nGC_20 &
                        )*coupl(nGC_21)*coupl(nGC_604) - 10d0*cima*coupl(      &
                        nGC_1126)*coupl(nGC_1296)*coupl(nGC_22)*coupl(nGC_37   &
                        ) - 5d0*cima*coupl(nGC_1126)*coupl(nGC_1352)*coupl(    &
                        nGC_21)*coupl(nGC_37) - 5d0*cima*coupl(nGC_1126)*coupl(&
                        nGC_20)*coupl(nGC_37)*coupl(nGC_40) - 10d0*cima*coupl( &
                        nGC_1126)*coupl(nGC_21)*coupl(nGC_22)*coupl(nGC_604) - &
                        5d0*cima*coupl(nGC_1296)*coupl(nGC_1352)*coupl(nGC_22)*&
                        coupl(nGC_604) - 10d0*cima*coupl(nGC_1296)*coupl(nGC_37&
                        )*coupl(nGC_40)**2d0 - 10d0*cima*coupl(nGC_1352)**2d0* &
                        coupl(nGC_21)*coupl(nGC_604) + 12d0*cima*coupl(nGC_17  &
                        )**2d0 - 10d0*cima*coupl(nGC_21)*coupl(nGC_214)**2d0*  &
                        coupl(nGC_604) + 24d0*cima*coupl(nGC_27)**2d0 + 6d0*   &
                        cima*coupl(nGC_45)*coupl(nGC_46) + 20d0*cima*coupl(    &
                        nGC_65)**2d0*coupl(nGC_67)**2d0 + 20d0*cima*coupl(     &
                        nGC_69)**2d0*coupl(nGC_71)**2d0 + 24d0*cima*coupl(nGC_8&
                        )**2d0 + 20d0*cima*coupl(nGC_81)**2d0*coupl(nGC_83)**  &
                        2d0 + 6d0*coupl(nGC_1038)*coupl(nGC_13)*coupl(nGC_604  &
                        ) + 3d0*coupl(nGC_1038)*coupl(nGC_14)*coupl(nGC_20) -  &
                        6d0*coupl(nGC_1038)*coupl(nGC_17)*coupl(nGC_20) + 3d0* &
                        coupl(nGC_1126)*coupl(nGC_13)*coupl(nGC_22) - 3d0*coupl&
                        (nGC_1126)*coupl(nGC_17)*coupl(nGC_22) - 6d0*coupl(    &
                        nGC_1126)*coupl(nGC_37)*coupl(nGC_8) + 3d0*coupl(      &
                        nGC_1296)*coupl(nGC_13)*coupl(nGC_37) - 6d0*coupl(     &
                        nGC_1296)*coupl(nGC_22)*coupl(nGC_8) - 3d0*coupl(      &
                        nGC_1296)*coupl(nGC_37)*coupl(nGC_45) + 3d0*coupl(     &
                        nGC_13)*coupl(nGC_1352)**2d0 + 6d0*coupl(nGC_13)*coupl(&
                        nGC_20)*coupl(nGC_21) + 3d0*coupl(nGC_13)*coupl(nGC_214&
                        )**2d0 - 6d0*coupl(nGC_1352)*coupl(nGC_21)*coupl(nGC_8 &
                        ) - 6d0*coupl(nGC_1352)*coupl(nGC_604)*coupl(nGC_8) +  &
                        3d0*coupl(nGC_14)*coupl(nGC_21)*coupl(nGC_604) + 3d0*  &
                        coupl(nGC_15)*coupl(nGC_21)*coupl(nGC_604) - 3d0*coupl(&
                        nGC_17)*coupl(nGC_21)*coupl(nGC_604) - 6d0*coupl(nGC_21&
                        )*coupl(nGC_214)*coupl(nGC_27) - 6d0*coupl(nGC_214)*   &
                        coupl(nGC_27)*coupl(nGC_604) - 3d0*coupl(nGC_40)**2d0* &
                        coupl(nGC_46))/(96d0*pi**2d0)
      coupl(nGC_3492) = (-16d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_53)**2d0 - &
                        16d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_61)**2d0 -   &
                        16d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_73)**2d0 +   &
                        20d0*Nc*cima*coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_53  &
                        )**2d0 + 20d0*Nc*cima*coupl(nGC_34)*coupl(nGC_39)*coupl&
                        (nGC_61)**2d0 + 20d0*Nc*cima*coupl(nGC_34)*coupl(nGC_39&
                        )*coupl(nGC_73)**2d0 - 16d0*Nc*cima*coupl(nGC_35)**2d0*&
                        coupl(nGC_57)**2d0 - 16d0*Nc*cima*coupl(nGC_35)**2d0*  &
                        coupl(nGC_77)**2d0 - 16d0*Nc*cima*coupl(nGC_35)**2d0*  &
                        coupl(nGC_85)**2d0 + 20d0*Nc*cima*coupl(nGC_35)*coupl( &
                        nGC_38)*coupl(nGC_57)**2d0 + 20d0*Nc*cima*coupl(nGC_35 &
                        )*coupl(nGC_38)*coupl(nGC_77)**2d0 + 20d0*Nc*cima*coupl&
                        (nGC_35)*coupl(nGC_38)*coupl(nGC_85)**2d0 - 16d0*Nc*   &
                        cima*coupl(nGC_38)**2d0*coupl(nGC_57)**2d0 - 16d0*Nc*  &
                        cima*coupl(nGC_38)**2d0*coupl(nGC_77)**2d0 - 16d0*Nc*  &
                        cima*coupl(nGC_38)**2d0*coupl(nGC_85)**2d0 - 16d0*Nc*  &
                        cima*coupl(nGC_39)**2d0*coupl(nGC_53)**2d0 - 16d0*Nc*  &
                        cima*coupl(nGC_39)**2d0*coupl(nGC_61)**2d0 - 16d0*Nc*  &
                        cima*coupl(nGC_39)**2d0*coupl(nGC_73)**2d0 + 9d0*cima* &
                        coupl(nGC_1038)*coupl(nGC_20)*coupl(nGC_25)**2d0 + 4d0*&
                        cima*coupl(nGC_1126)*coupl(nGC_1296)*coupl(nGC_22)*    &
                        coupl(nGC_37) + 9d0*cima*coupl(nGC_1126)*coupl(nGC_22)*&
                        coupl(nGC_25)**2d0 + 4d0*cima*coupl(nGC_1296)*coupl(   &
                        nGC_21)*coupl(nGC_37)*coupl(nGC_604) + 4d0*cima*coupl( &
                        nGC_1352)**2d0*coupl(nGC_40)**2d0 + 12d0*cima*coupl(   &
                        nGC_17)*coupl(nGC_184) + 4d0*cima*coupl(nGC_214)**2d0* &
                        coupl(nGC_40)**2d0 - 16d0*cima*coupl(nGC_36)**2d0*coupl&
                        (nGC_65)**2d0 - 16d0*cima*coupl(nGC_36)**2d0*coupl(    &
                        nGC_69)**2d0 - 16d0*cima*coupl(nGC_36)**2d0*coupl(     &
                        nGC_81)**2d0 + 20d0*cima*coupl(nGC_36)*coupl(nGC_41)*  &
                        coupl(nGC_65)**2d0 + 20d0*cima*coupl(nGC_36)*coupl(    &
                        nGC_41)*coupl(nGC_69)**2d0 + 20d0*cima*coupl(nGC_36)*  &
                        coupl(nGC_41)*coupl(nGC_81)**2d0 - 16d0*cima*coupl(    &
                        nGC_41)**2d0*coupl(nGC_65)**2d0 - 16d0*cima*coupl(     &
                        nGC_41)**2d0*coupl(nGC_69)**2d0 - 16d0*cima*coupl(     &
                        nGC_41)**2d0*coupl(nGC_81)**2d0 - 3d0*coupl(nGC_1038)* &
                        coupl(nGC_184)*coupl(nGC_20) - 6d0*coupl(nGC_1038)*    &
                        coupl(nGC_25)*coupl(nGC_8) - 3d0*coupl(nGC_1126)*coupl(&
                        nGC_184)*coupl(nGC_22) + 3d0*coupl(nGC_1126)*coupl(    &
                        nGC_22)*coupl(nGC_46) - 6d0*coupl(nGC_1126)*coupl(     &
                        nGC_25)*coupl(nGC_9) + 3d0*coupl(nGC_1352)**2d0*coupl( &
                        nGC_45) + 18d0*coupl(nGC_17)*coupl(nGC_25)**2d0 + 18d0*&
                        coupl(nGC_17)*coupl(nGC_320)**2d0 - 6d0*coupl(nGC_20)* &
                        coupl(nGC_25)*coupl(nGC_8) + 3d0*coupl(nGC_21)*coupl(  &
                        nGC_46)*coupl(nGC_604) + 3d0*coupl(nGC_214)**2d0*coupl(&
                        nGC_45) - 6d0*coupl(nGC_22)*coupl(nGC_25)*coupl(nGC_7  &
                        ))/(96d0*pi**2d0)
      coupl(nGC_5363) = coupl(nGC_23)*dZWMinus_QED2/2d0 + coupl(nGC_23)*       &
                        dZdL_QED2/2d0 + coupl(nGC_23)*dZuL_QED2/2d0 + coupl(   &
                        nGC_3593)
      coupl(nGC_5930) = coupl(nGC_2)*dZuR_QED2 + coupl(nGC_35)*dZZA_QED2/2d0
      coupl(nGC_4987) = coupl(nGC_17)*dZH_QED2 + coupl(nGC_17)*dZWMinus_QED2 + &
                        coupl(nGC_3578)
    end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
